(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     36693,        858]
NotebookOptionsPosition[     36032,        829]
NotebookOutlinePosition[     36399,        845]
CellTagsIndexPosition[     36356,        842]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Blackjack", "Section"],

Cell[CellGroupData[{

Cell[TextData[StyleBox["Becky Robinson     5/20/2007", "Subsubsection"]], \
"Subsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"blackjack", "=", 
   RowBox[{"DynamicModule", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"d", ",", 
       RowBox[{"pc", "=", 
        RowBox[{"{", "}"}]}], ",", 
       RowBox[{"dc", "=", 
        RowBox[{"{", "}"}]}], ",", "displayPC", ",", "displayDC", ",", 
       "cards", ",", "illStand", ",", "hitMe", ",", 
       RowBox[{"playerMessage", "=", 
        RowBox[{"Style", "[", 
         RowBox[{"\"\< \>\"", ",", 
          RowBox[{"Darker", "[", 
           RowBox[{
            RowBox[{"RGBColor", "[", 
             RowBox[{"0.`", ",", "1.`", ",", "0.`"}], "]"}], ",", ".6"}], 
           "]"}]}], "]"}]}], ",", 
       RowBox[{"dealerMessage", "=", "\"\< \>\""}]}], "}"}], ",", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"displayPC", "=", 
       RowBox[{"Graphics", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Opacity", "[", ".1", "]"}], ",", 
           RowBox[{"EdgeForm", "[", "Dashed", "]"}], ",", 
           RowBox[{"Rectangle", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"-", "0.5"}], ",", 
               RowBox[{"-", "0.75"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"0.5", ",", "0.75"}], "}"}]}], "]"}]}], "}"}], ",", 
         RowBox[{"ImageSize", "\[Rule]", "35"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"displayDC", "=", "displayPC"}], ";", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{"Grid", "[", 
       RowBox[{
        RowBox[{"{", "\[IndentingNewLine]", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"{", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"Button", "[", 
             RowBox[{"\"\<New Game\>\"", ",", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"playerMessage", "=", "\"\< \>\""}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{"dealerMessage", "=", "\"\< \>\""}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{"cards", "=", 
                RowBox[{"RandomSample", "[", 
                 RowBox[{"newDeck", ",", "4"}], "]"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{"d", "=", 
                RowBox[{"Complement", "[", 
                 RowBox[{"newDeck", ",", "cards"}], "]"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{"pc", "=", 
                RowBox[{"cards", "[", 
                 RowBox[{"[", 
                  RowBox[{"{", 
                   RowBox[{"1", ",", "3"}], "}"}], "]"}], "]"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{"dc", "=", 
                RowBox[{"cards", "[", 
                 RowBox[{"[", 
                  RowBox[{"{", 
                   RowBox[{"2", ",", "4"}], "}"}], "]"}], "]"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{"displayDC", "=", 
                RowBox[{"displayDealerHand", "[", "dc", "]"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{"displayPC", "=", 
                RowBox[{"displayPlayerHand", "[", "pc", "]"}]}]}]}], 
             "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
            "\[IndentingNewLine]", 
            RowBox[{"Button", "[", 
             RowBox[{"\"\<Hit Me\>\"", ",", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{"pc", "\[Equal]", 
                   RowBox[{"{", "}"}]}], "||", 
                  RowBox[{
                   RowBox[{"score", "[", "pc", "]"}], "\[Equal]", 
                   RowBox[{"{", "}"}]}], "||", 
                  RowBox[{"dealerMessage", "==", 
                   RowBox[{"Style", "[", 
                    RowBox[{"\"\<Winner\>\"", ",", 
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"1.`", ",", "1.`", ",", "0.`"}], "]"}]}], "]"}]}],
                   "||", 
                  RowBox[{"playerMessage", "==", 
                   RowBox[{"Style", "[", 
                    RowBox[{"\"\<Winner\>\"", ",", 
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"1.`", ",", "1.`", ",", "0.`"}], "]"}]}], 
                    "]"}]}]}], ",", 
                 RowBox[{"Return", "[", "]"}]}], "]"}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{"cards", "=", 
                RowBox[{"RandomSample", "[", 
                 RowBox[{"d", ",", "1"}], "]"}]}], ";", "\[IndentingNewLine]",
                
               RowBox[{"d", "=", 
                RowBox[{"Complement", "[", 
                 RowBox[{"d", ",", "cards"}], "]"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{"pc", "=", 
                RowBox[{"Join", "[", 
                 RowBox[{"pc", ",", "cards"}], "]"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{"displayPC", "=", 
                RowBox[{"displayPlayerHand", "[", "pc", "]"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"If", "[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"score", "[", "pc", "]"}], "\[Equal]", 
                   RowBox[{"{", "}"}]}], ",", 
                  RowBox[{"playerMessage", "=", 
                   RowBox[{"Style", "[", 
                    RowBox[{"\"\<Bust\>\"", ",", 
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"1.`", ",", "0.`", ",", "0.`"}], "]"}]}], 
                    "]"}]}]}], "]"}], "\[IndentingNewLine]", 
                RowBox[{"If", "[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"score", "[", "pc", "]"}], "\[Equal]", 
                   RowBox[{"{", "}"}]}], ",", 
                  RowBox[{
                   RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"dc", "\[Equal]", 
                    RowBox[{"{", "}"}]}], ",", 
                    RowBox[{"Return", "[", "]"}]}], "]"}], ";", 
                   "\[IndentingNewLine]", 
                   RowBox[{"displayDC", "=", 
                    RowBox[{"displayPlayerHand", "[", "dc", "]"}]}], ";", 
                   "\[IndentingNewLine]", 
                   RowBox[{"While", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "\[Infinity]"}], "<", 
                    RowBox[{"Max", "[", 
                    RowBox[{"score", "[", "dc", "]"}], "]"}], "<", "17"}], 
                    ",", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"cards", "=", 
                    RowBox[{"RandomSample", "[", 
                    RowBox[{"d", ",", "1"}], "]"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"d", "=", 
                    RowBox[{"Complement", "[", 
                    RowBox[{"d", ",", "cards"}], "]"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"dc", "=", 
                    RowBox[{"Join", "[", 
                    RowBox[{"dc", ",", "cards"}], "]"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"displayDC", "=", 
                    RowBox[{"displayPlayerHand", "[", "dc", "]"}]}]}]}], 
                    "]"}], ";", "\[IndentingNewLine]", 
                   RowBox[{"Which", "[", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"score", "[", "dc", "]"}], "\[Equal]", 
                    RowBox[{"{", "}"}]}], "&&", 
                    RowBox[{
                    RowBox[{"score", "[", "pc", "]"}], "\[NotEqual]", 
                    RowBox[{"{", "}"}]}]}], ",", 
                    RowBox[{
                    RowBox[{"dealerMessage", "=", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<Bust\>\"", ",", 
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"1.`", ",", "0.`", ",", "0.`"}], "]"}]}], "]"}]}],
                     ";", 
                    RowBox[{"playerMessage", "=", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<Winner\>\"", ",", 
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"1.`", ",", "1.`", ",", "0.`"}], "]"}]}], 
                    "]"}]}]}], ",", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"Max", "[", 
                    RowBox[{"score", "[", "dc", "]"}], "]"}], "<", 
                    RowBox[{"Max", "[", 
                    RowBox[{"score", "[", "pc", "]"}], "]"}]}], ",", 
                    RowBox[{"playerMessage", "=", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<Winner\>\"", ",", 
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"1.`", ",", "1.`", ",", "0.`"}], "]"}]}], "]"}]}],
                     ",", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Max", "[", 
                    RowBox[{"score", "[", "dc", "]"}], "]"}], "==", 
                    RowBox[{"Max", "[", 
                    RowBox[{"score", "[", "pc", "]"}], "]"}]}], "&&", 
                    RowBox[{
                    RowBox[{"score", "[", "pc", "]"}], "\[NotEqual]", 
                    RowBox[{"{", "}"}]}]}], ",", 
                    RowBox[{
                    RowBox[{"playerMessage", "=", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<Tie\>\"", ",", 
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"1.`", ",", "1.`", ",", "0.`"}], "]"}]}], "]"}]}],
                     ";", 
                    RowBox[{"dealerMessage", "=", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<Tie\>\"", ",", 
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"1.`", ",", "1.`", ",", "0.`"}], "]"}]}], 
                    "]"}]}]}], ",", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Max", "[", 
                    RowBox[{"score", "[", "dc", "]"}], "]"}], "==", 
                    RowBox[{"Max", "[", 
                    RowBox[{"score", "[", "pc", "]"}], "]"}]}], "&&", 
                    RowBox[{
                    RowBox[{"score", "[", "pc", "]"}], "==", 
                    RowBox[{"{", "}"}]}]}], ",", 
                    RowBox[{
                    RowBox[{"playerMessage", "=", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<Bust\>\"", ",", 
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"1.`", ",", "0.`", ",", "0.`"}], "]"}]}], "]"}]}],
                     ";", 
                    RowBox[{"dealerMessage", "=", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<Bust\>\"", ",", 
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"1.`", ",", "0.`", ",", "0.`"}], "]"}]}], 
                    "]"}]}]}], ",", "\[IndentingNewLine]", "True", ",", 
                    RowBox[{"dealerMessage", "=", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<Winner\>\"", ",", 
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"1.`", ",", "1.`", ",", "0.`"}], "]"}]}], 
                    "]"}]}]}], "\[IndentingNewLine]", "]"}]}]}], 
                 "\[IndentingNewLine]", "]"}]}]}]}], "\[IndentingNewLine]", 
             "]"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
            RowBox[{"Button", "[", 
             RowBox[{"\"\<I'll Stand\>\"", ",", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{"dc", "\[Equal]", 
                  RowBox[{"{", "}"}]}], ",", 
                 RowBox[{"Return", "[", "]"}]}], "]"}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{"displayDC", "=", 
                RowBox[{"displayPlayerHand", "[", "dc", "]"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{"While", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{"-", "\[Infinity]"}], "<", 
                  RowBox[{"Max", "[", 
                   RowBox[{"score", "[", "dc", "]"}], "]"}], "<", "17"}], ",",
                  "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"cards", "=", 
                   RowBox[{"RandomSample", "[", 
                    RowBox[{"d", ",", "1"}], "]"}]}], ";", 
                  "\[IndentingNewLine]", 
                  RowBox[{"d", "=", 
                   RowBox[{"Complement", "[", 
                    RowBox[{"d", ",", "cards"}], "]"}]}], ";", 
                  "\[IndentingNewLine]", 
                  RowBox[{"dc", "=", 
                   RowBox[{"Join", "[", 
                    RowBox[{"dc", ",", "cards"}], "]"}]}], ";", 
                  "\[IndentingNewLine]", 
                  RowBox[{"displayDC", "=", 
                   RowBox[{"displayPlayerHand", "[", "dc", "]"}]}]}]}], "]"}],
                ";", "\[IndentingNewLine]", 
               RowBox[{"Which", "[", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"score", "[", "dc", "]"}], "\[Equal]", 
                   RowBox[{"{", "}"}]}], "&&", 
                  RowBox[{
                   RowBox[{"score", "[", "pc", "]"}], "\[NotEqual]", 
                   RowBox[{"{", "}"}]}]}], ",", 
                 RowBox[{
                  RowBox[{"dealerMessage", "=", 
                   RowBox[{"Style", "[", 
                    RowBox[{"\"\<Bust\>\"", ",", 
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"1.`", ",", "0.`", ",", "0.`"}], "]"}]}], "]"}]}],
                   ";", 
                  RowBox[{"playerMessage", "=", 
                   RowBox[{"Style", "[", 
                    RowBox[{"\"\<Winner\>\"", ",", 
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"1.`", ",", "1.`", ",", "0.`"}], "]"}]}], 
                    "]"}]}]}], ",", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"Max", "[", 
                   RowBox[{"score", "[", "dc", "]"}], "]"}], "<", 
                  RowBox[{"Max", "[", 
                   RowBox[{"score", "[", "pc", "]"}], "]"}]}], ",", 
                 RowBox[{"playerMessage", "=", 
                  RowBox[{"Style", "[", 
                   RowBox[{"\"\<Winner\>\"", ",", 
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"1.`", ",", "1.`", ",", "0.`"}], "]"}]}], "]"}]}],
                  ",", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Max", "[", 
                    RowBox[{"score", "[", "dc", "]"}], "]"}], "==", 
                   RowBox[{"Max", "[", 
                    RowBox[{"score", "[", "pc", "]"}], "]"}]}], "&&", 
                  RowBox[{
                   RowBox[{"score", "[", "pc", "]"}], "\[NotEqual]", 
                   RowBox[{"{", "}"}]}]}], ",", 
                 RowBox[{
                  RowBox[{"playerMessage", "=", 
                   RowBox[{"Style", "[", 
                    RowBox[{"\"\<Tie\>\"", ",", 
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"1.`", ",", "1.`", ",", "0.`"}], "]"}]}], "]"}]}],
                   ";", 
                  RowBox[{"dealerMessage", "=", 
                   RowBox[{"Style", "[", 
                    RowBox[{"\"\<Tie\>\"", ",", 
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"1.`", ",", "1.`", ",", "0.`"}], "]"}]}], 
                    "]"}]}]}], ",", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Max", "[", 
                    RowBox[{"score", "[", "dc", "]"}], "]"}], "==", 
                   RowBox[{"Max", "[", 
                    RowBox[{"score", "[", "pc", "]"}], "]"}]}], "&&", 
                  RowBox[{
                   RowBox[{"score", "[", "pc", "]"}], "==", 
                   RowBox[{"{", "}"}]}]}], ",", 
                 RowBox[{
                  RowBox[{"playerMessage", "=", 
                   RowBox[{"Style", "[", 
                    RowBox[{"\"\<Bust\>\"", ",", 
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"1.`", ",", "0.`", ",", "0.`"}], "]"}]}], "]"}]}],
                   ";", 
                  RowBox[{"dealerMessage", "=", 
                   RowBox[{"Style", "[", 
                    RowBox[{"\"\<Bust\>\"", ",", 
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"1.`", ",", "0.`", ",", "0.`"}], "]"}]}], 
                    "]"}]}]}], ",", "\[IndentingNewLine]", "True", ",", 
                 RowBox[{"dealerMessage", "=", 
                  RowBox[{"Style", "[", 
                   RowBox[{"\"\<Winner\>\"", ",", 
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"1.`", ",", "1.`", ",", "0.`"}], "]"}]}], 
                   "]"}]}]}], "\[IndentingNewLine]", "]"}]}]}], 
             "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", "}"}], 
          ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{"\"\<Dealer:\>\"", ",", 
              RowBox[{"RGBColor", "[", 
               RowBox[{"1.`", ",", "1.`", ",", "1.`"}], "]"}]}], "]"}], ",", 
            RowBox[{"Dynamic", "[", "displayDC", "]"}], ",", 
            RowBox[{"Dynamic", "[", "dealerMessage", "]"}]}], "}"}], ",", 
          "\[IndentingNewLine]", "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{"\"\<Player:\>\"", ",", 
              RowBox[{"RGBColor", "[", 
               RowBox[{"1.`", ",", "1.`", ",", "1.`"}], "]"}]}], "]"}], ",", 
            RowBox[{"Dynamic", "[", "displayPC", "]"}], ",", 
            RowBox[{"Dynamic", "[", "playerMessage", "]"}]}], "}"}]}], 
         "\[IndentingNewLine]", "\[IndentingNewLine]", "}"}], ",", 
        RowBox[{"Background", "\[Rule]", 
         RowBox[{"Darker", "[", 
          RowBox[{
           RowBox[{"RGBColor", "[", 
            RowBox[{"0.`", ",", "1.`", ",", "0.`"}], "]"}], ",", ".6"}], 
          "]"}]}], ",", 
        RowBox[{"Spacings", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"5", ",", "1.5"}], "}"}]}]}], "\[IndentingNewLine]", 
       "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"Initialization", "\[Rule]", 
      RowBox[{"(", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"suits", "=", 
         RowBox[{"{", 
          RowBox[{
          "\[HeartSuit]", ",", "\[ClubSuit]", ",", "\[DiamondSuit]", ",", 
           "\[SpadeSuit]"}], "}"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"vals", "=", 
         RowBox[{"Join", "[", 
          RowBox[{
           RowBox[{"Table", "[", 
            RowBox[{"i", ",", 
             RowBox[{"{", 
              RowBox[{"i", ",", "2", ",", "10"}], "}"}]}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"J", ",", "Q", ",", "K", ",", "A"}], "}"}]}], "]"}]}], 
        ";", "\[IndentingNewLine]", 
        RowBox[{"newDeck", "=", 
         RowBox[{"Tuples", "[", 
          RowBox[{"{", 
           RowBox[{"suits", ",", "vals"}], "}"}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"displayCard", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"suit_", ",", "val_"}], "}"}], ",", "up"}], "]"}], ":=", 
         RowBox[{"Graphics", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"RGBColor", "[", 
                RowBox[{"1.`", ",", "1.`", ",", "1.`"}], "]"}], ",", 
               RowBox[{"EdgeForm", "[", 
                RowBox[{"RGBColor", "[", 
                 RowBox[{"0.`", ",", "0.`", ",", "0.`"}], "]"}], "]"}], ",", 
               RowBox[{"Rectangle", "[", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"-", "0.5"}], ",", 
                   RowBox[{"-", "0.75"}]}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"0.5", ",", "0.75"}], "}"}]}], "]"}]}], "}"}], ",", 
             
             RowBox[{"{", 
              RowBox[{"Inset", "[", 
               RowBox[{
                RowBox[{"Style", "[", 
                 RowBox[{
                  RowBox[{"Column", "[", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"ToString", "[", "val", "]"}], ",", "18"}], "]"}],
                     ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"ToString", "[", "suit", "]"}], ",", "24"}], 
                    "]"}]}], "}"}], ",", 
                    RowBox[{"Spacings", "\[Rule]", ".5"}], ",", 
                    RowBox[{"Alignment", "\[Rule]", "Center"}]}], "]"}], ",", 
                  "Bold", ",", 
                  RowBox[{"Switch", "[", 
                   RowBox[{"suit", ",", 
                    RowBox[{"\[HeartSuit]", "|", "\[DiamondSuit]"}], ",", 
                    RowBox[{"Darker", "[", 
                    RowBox[{
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"1.`", ",", "0.`", ",", "0.`"}], "]"}], ",", 
                    "0.2"}], "]"}], ",", 
                    RowBox[{"\[ClubSuit]", "|", "\[SpadeSuit]"}], ",", 
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.`", ",", "0.`", ",", "0.`"}], "]"}]}], "]"}], 
                  ",", "\"\<Text\>\""}], "]"}], ",", 
                RowBox[{"{", 
                 RowBox[{"0", ",", 
                  RowBox[{"-", ".05"}]}], "}"}]}], "]"}], "}"}]}], "}"}], ",",
            
           RowBox[{"ImageSize", "\[Rule]", "35"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"displayCard", "[", 
          RowBox[{"x_", ",", "down"}], "]"}], "=", 
         RowBox[{"Graphics", "[", 
          RowBox[{
           RowBox[{"{", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"Rectangle", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"-", "0.5"}], ",", 
                 RowBox[{"-", "0.75"}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"0.5", ",", "0.75"}], "}"}]}], "]"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"Inset", "[", 
              RowBox[{"ArrayPlot", "[", 
               RowBox[{
                RowBox[{"CellularAutomaton", "[", 
                 RowBox[{"30", ",", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"{", "1", "}"}], ",", "0"}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"39", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "12"}], ",", "12"}], "}"}]}], "}"}]}], "]"}],
                 ",", 
                RowBox[{"ColorRules", "\[Rule]", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"1", "\[Rule]", 
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.`", ",", "0.`", ",", "1.`"}], "]"}]}], ",", 
                   RowBox[{"0", "\[Rule]", 
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.678396`", ",", "0.847102`", ",", "0.902005`"}],
                     "]"}]}]}], "}"}]}], ",", 
                RowBox[{"ImageSize", "\[Rule]", "31"}]}], "]"}], "]"}]}], 
            "\[IndentingNewLine]", "}"}], ",", 
           RowBox[{"ImageSize", "\[Rule]", "35"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"displayPlayerHand", "[", "cardList_", "]"}], ":=", 
         "\[IndentingNewLine]", 
         RowBox[{"Grid", "[", 
          RowBox[{"{", 
           RowBox[{"Flatten", "@", 
            RowBox[{"{", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"Tooltip", "[", 
               RowBox[{
                RowBox[{"displayCard", "[", 
                 RowBox[{
                  RowBox[{"First", "@", "cardList"}], ",", "down"}], "]"}], 
                ",", 
                RowBox[{"displayCard", "[", 
                 RowBox[{
                  RowBox[{"First", "@", "cardList"}], ",", "up"}], "]"}]}], 
               "]"}], ",", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{
                RowBox[{"displayCard", "[", 
                 RowBox[{"#", ",", "up"}], "]"}], "&"}], "/@", 
               RowBox[{"Rest", "[", "cardList", "]"}]}]}], 
             "\[IndentingNewLine]", "}"}]}], "}"}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"displayDealerHand", "[", "cardList_", "]"}], ":=", 
         "\[IndentingNewLine]", 
         RowBox[{"Grid", "[", 
          RowBox[{"{", 
           RowBox[{"Flatten", "@", 
            RowBox[{"{", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"displayCard", "[", 
               RowBox[{
                RowBox[{"First", "@", "cardList"}], ",", "down"}], "]"}], ",",
               "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{
                RowBox[{"displayCard", "[", 
                 RowBox[{"#", ",", "up"}], "]"}], "&"}], "/@", 
               RowBox[{"Rest", "[", "cardList", "]"}]}]}], 
             "\[IndentingNewLine]", "}"}]}], "}"}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"score", "[", "hand_", "]"}], ":=", 
         RowBox[{"Select", "[", 
          RowBox[{
           RowBox[{"Union", "[", 
            RowBox[{"Flatten", "[", 
             RowBox[{"Outer", "[", 
              RowBox[{"Plus", ",", 
               RowBox[{"Sequence", "@@", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{"Last", "/@", "hand"}], ")"}], "/.", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"n_Integer", "\[Rule]", 
                    RowBox[{"{", "n", "}"}]}], ",", 
                    RowBox[{
                    RowBox[{"J", "|", "Q", "|", "K"}], "\[Rule]", 
                    RowBox[{"{", "10", "}"}]}], ",", 
                    RowBox[{"A", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"1", ",", "11"}], "}"}]}]}], "}"}]}], ")"}]}]}], 
              "]"}], "]"}], "]"}], ",", 
           RowBox[{
            RowBox[{"#", "\[LessEqual]", "21"}], "&"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"score", "[", 
          RowBox[{"{", "}"}], "]"}], ":=", 
         RowBox[{"{", "0", "}"}]}]}], "\[IndentingNewLine]", ")"}]}]}], 
    "]"}]}], "\[IndentingNewLine]"}]], "Input",
 InitializationCell->True,
 CellID->902181066],

Cell[BoxData[
 DynamicModuleBox[{$CellContext`d$$, $CellContext`pc$$ = {}, \
$CellContext`dc$$ = {}, $CellContext`displayPC$$ = Graphics[{
    Opacity[0.1], 
    EdgeForm[
     Dashing[{Small, Small}]], 
    Rectangle[{-0.5, -0.75}, {0.5, 0.75}]}, ImageSize -> 
   35], $CellContext`displayDC$$ = Graphics[{
    Opacity[0.1], 
    EdgeForm[
     Dashing[{Small, Small}]], 
    Rectangle[{-0.5, -0.75}, {0.5, 0.75}]}, ImageSize -> 
   35], $CellContext`cards$$, $CellContext`illStand$$, $CellContext`hitMe$$, \
$CellContext`playerMessage$$ = Style[" ", 
   RGBColor[0., 0.4, 0.]], $CellContext`dealerMessage$$ = " "}, 
  TagBox[GridBox[{
     {
      ButtonBox["\<\"New Game\"\>",
       Appearance->Automatic,
       ButtonFrame->"DialogBox",
       ButtonFunction:>($CellContext`playerMessage$$ = 
         " "; $CellContext`dealerMessage$$ = " "; $CellContext`cards$$ = 
         RandomSample[$CellContext`newDeck, 4]; $CellContext`d$$ = 
         Complement[$CellContext`newDeck, $CellContext`cards$$]; \
$CellContext`pc$$ = Part[$CellContext`cards$$, {1, 3}]; $CellContext`dc$$ = 
         Part[$CellContext`cards$$, {2, 
           4}]; $CellContext`displayDC$$ = \
$CellContext`displayDealerHand[$CellContext`dc$$]; $CellContext`displayPC$$ = \
$CellContext`displayPlayerHand[$CellContext`pc$$]),
       Evaluator->Automatic,
       Method->"Preemptive"], 
      ButtonBox["\<\"Hit Me\"\>",
       Appearance->Automatic,
       ButtonFrame->"DialogBox",
       ButtonFunction:>(If[
          
          Or[$CellContext`pc$$ == {}, $CellContext`score[$CellContext`pc$$] == \
{}, $CellContext`dealerMessage$$ == Style["Winner", 
             RGBColor[1., 1., 0.]], $CellContext`playerMessage$$ == 
           Style["Winner", 
             RGBColor[1., 1., 0.]]], 
          Return[]]; $CellContext`cards$$ = 
         RandomSample[$CellContext`d$$, 1]; $CellContext`d$$ = 
         Complement[$CellContext`d$$, $CellContext`cards$$]; \
$CellContext`pc$$ = 
         Join[$CellContext`pc$$, $CellContext`cards$$]; \
$CellContext`displayPC$$ = $CellContext`displayPlayerHand[$CellContext`pc$$]; 
        If[$CellContext`score[$CellContext`pc$$] == {}, \
$CellContext`playerMessage$$ = Style["Bust", 
             RGBColor[1., 0., 0.]]] 
         If[$CellContext`score[$CellContext`pc$$] == {}, 
           If[$CellContext`dc$$ == {}, 
             
             Return[]]; $CellContext`displayDC$$ = \
$CellContext`displayPlayerHand[$CellContext`dc$$]; While[-Infinity < Max[
               $CellContext`score[$CellContext`dc$$]] < 
             17, $CellContext`cards$$ = 
              RandomSample[$CellContext`d$$, 1]; $CellContext`d$$ = 
              Complement[$CellContext`d$$, $CellContext`cards$$]; \
$CellContext`dc$$ = 
              Join[$CellContext`dc$$, $CellContext`cards$$]; \
$CellContext`displayDC$$ = $CellContext`displayPlayerHand[$CellContext`dc$$]]; 
           Which[
             
             And[$CellContext`score[$CellContext`dc$$] == {}, \
$CellContext`score[$CellContext`pc$$] != {}], $CellContext`dealerMessage$$ = 
              Style["Bust", 
                RGBColor[1., 0., 0.]]; $CellContext`playerMessage$$ = 
              Style["Winner", 
                RGBColor[1., 1., 0.]], Max[
               $CellContext`score[$CellContext`dc$$]] < Max[
               $CellContext`score[$CellContext`pc$$]], \
$CellContext`playerMessage$$ = Style["Winner", 
               RGBColor[1., 1., 0.]], 
             And[Max[
                $CellContext`score[$CellContext`dc$$]] == Max[
                $CellContext`score[$CellContext`pc$$]], \
$CellContext`score[$CellContext`pc$$] != {}], $CellContext`playerMessage$$ = 
              Style["Tie", 
                RGBColor[1., 1., 0.]]; $CellContext`dealerMessage$$ = 
              Style["Tie", 
                RGBColor[1., 1., 0.]], 
             And[Max[
                $CellContext`score[$CellContext`dc$$]] == Max[
                $CellContext`score[$CellContext`pc$$]], \
$CellContext`score[$CellContext`pc$$] == {}], $CellContext`playerMessage$$ = 
              Style["Bust", 
                RGBColor[1., 0., 0.]]; $CellContext`dealerMessage$$ = 
              Style["Bust", 
                RGBColor[1., 0., 0.]], True, $CellContext`dealerMessage$$ = 
             Style["Winner", 
               RGBColor[1., 1., 0.]]]]),
       Evaluator->Automatic,
       Method->"Preemptive"], 
      ButtonBox["\<\"I'll Stand\"\>",
       Appearance->Automatic,
       ButtonFrame->"DialogBox",
       ButtonFunction:>(If[$CellContext`dc$$ == {}, 
          
          Return[]]; $CellContext`displayDC$$ = \
$CellContext`displayPlayerHand[$CellContext`dc$$]; While[-Infinity < Max[
            $CellContext`score[$CellContext`dc$$]] < 
          17, $CellContext`cards$$ = 
           RandomSample[$CellContext`d$$, 1]; $CellContext`d$$ = 
           Complement[$CellContext`d$$, $CellContext`cards$$]; \
$CellContext`dc$$ = 
           Join[$CellContext`dc$$, $CellContext`cards$$]; \
$CellContext`displayDC$$ = $CellContext`displayPlayerHand[$CellContext`dc$$]]; 
        Which[
          
          And[$CellContext`score[$CellContext`dc$$] == {}, \
$CellContext`score[$CellContext`pc$$] != {}], $CellContext`dealerMessage$$ = 
           Style["Bust", 
             RGBColor[1., 0., 0.]]; $CellContext`playerMessage$$ = 
           Style["Winner", 
             RGBColor[1., 1., 0.]], Max[
            $CellContext`score[$CellContext`dc$$]] < Max[
            $CellContext`score[$CellContext`pc$$]], \
$CellContext`playerMessage$$ = Style["Winner", 
            RGBColor[1., 1., 0.]], 
          And[Max[
             $CellContext`score[$CellContext`dc$$]] == Max[
             $CellContext`score[$CellContext`pc$$]], \
$CellContext`score[$CellContext`pc$$] != {}], $CellContext`playerMessage$$ = 
           Style["Tie", 
             RGBColor[1., 1., 0.]]; $CellContext`dealerMessage$$ = 
           Style["Tie", 
             RGBColor[1., 1., 0.]], 
          And[Max[
             $CellContext`score[$CellContext`dc$$]] == Max[
             $CellContext`score[$CellContext`pc$$]], \
$CellContext`score[$CellContext`pc$$] == {}], $CellContext`playerMessage$$ = 
           Style["Bust", 
             RGBColor[1., 0., 0.]]; $CellContext`dealerMessage$$ = 
           Style["Bust", 
             RGBColor[1., 0., 0.]], True, $CellContext`dealerMessage$$ = 
          Style["Winner", 
            RGBColor[1., 1., 0.]]]),
       Evaluator->Automatic,
       Method->"Preemptive"]},
     {
      StyleBox["\<\"Dealer:\"\>",
       StripOnInput->False,
       FrontFaceColor->RGBColor[1., 1., 1.],
       BackFaceColor->RGBColor[1., 1., 1.],
       GraphicsColor->RGBColor[1., 1., 1.],
       FontColor->RGBColor[1., 1., 1.]], 
      DynamicBox[ToBoxes[$CellContext`displayDC$$, StandardForm],
       ImageSizeCache->{35., {23., 28.}}], 
      DynamicBox[ToBoxes[$CellContext`dealerMessage$$, StandardForm],
       ImageSizeCache->{7.1875, {0., 6.}}]},
     {
      StyleBox["\<\"Player:\"\>",
       StripOnInput->False,
       FrontFaceColor->RGBColor[1., 1., 1.],
       BackFaceColor->RGBColor[1., 1., 1.],
       GraphicsColor->RGBColor[1., 1., 1.],
       FontColor->RGBColor[1., 1., 1.]], 
      DynamicBox[ToBoxes[$CellContext`displayPC$$, StandardForm],
       ImageSizeCache->{35., {23., 28.}}], 
      DynamicBox[ToBoxes[$CellContext`playerMessage$$, StandardForm],
       ImageSizeCache->{7.1875, {0., 6.}}]}
    },
    ColumnsEqual->False,
    GridBoxBackground->{"Columns" -> {{
         RGBColor[0., 0.4, 0.]}}},
    GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
    GridBoxSpacings->{"Columns" -> {{5}}, "Rows" -> {{1.5}}},
    RowsEqual->False],
   "Grid"],
  DynamicModuleValues:>{},
  Initialization:>Null]], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Example", "Subsection"],

Cell[BoxData["blackjack"], "Input"]
}, Open  ]]
}, Open  ]]
},
AutoGeneratedPackage->None,
WindowSize->{640, 750},
WindowMargins->{{156, Automatic}, {Automatic, 104}},
FrontEndVersion->"6.0 for Mac OS X x86 (32-bit) (March 13, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 28, 0, 67, "Section"],
Cell[CellGroupData[{
Cell[643, 27, 89, 1, 33, "Subsection"],
Cell[CellGroupData[{
Cell[757, 32, 27378, 612, 2038, "Input",
 InitializationCell->True,
 CellID->902181066],
Cell[28138, 646, 7750, 171, 70, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[35937, 823, 29, 0, 26, "Subsection"],
Cell[35969, 825, 35, 0, 27, "Input"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
