(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     17184,        495]
NotebookOptionsPosition[     15965,        450]
NotebookOutlinePosition[     16331,        466]
CellTagsIndexPosition[     16288,        463]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Calendar Builder", "Title"],

Cell[CellGroupData[{

Cell["inits", "Subsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Clear", "[", 
   RowBox[{
   "days", ",", "days", ",", "months", ",", "classDays", ",", "yr", ",", 
    "start", ",", "end", ",", "nb"}], "]"}], ";"}]], "Input",
 InitializationCell->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"days", "=", 
   RowBox[{"{", 
    RowBox[{
    "\"\<Su\>\"", ",", "\"\<Mo\>\"", ",", "\"\<Tu\>\"", ",", "\"\<We\>\"", 
     ",", "\"\<Th\>\"", ",", "\"\<Fr\>\"", ",", "\"\<Sa\>\""}], "}"}]}], 
  ";"}]], "Input",
 InitializationCell->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"months", " ", "=", " ", 
   RowBox[{"{", 
    RowBox[{
    "\"\<January\>\"", ",", " ", "\"\<February\>\"", ",", " ", 
     "\"\<March\>\"", ",", " ", "\"\<April\>\"", ",", " ", "\"\<May\>\"", ",",
      " ", "\"\<June\>\"", ",", "\"\<July\>\"", ",", " ", "\"\<August\>\"", 
     ",", " ", "\"\<September\>\"", ",", " ", "\"\<October\>\"", ",", " ", 
     "\"\<November\>\"", ",", "\"\<December\>\""}], "}"}]}], ";"}]], "Input",
 InitializationCell->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"month", "[", 
   RowBox[{"firstDay_String", ",", "max_Integer"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"k", "=", 
      RowBox[{
       RowBox[{
        RowBox[{"Position", "[", 
         RowBox[{"days", ",", "firstDay"}], "]"}], "[", 
        RowBox[{"[", 
         RowBox[{"1", ",", "1"}], "]"}], "]"}], "-", "1"}]}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"Partition", "[", 
     RowBox[{
      RowBox[{"Join", "[", 
       RowBox[{
        RowBox[{"Table", "[", 
         RowBox[{"\"\<\>\"", ",", 
          RowBox[{"{", "k", "}"}]}], "]"}], ",", 
        RowBox[{"Range", "[", "max", "]"}], ",", 
        RowBox[{"Table", "[", 
         RowBox[{"\"\<\>\"", ",", 
          RowBox[{"{", 
           RowBox[{"Mod", "[", 
            RowBox[{
             RowBox[{"-", 
              RowBox[{"(", 
               RowBox[{"max", "+", "k"}], ")"}]}], ",", "7"}], "]"}], "}"}]}],
          "]"}]}], "]"}], ",", "7"}], "]"}]}], "\[IndentingNewLine]", 
   "]"}]}]], "Input",
 InitializationCell->True],

Cell[BoxData[
 RowBox[{"Needs", "[", "\"\<Calendar`\>\"", "]"}]], "Input",
 InitializationCell->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"firstDay", "[", 
   RowBox[{"yr_Integer", ",", 
    RowBox[{"mo_Integer", "?", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"1", "\[LessEqual]", "#", "\[LessEqual]", "12"}], "&"}], 
      ")"}]}]}], "]"}], " ", ":=", 
  RowBox[{
   RowBox[{"DayOfWeek", "[", 
    RowBox[{"{", 
     RowBox[{"yr", ",", "mo", ",", "1"}], "}"}], "]"}], "/.", 
   RowBox[{"Thread", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "Sunday", ",", "Monday", " ", ",", "Tuesday", " ", ",", "Wednesday", 
       " ", ",", "Thursday", " ", ",", "Friday", ",", "Saturday"}], " ", 
      "}"}], "\[Rule]", "days"}], "]"}]}]}]], "Input",
 InitializationCell->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"daysPerMonth", "[", 
   RowBox[{"yr_Integer", ",", 
    RowBox[{"mo_Integer", "?", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"1", "\[LessEqual]", "#", "\[LessEqual]", "12"}], "&"}], 
      ")"}]}]}], "]"}], " ", ":=", "\[IndentingNewLine]", 
  RowBox[{"DaysBetween", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"yr", ",", "mo", ",", "1"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"mo", "\[Equal]", "12"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"yr", "+", "1"}], ",", "1", ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"yr", ",", 
        RowBox[{"mo", "+", "1"}], ",", "1"}], "}"}]}], "]"}]}], 
   "]"}]}]], "Input",
 InitializationCell->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"calendarMonth", "[", 
   RowBox[{"yr_Integer", ",", 
    RowBox[{"mo_Integer", "?", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"1", "\[LessEqual]", "#", "\[LessEqual]", "12"}], "&"}], 
      ")"}]}], ",", "dayList_", ",", 
    RowBox[{"{", 
     RowBox[{"xSize_", ",", "ySize_"}], "}"}]}], "]"}], ":=", 
  "\[IndentingNewLine]", 
  RowBox[{"Text", "@", 
   RowBox[{"Grid", "[", 
    RowBox[{
     RowBox[{"Prepend", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"DeleteCases", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"month", "[", 
            RowBox[{
             RowBox[{"firstDay", "[", 
              RowBox[{"yr", ",", "mo"}], "]"}], ",", 
             RowBox[{"daysPerMonth", "[", 
              RowBox[{"yr", ",", "mo"}], "]"}]}], "]"}], 
           "\[LeftDoubleBracket]", 
           RowBox[{"All", ",", "dayList"}], "\[RightDoubleBracket]"}], ",", 
          RowBox[{"{", 
           RowBox[{"\"\<\>\"", ".."}], "}"}]}], "]"}], "/.", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"\"\<\>\"", "\[Rule]", 
           RowBox[{"Item", "[", 
            RowBox[{"\"\<\>\"", ",", 
             RowBox[{"Background", "\[Rule]", 
              RowBox[{"Lighter", "[", 
               RowBox[{"Gray", ",", ".7"}], "]"}]}]}], "]"}]}], ",", 
          RowBox[{"n_Integer", "\[RuleDelayed]", 
           RowBox[{"InputField", "[", 
            RowBox[{
             RowBox[{"ToString", "[", "n", "]"}], ",", "String", ",", 
             RowBox[{"FieldSize", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{"xSize", ",", 
                RowBox[{"{", 
                 RowBox[{"ySize", ",", "\[Infinity]"}], "}"}]}], "}"}]}], ",",
              
             RowBox[{"Appearance", "\[Rule]", "\"\<Frameless\>\""}]}], 
            "]"}]}]}], "}"}]}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"Item", "[", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{"#", ",", "White", ",", 
             RowBox[{"FontFamily", "\[Rule]", "\"\<Arial\>\""}]}], "]"}], ",",
            
           RowBox[{"Background", "\[Rule]", "Gray"}], ",", 
           RowBox[{"Alignment", "\[Rule]", "Center"}]}], "]"}], "&"}], "/@", 
        RowBox[{
        "days", "\[LeftDoubleBracket]", "dayList", 
         "\[RightDoubleBracket]"}]}]}], "]"}], ",", 
     RowBox[{"Dividers", "\[Rule]", "Black"}], ",", 
     RowBox[{"ItemSize", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"xSize", ",", 
        RowBox[{"{", 
         RowBox[{"1.2", ",", 
          RowBox[{"{", "ySize", "}"}]}], "}"}]}], "}"}]}], ",", 
     RowBox[{"Alignment", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Left", ",", "Top"}], "}"}]}]}], "]"}]}]}]], "Input",
 InitializationCell->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"writeWeek", "[", 
   RowBox[{"nb_", ",", "weekData_List"}], "]"}], ":=", 
  RowBox[{"NotebookWrite", "[", 
   RowBox[{"nb", ",", "\[IndentingNewLine]", 
    RowBox[{"Cell", "[", 
     RowBox[{
      RowBox[{"TextData", "[", "\[IndentingNewLine]", 
       RowBox[{"Riffle", "[", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"StyleBox", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"ToString", "[", 
               RowBox[{
               "#", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
               "]"}], "~~", "\"\<  \>\"", "~~", " ", 
              RowBox[{
              "#", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}], 
             ",", 
             RowBox[{"FontWeight", "\[Rule]", "\"\<Bold\>\""}], ",", 
             RowBox[{"FontColor", "\[Rule]", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{"MemberQ", "[", 
                 RowBox[{"classDays", ",", 
                  RowBox[{
                  "#", "\[LeftDoubleBracket]", "2", 
                   "\[RightDoubleBracket]"}]}], "]"}], ",", 
                RowBox[{"RGBColor", "[", 
                 RowBox[{"0.4", ",", "0.6", ",", "0.8"}], "]"}], ",", 
                RowBox[{"GrayLevel", "[", ".67", "]"}]}], "]"}]}]}], "]"}], 
           "&"}], "/@", "weekData"}], ",", "\"\<\\n\>\""}], "]"}], 
       "\[IndentingNewLine]", "]"}], ",", "\"\<Text\>\"", ",", 
      "\[IndentingNewLine]", 
      RowBox[{"Background", "\[Rule]", 
       RowBox[{"GrayLevel", "[", ".94", "]"}]}], ",", "\[IndentingNewLine]", 
      RowBox[{"FontFamily", "\[Rule]", "\"\<Arial\>\""}], ",", 
      RowBox[{"CellMargins", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"Inherited", ",", "Inherited"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"2", ",", "0"}], "}"}]}], "}"}]}], ",", 
      RowBox[{"TabSpacings", "\[Rule]", "4"}]}], "]"}]}], 
   "\[IndentingNewLine]", "]"}]}]], "Input",
 InitializationCell->True],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Clear", "[", "writeMonth", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"writeMonth", "[", 
   RowBox[{"nb_", ",", "yr_Integer", ",", "mo_Integer"}], "]"}], ":=", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"NotebookWrite", "[", 
     RowBox[{"nb", ",", 
      RowBox[{"Cell", "[", 
       RowBox[{
        RowBox[{
        "months", "\[LeftDoubleBracket]", "mo", "\[RightDoubleBracket]"}], 
        ",", "\"\<Section\>\"", ",", 
        RowBox[{"FontColor", "\[Rule]", 
         RowBox[{"GrayLevel", "[", ".4", "]"}]}]}], "]"}]}], "]"}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"writeWeek", "[", 
       RowBox[{"nb", ",", "#"}], "]"}], "&"}], "/@", 
     RowBox[{"DeleteCases", "[", 
      RowBox[{
       RowBox[{"DeleteCases", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"Map", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"Transpose", "[", 
             RowBox[{"{", 
              RowBox[{"#", ",", 
               RowBox[{"{", 
                RowBox[{
                "\"\<Mo\>\"", ",", "\"\<Tu\>\"", ",", "\"\<We\>\"", ",", 
                 "\"\<Th\>\"", ",", "\"\<Fr\>\""}], "}"}]}], "}"}], "]"}], 
            "&"}], ",", 
           RowBox[{
            RowBox[{"month", "[", 
             RowBox[{
              RowBox[{"firstDay", "[", 
               RowBox[{"yr", ",", "mo"}], "]"}], ",", 
              RowBox[{"daysPerMonth", "[", 
               RowBox[{"yr", ",", "mo"}], "]"}]}], "]"}], 
            "\[LeftDoubleBracket]", 
            RowBox[{"All", ",", 
             RowBox[{"2", ";;", "6"}]}], "\[RightDoubleBracket]"}]}], "]"}], 
         ",", "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{"\"\<\>\"", ",", "_"}], "}"}], ",", "2"}], "]"}], ",", 
       RowBox[{"{", "}"}]}], "]"}]}]}], ")"}]}]}], "Input",
 InitializationCell->True],

Cell[BoxData[
 RowBox[{"calendarBuilder", ":=", 
  RowBox[{"Grid", "[", 
   RowBox[{
    RowBox[{"{", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"ActionMenu", "[", 
         RowBox[{"\"\<Class meeting days\>\"", ",", "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"\"\<Mo,We,Fr\>\"", "\[RuleDelayed]", 
             RowBox[{"(", 
              RowBox[{"classDays", "=", 
               RowBox[{"{", 
                RowBox[{"\"\<Mo\>\"", ",", "\"\<We\>\"", ",", "\"\<Fr\>\""}], 
                "}"}]}], ")"}]}], ",", "\[IndentingNewLine]", 
            RowBox[{"\"\<Tu,Th\>\"", "\[RuleDelayed]", 
             RowBox[{"(", 
              RowBox[{"classDays", "=", 
               RowBox[{"{", 
                RowBox[{"\"\<Tu\>\"", ",", "\"\<Th\>\""}], "}"}]}], ")"}]}], 
            ",", "\[IndentingNewLine]", 
            RowBox[{"\"\<Mo,We\>\"", "\[RuleDelayed]", 
             RowBox[{"(", 
              RowBox[{"classDays", "=", 
               RowBox[{"{", 
                RowBox[{"\"\<Mo\>\"", ",", "\"\<We\>\""}], "}"}]}], ")"}]}], 
            ",", "\[IndentingNewLine]", 
            RowBox[{"\"\<Mo,Tu,Th,Fr\>\"", "\[RuleDelayed]", 
             RowBox[{"(", 
              RowBox[{"classDays", "=", 
               RowBox[{"{", 
                RowBox[{
                "\"\<Mo\>\"", ",", "\"\<Tu\>\"", ",", "\"\<Th\>\"", ",", 
                 "\"\<Fr\>\""}], "}"}]}], ")"}]}], ",", "\[IndentingNewLine]",
             
            RowBox[{"\"\<Mo,We,Th\>\"", "\[RuleDelayed]", 
             RowBox[{"(", 
              RowBox[{"classDays", "=", 
               RowBox[{"{", 
                RowBox[{"\"\<Mo\>\"", ",", "\"\<We\>\"", ",", "\"\<Th\>\""}], 
                "}"}]}], ")"}]}], ",", "\[IndentingNewLine]", 
            RowBox[{"\"\<We\>\"", "\[RuleDelayed]", 
             RowBox[{"(", 
              RowBox[{"classDays", "=", 
               RowBox[{"{", "\"\<We\>\"", "}"}]}], ")"}]}]}], 
           "\[IndentingNewLine]", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
        
        RowBox[{"Dynamic", "@", "classDays"}]}], "}"}], ",", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"ActionMenu", "[", 
         RowBox[{"\"\<Year\>\"", ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{"ToString", "[", "#", "]"}], "\[RuleDelayed]", 
             RowBox[{"(", 
              RowBox[{"yr", "=", "#"}], ")"}]}], "&"}], "/@", 
           RowBox[{"Range", "[", 
            RowBox[{"2008", ",", "2018"}], "]"}]}]}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Dynamic", "@", "yr"}]}], "}"}], ",", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"ActionMenu", "[", 
         RowBox[{
         "\"\<First month to display\>\"", ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{"ToString", "[", "#", "]"}], "\[RuleDelayed]", 
             RowBox[{"(", 
              RowBox[{"start", "=", "#"}], ")"}]}], "&"}], "/@", 
           RowBox[{"Range", "[", "12", "]"}]}]}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Dynamic", "@", "start"}]}], "}"}], ",", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"ActionMenu", "[", 
         RowBox[{"\"\<Last month to display\>\"", ",", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{"ToString", "[", "#", "]"}], "\[RuleDelayed]", 
             RowBox[{"(", 
              RowBox[{"end", "=", "#"}], ")"}]}], "&"}], "/@", 
           RowBox[{"Range", "[", "12", "]"}]}]}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Dynamic", "@", "end"}]}], "}"}], ",", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Button", "[", 
         RowBox[{"\"\<Make calendar\>\"", ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"nb", "=", 
            RowBox[{"CreateDocument", "[", "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"Do", "[", 
            RowBox[{
             RowBox[{"writeMonth", "[", 
              RowBox[{"nb", ",", "yr", ",", "k"}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"k", ",", "start", ",", "end"}], "}"}]}], "]"}]}]}], 
         "]"}], ",", "\"\<\>\""}], "}"}]}], "\[IndentingNewLine]", 
     "\[IndentingNewLine]", "}"}], ",", 
    RowBox[{"Frame", "\[Rule]", "True"}]}], "]"}]}]], "Input",
 InitializationCell->True]
}, Closed]],

Cell[CellGroupData[{

Cell["Do it", "Subsection"],

Cell[BoxData["calendarBuilder"], "Input"]
}, Open  ]]
}, Open  ]]
},
AutoGeneratedPackage->None,
WindowSize->{640, 750},
WindowMargins->{{73, Automatic}, {Automatic, 102}},
FrontEndVersion->"6.0 for Mac OS X x86 (32-bit) (March 13, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 33, 0, 76, "Title"],
Cell[CellGroupData[{
Cell[648, 27, 27, 0, 34, "Subsection"],
Cell[678, 29, 223, 6, 27, "Input",
 InitializationCell->True],
Cell[904, 37, 273, 8, 27, "Input",
 InitializationCell->True],
Cell[1180, 47, 490, 10, 58, "Input",
 InitializationCell->True],
Cell[1673, 59, 1093, 33, 88, "Input",
 InitializationCell->True],
Cell[2769, 94, 101, 2, 27, "Input",
 InitializationCell->True],
Cell[2873, 98, 685, 20, 73, "Input",
 InitializationCell->True],
Cell[3561, 120, 773, 23, 58, "Input",
 InitializationCell->True],
Cell[4337, 145, 2777, 74, 208, "Input",
 InitializationCell->True],
Cell[7117, 221, 2075, 50, 178, "Input",
 InitializationCell->True],
Cell[9195, 273, 1899, 51, 133, "Input",
 InitializationCell->True],
Cell[11097, 326, 4732, 113, 463, "Input",
 InitializationCell->True]
}, Closed]],
Cell[CellGroupData[{
Cell[15866, 444, 27, 0, 26, "Subsection"],
Cell[15896, 446, 41, 0, 27, "Input"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
