(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     17334,        517]
NotebookOptionsPosition[     16307,        479]
NotebookOutlinePosition[     16672,        495]
CellTagsIndexPosition[     16629,        492]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Counting Alignments", "Title"],

Cell[CellGroupData[{

Cell["Inits", "Subsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"grayGrid", "[", 
    RowBox[{"m_", ",", "n_"}], "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", "i", "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"GrayLevel", "[", ".65", "]"}], ",", 
       RowBox[{"Join", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"Line", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"-", ".5"}], ",", 
                RowBox[{"i", "-", ".5"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"n", "+", ".5"}], ",", 
                RowBox[{"i", "-", ".5"}]}], "}"}]}], "}"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"i", ",", "0", ",", 
             RowBox[{"m", "+", "1"}]}], "}"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"Line", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"i", "-", ".5"}], ",", 
                RowBox[{"-", ".5"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"i", "-", ".5"}], ",", 
                RowBox[{"m", "+", ".5"}]}], "}"}]}], "}"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"i", ",", "0", ",", 
             RowBox[{"n", "+", "1"}]}], "}"}]}], "]"}]}], "]"}]}], "}"}]}], 
    "]"}]}], ";"}]], "InputOnly",
 InitializationCell->True],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"labelGrid", "[", 
    RowBox[{"xseq_", ",", "yseq_"}], "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"xn", "=", 
        RowBox[{"Length", "[", "xseq", "]"}]}], ",", 
       RowBox[{"yn", "=", 
        RowBox[{"Length", "[", "yseq", "]"}]}], ",", "i"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"GrayLevel", "[", ".65", "]"}], ",", 
         RowBox[{"Join", "[", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"Table", "[", 
            RowBox[{
             RowBox[{"Line", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"-", ".5"}], ",", 
                  RowBox[{"i", "-", ".5"}]}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"yn", "+", ".5"}], ",", 
                  RowBox[{"i", "-", ".5"}]}], "}"}]}], "}"}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"i", ",", "0", ",", 
               RowBox[{"xn", "+", "1"}]}], "}"}]}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"Table", "[", 
            RowBox[{
             RowBox[{"Line", "[", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"i", "-", ".5"}], ",", 
                  RowBox[{"-", ".5"}]}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"i", "-", ".5"}], ",", 
                  RowBox[{"xn", "+", ".5"}]}], "}"}]}], "}"}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"i", ",", "0", ",", 
               RowBox[{"yn", "+", "1"}]}], "}"}]}], "]"}]}], "]"}]}], "}"}], 
       ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"MapIndexed", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"Text", "[", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{"#1", ",", "20", ",", 
                RowBox[{"FontFamily", "\[Rule]", "\"\<Arial\>\""}], ",", 
                RowBox[{"FontSlant", "\[Rule]", "Plain"}]}], "]"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"First", "[", "#2", "]"}], ",", 
                RowBox[{"xn", "+", ".8"}]}], "}"}]}], "]"}], "&"}], ",", 
           "yseq"}], "]"}], ",", "\[IndentingNewLine]", 
         RowBox[{"MapIndexed", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"Text", "[", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{"#1", ",", "20", ",", 
                RowBox[{"FontFamily", "\[Rule]", "\"\<Arial\>\""}], ",", 
                RowBox[{"FontSlant", "\[Rule]", "Plain"}]}], "]"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"-", ".8"}], ",", 
                RowBox[{"xn", "-", 
                 RowBox[{"First", "[", "#2", "]"}]}]}], "}"}]}], "]"}], "&"}],
            ",", "xseq"}], "]"}]}], "}"}]}], "\[IndentingNewLine]", "}"}]}], 
    "\[IndentingNewLine]", "]"}]}], ";"}]], "Input",
 InitializationCell->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   StyleBox[
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "1"}], ",", "0"}], "}"}], "=", "west"}], ",", " ", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0", ",", "1"}], "}"}], "=", "north"}], ",", " ", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "1"}], ",", "1"}], "}"}], "=", "northwest"}]}], 
    "Remark"], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"allPaths", "[", 
      RowBox[{"0", ",", "0"}], "]"}], "=", 
     RowBox[{"{", 
      RowBox[{"{", "}"}], "}"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{
     RowBox[{"allPaths", "[", 
      RowBox[{"0", ",", "n_"}], "]"}], ":=", 
     RowBox[{
      RowBox[{"allPaths", "[", 
       RowBox[{"0", ",", "n"}], "]"}], "=", 
      RowBox[{"{", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "1"}], ",", "0"}], "}"}], ",", 
         RowBox[{"{", "n", "}"}]}], "]"}], "}"}]}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{
     RowBox[{"allPaths", "[", 
      RowBox[{"m_", ",", "0"}], "]"}], ":=", 
     RowBox[{
      RowBox[{"allPaths", "[", 
       RowBox[{"m", ",", "0"}], "]"}], "=", 
      RowBox[{"{", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "1"}], "}"}], ",", 
         RowBox[{"{", "m", "}"}]}], "]"}], "}"}]}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{
     RowBox[{"allPaths", "[", 
      RowBox[{"m_", ",", "n_"}], "]"}], ":=", 
     RowBox[{
      RowBox[{"allPaths", "[", 
       RowBox[{"m", ",", "n"}], "]"}], "=", 
      RowBox[{"Join", "[", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"Prepend", "[", 
           RowBox[{"#", ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "]"}], "&"}], "/@", 
         RowBox[{"allPaths", "[", 
          RowBox[{"m", ",", 
           RowBox[{"n", "-", "1"}]}], "]"}]}], ",", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{"Prepend", "[", 
           RowBox[{"#", ",", 
            RowBox[{"{", 
             RowBox[{"0", ",", "1"}], "}"}]}], "]"}], "&"}], "/@", 
         RowBox[{"allPaths", "[", 
          RowBox[{
           RowBox[{"m", "-", "1"}], ",", "n"}], "]"}]}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{"Prepend", "[", 
           RowBox[{"#", ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "]"}], "&"}], "/@", 
         RowBox[{"allPaths", "[", 
          RowBox[{
           RowBox[{"m", "-", "1"}], ",", 
           RowBox[{"n", "-", "1"}]}], "]"}]}]}], "]"}]}]}], 
    ";"}]}]}]], "InputOnly",
 InitializationCell->True],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"pathCoords", "[", "directionList_", "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", "n", "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"n", "=", 
       RowBox[{"Count", "[", 
        RowBox[{"directionList", ",", 
         RowBox[{"Except", "[", 
          RowBox[{"{", 
           RowBox[{"0", ",", "1"}], "}"}], "]"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"FoldList", "[", 
       RowBox[{"Plus", ",", 
        RowBox[{"{", 
         RowBox[{"n", ",", "0"}], "}"}], ",", "directionList"}], "]"}]}]}], 
    "]"}]}], ";"}]], "InputOnly",
 InitializationCell->True],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"dPics", "[", 
    RowBox[{"m_", ",", "n_"}], "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"dirs", "=", 
        RowBox[{"allPaths", "[", 
         RowBox[{"m", ",", "n"}], "]"}]}], ",", 
       RowBox[{"gg", "=", 
        RowBox[{"grayGrid", "[", 
         RowBox[{"m", ",", "n"}], "]"}]}], ",", "i"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Graphics", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"gg", ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Thickness", "[", ".05", "]"}], ",", 
             RowBox[{"Hue", "[", ".7", "]"}], ",", 
             RowBox[{"Line", "[", 
              RowBox[{"pathCoords", "@", 
               RowBox[{
               "dirs", "\[LeftDoubleBracket]", "i", 
                "\[RightDoubleBracket]"}]}], "]"}]}], "}"}]}], "}"}], ",", 
         RowBox[{"AspectRatio", "\[Rule]", "Automatic"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", 
         RowBox[{"Length", "[", "dirs", "]"}]}], "}"}]}], "]"}]}], "]"}]}], 
  ";"}]], "Input",
 InitializationCell->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"S", " ", "for", " ", 
    RowBox[{"\"\<Score\>\"", " ", "--"}], " ", "shows", " ", "alignment", " ",
     "score", " ", "for", " ", "each", " ", 
    RowBox[{"alignment", " ", "--"}], " ", "use", " ", "for", " ", "actual", 
    " ", "example", " ", "seqs"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"dualPicsS", "[", 
    RowBox[{"xseq_", ",", "yseq_"}], "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"xn", "=", 
        RowBox[{"Length", "[", "xseq", "]"}]}], ",", 
       RowBox[{"yn", "=", 
        RowBox[{"Length", "[", "yseq", "]"}]}], ",", 
       RowBox[{"lg", "=", 
        RowBox[{"labelGrid", "[", 
         RowBox[{"xseq", ",", "yseq"}], "]"}]}], ",", "top", ",", "bottom"}], 
      "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"Row", "[", 
        RowBox[{
         RowBox[{"{", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"Graphics", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"lg", ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"Thickness", "[", ".05", "]"}], ",", 
                 RowBox[{"Hue", "[", ".7", "]"}], ",", 
                 RowBox[{"Line", "[", 
                  RowBox[{"pathCoords", "@", "#"}], "]"}]}], "}"}]}], "}"}], 
             ",", 
             RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
             RowBox[{"ImageSize", "\[Rule]", "200"}]}], "]"}], ",", 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"Grid", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "\[IndentingNewLine]", 
                RowBox[{"DisplayAlignment", "[", 
                 RowBox[{
                  RowBox[{"top", "=", 
                   RowBox[{"ReplacePart", "[", 
                    RowBox[{
                    RowBox[{"Table", "[", 
                    RowBox[{"\"\<-\>\"", ",", 
                    RowBox[{"{", 
                    RowBox[{"Length", "[", "#", "]"}], "}"}]}], "]"}], ",", 
                    RowBox[{"Thread", "[", 
                    RowBox[{
                    RowBox[{"Position", "[", 
                    RowBox[{
                    RowBox[{"Reverse", "[", "#", "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"_", ",", "1"}], "}"}]}], "]"}], "\[Rule]", " ", 
                    "xseq"}], "]"}]}], "]"}]}], ",", 
                  RowBox[{"bottom", "=", 
                   RowBox[{"ReplacePart", "[", 
                    RowBox[{
                    RowBox[{"Table", "[", 
                    RowBox[{"\"\<-\>\"", ",", 
                    RowBox[{"{", 
                    RowBox[{"Length", "[", "#", "]"}], "}"}]}], "]"}], ",", 
                    RowBox[{"Thread", "[", 
                    RowBox[{
                    RowBox[{"Position", "[", 
                    RowBox[{
                    RowBox[{"Reverse", "[", "#", "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "1"}], ",", "_"}], "}"}]}], "]"}], "\[Rule]",
                     " ", "yseq"}], "]"}]}], "]"}]}], ",", 
                  RowBox[{"ItemSize", "\[Rule]", "1.4"}], ",", 
                  RowBox[{"FontStyle", "\[Rule]", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"FontFamily", "\[Rule]", "\"\<Arial\>\""}], ",", 
                    "20", ",", 
                    RowBox[{"FontSlant", "\[Rule]", "\"\<Italic\>\""}]}], 
                    "}"}]}]}], "]"}], "\[IndentingNewLine]", "}"}], ",", 
               RowBox[{"{", "\"\<  \>\"", "}"}], ",", 
               RowBox[{"{", "\[IndentingNewLine]", 
                RowBox[{"Style", "[", 
                 RowBox[{
                  RowBox[{"\"\<Alignment Score = \>\"", "<>", 
                   RowBox[{"ToString", "[", 
                    RowBox[{"ScoreAlignment", "[", 
                    RowBox[{"top", ",", "bottom"}], "]"}], "]"}]}], ",", "18",
                   ",", 
                  RowBox[{"FontFamily", "\[Rule]", "\"\<Arial\>\""}]}], "]"}],
                 "\[IndentingNewLine]", "}"}]}], "}"}], ",", 
             RowBox[{"Spacings", "\[Rule]", "3"}], ",", 
             RowBox[{"Alignment", "\[Rule]", "Left"}]}], "]"}]}], 
          "\[IndentingNewLine]", "}"}], ",", "\"\<         \>\""}], "]"}], 
       "&"}], "/@", 
      RowBox[{"allPaths", "[", 
       RowBox[{"xn", ",", "yn"}], "]"}]}]}], "\[IndentingNewLine]", 
    "]"}]}]}]], "Input",
 InitializationCell->True]
}, Closed]],

Cell[CellGroupData[{

Cell["Play", "Subsection"],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"GraphicsGrid", "[", 
   RowBox[{"Partition", "[", 
    RowBox[{
     RowBox[{"Append", "[", 
      RowBox[{
       RowBox[{"dPics", "[", 
        RowBox[{"4", ",", "3"}], "]"}], ",", 
       RowBox[{"Graphics", "[", "]"}]}], "]"}], ",", "13"}], "]"}], "]"}], 
  "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"GraphicsGrid", "[", 
   RowBox[{"Partition", "[", 
    RowBox[{
     RowBox[{"dPics", "[", 
      RowBox[{"3", ",", "3"}], "]"}], ",", "9"}], "]"}], "]"}], 
  "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"GraphicsGrid", "[", 
   RowBox[{"Partition", "[", 
    RowBox[{
     RowBox[{"dPics", "[", 
      RowBox[{"3", ",", "5"}], "]"}], ",", "11"}], "]"}], "]"}], 
  "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"ListAnimate", "[", 
  RowBox[{"dualPicsS", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
     "\"\<A\>\"", ",", "\"\<A\>\"", ",", "\"\<C\>\"", ",", "\"\<G\>\""}], 
     "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"\"\<A\>\"", ",", "\"\<A\>\"", ",", "\"\<G\>\""}], "}"}]}], 
   "]"}], "]"}]], "Input"]
}, Open  ]]
}, Open  ]]
},
AutoGeneratedPackage->None,
WindowSize->{898, 764},
WindowMargins->{{38, Automatic}, {Automatic, 54}},
FrontEndVersion->"6.0 for Mac OS X x86 (32-bit) (March 13, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 36, 0, 76, "Title"],
Cell[CellGroupData[{
Cell[651, 27, 27, 0, 34, "Subsection"],
Cell[681, 29, 1642, 47, 72, "InputOnly",
 InitializationCell->True],
Cell[2326, 78, 3316, 87, 223, "Input",
 InitializationCell->True],
Cell[5645, 167, 2875, 92, 132, "InputOnly",
 InitializationCell->True],
Cell[8523, 261, 678, 20, 57, "InputOnly",
 InitializationCell->True],
Cell[9204, 283, 1226, 36, 73, "Input",
 InitializationCell->True],
Cell[10433, 321, 4670, 107, 358, "Input",
 InitializationCell->True]
}, Closed]],
Cell[CellGroupData[{
Cell[15140, 433, 26, 0, 26, "Subsection"],
Cell[15169, 435, 326, 10, 27, "Input"],
Cell[15498, 447, 223, 7, 27, "Input"],
Cell[15724, 456, 224, 7, 27, "Input"],
Cell[15951, 465, 328, 10, 27, "Input"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

