(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     16545,        449]
NotebookOptionsPosition[     15821,        418]
NotebookOutlinePosition[     16156,        433]
CellTagsIndexPosition[     16113,        430]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Cross Product Calculator", "Section"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"If", "[", 
    RowBox[{"showVectors", ",", "\[IndentingNewLine]", 
     RowBox[{"Column", "[", 
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Style", "[", 
         RowBox[{
          RowBox[{"Cross", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"x1", ",", "y1", ",", "z1"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"x2", ",", "y2", ",", "z2"}], "}"}]}], "]"}], ",", 
          "Green"}], "]"}], ",", "\[IndentingNewLine]", 
        RowBox[{"Graphics3D", "[", 
         RowBox[{
          RowBox[{"{", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"Blue", ",", 
              RowBox[{"Line", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"x1", ",", "y1", ",", "z1"}], "}"}]}], "}"}], 
               "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
            RowBox[{"{", 
             RowBox[{"Red", ",", 
              RowBox[{"Line", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"x2", ",", "y2", ",", "z2"}], "}"}]}], "}"}], 
               "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
            RowBox[{"{", 
             RowBox[{"Green", ",", 
              RowBox[{"Line", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
                 RowBox[{"Cross", "[", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{"x1", ",", "y1", ",", "z1"}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"x2", ",", "y2", ",", "z2"}], "}"}]}], "]"}]}], 
                "}"}], "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Opacity", "[", ".4", "]"}], ",", 
              RowBox[{"EdgeForm", "[", "Gray", "]"}], ",", 
              RowBox[{"Polygon", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"x1", ",", "y1", ",", "z1"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"x1", "+", "x2"}], ",", 
                   RowBox[{"y1", "+", "y2"}], ",", 
                   RowBox[{"z1", "+", "z2"}]}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"x2", ",", "y2", ",", "z2"}], "}"}]}], "}"}], 
               "]"}]}], "}"}]}], "\[IndentingNewLine]", "}"}], ",", 
          RowBox[{"PlotRange", "\[Rule]", 
           RowBox[{"Max", "[", 
            RowBox[{
             RowBox[{"Abs", "@", "x1"}], ",", 
             RowBox[{"Abs", "@", "y1"}], ",", 
             RowBox[{"Abs", "@", "z1"}], ",", 
             RowBox[{"Abs", "@", "x2"}], ",", 
             RowBox[{"Abs", "@", "y2"}], ",", 
             RowBox[{"Abs", "@", "z2"}], ",", 
             RowBox[{"Abs", "[", 
              RowBox[{"x1", "+", "x2"}], "]"}], ",", 
             RowBox[{"Abs", "[", 
              RowBox[{"y1", "+", "y2"}], "]"}], ",", 
             RowBox[{"Abs", "[", 
              RowBox[{"z1", "+", "z2"}], "]"}], ",", 
             RowBox[{"Abs", "@", 
              RowBox[{"Cross", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"x1", ",", "y1", ",", "z1"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"x2", ",", "y2", ",", "z2"}], "}"}]}], "]"}]}]}], 
            "]"}]}], ",", 
          RowBox[{"BoxStyle", "\[Rule]", "Gray"}], ",", 
          RowBox[{"ImageSize", "\[Rule]", "300"}]}], "\[IndentingNewLine]", 
         "]"}]}], "\[IndentingNewLine]", "}"}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Cross", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"x1", ",", "y1", ",", "z1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"x2", ",", "y2", ",", "z2"}], "}"}]}], "]"}]}], 
    "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"showVectors", ",", "False", ",", "\"\<show vectors\>\""}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Bottom"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"x1", ",", "1"}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"y1", ",", "0"}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"z1", ",", "0"}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"x2", ",", "0"}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"y2", ",", "1"}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"z2", ",", "0"}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   "\[IndentingNewLine]", "Delimiter", ",", "\[IndentingNewLine]", 
   RowBox[{"Dynamic", "@", 
    RowBox[{"Row", "[", 
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"\[LeftAngleBracket]", 
        RowBox[{
         RowBox[{"InputField", "[", 
          RowBox[{
           RowBox[{"Dynamic", "[", "x1", "]"}], ",", 
           RowBox[{"FieldSize", "\[Rule]", "2"}], ",", 
           RowBox[{"BaseStyle", "\[Rule]", "Blue"}]}], "]"}], ",", 
         RowBox[{"InputField", "[", 
          RowBox[{
           RowBox[{"Dynamic", "[", "y1", "]"}], ",", 
           RowBox[{"FieldSize", "\[Rule]", "2"}], ",", 
           RowBox[{"BaseStyle", "\[Rule]", "Blue"}]}], "]"}], ",", 
         RowBox[{"InputField", "[", 
          RowBox[{
           RowBox[{"Dynamic", "[", "z1", "]"}], ",", 
           RowBox[{"FieldSize", "\[Rule]", "2"}], ",", 
           RowBox[{"BaseStyle", "\[Rule]", "Blue"}]}], "]"}]}], 
        "\[RightAngleBracket]"}], ",", "\"\< \[Cross] \>\"", ",", 
       "\[IndentingNewLine]", 
       RowBox[{"\[LeftAngleBracket]", 
        RowBox[{
         RowBox[{"InputField", "[", 
          RowBox[{
           RowBox[{"Dynamic", "[", "x2", "]"}], ",", 
           RowBox[{"FieldSize", "\[Rule]", "2"}], ",", 
           RowBox[{"BaseStyle", "\[Rule]", "Red"}]}], "]"}], ",", 
         RowBox[{"InputField", "[", 
          RowBox[{
           RowBox[{"Dynamic", "[", "y2", "]"}], ",", 
           RowBox[{"FieldSize", "\[Rule]", "2"}], ",", 
           RowBox[{"BaseStyle", "\[Rule]", "Red"}]}], "]"}], ",", 
         RowBox[{"InputField", "[", 
          RowBox[{
           RowBox[{"Dynamic", "[", "z2", "]"}], ",", 
           RowBox[{"FieldSize", "\[Rule]", "2"}], ",", 
           RowBox[{"BaseStyle", "\[Rule]", "Red"}]}], "]"}]}], 
        "\[RightAngleBracket]"}], ",", "\"\< =\>\""}], "}"}], "]"}]}]}], 
  "\[IndentingNewLine]", "]"}]], "Input"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`showVectors$$ = False, $CellContext`x1$$ = 
    1, $CellContext`x2$$ = 0, $CellContext`y1$$ = 0, $CellContext`y2$$ = 
    1, $CellContext`z1$$ = 0, $CellContext`z2$$ = 0, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`showVectors$$], False, "show vectors"}, {
      True, False}}, {{
       Hold[$CellContext`x1$$], 1}}, {{
       Hold[$CellContext`y1$$], 0}}, {{
       Hold[$CellContext`z1$$], 0}}, {{
       Hold[$CellContext`x2$$], 0}}, {{
       Hold[$CellContext`y2$$], 1}}, {{
       Hold[$CellContext`z2$$], 0}}, {
      Hold[
       Dynamic[
        Row[{
          AngleBracket[
           InputField[
            Dynamic[$CellContext`x1$$], FieldSize -> 2, BaseStyle -> 
            Graphics`Colors`Blue], 
           InputField[
            Dynamic[$CellContext`y1$$], FieldSize -> 2, BaseStyle -> 
            Graphics`Colors`Blue], 
           InputField[
            Dynamic[$CellContext`z1$$], FieldSize -> 2, BaseStyle -> 
            Graphics`Colors`Blue]], " \[Cross] ", 
          AngleBracket[
           InputField[
            Dynamic[$CellContext`x2$$], FieldSize -> 2, BaseStyle -> 
            Graphics`Colors`Red], 
           InputField[
            Dynamic[$CellContext`y2$$], FieldSize -> 2, BaseStyle -> 
            Graphics`Colors`Red], 
           InputField[
            Dynamic[$CellContext`z2$$], FieldSize -> 2, BaseStyle -> 
            Graphics`Colors`Red]], " ="}]]], 
      Manipulate`Dump`ThisIsNotAControl}}, Typeset`size$$ = {
    58.9375, {2.25, 8.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`showVectors$112895$$ = False},
     
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`showVectors$$ = False, $CellContext`x1$$ = 
        1, $CellContext`x2$$ = 0, $CellContext`y1$$ = 0, $CellContext`y2$$ = 
        1, $CellContext`z1$$ = 0, $CellContext`z2$$ = 0}, 
      "ControllerVariables" :> {
        Hold[$CellContext`showVectors$$, $CellContext`showVectors$112895$$, 
         False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> If[$CellContext`showVectors$$, 
        Column[{
          Style[
           
           Cross[{$CellContext`x1$$, $CellContext`y1$$, $CellContext`z1$$}, \
{$CellContext`x2$$, $CellContext`y2$$, $CellContext`z2$$}], 
           Graphics`Colors`Green], 
          Graphics3D[{{Graphics`Colors`Blue, 
             
             Line[{{0, 0, 
               0}, {$CellContext`x1$$, $CellContext`y1$$, \
$CellContext`z1$$}}]}, {Graphics`Colors`Red, 
             
             Line[{{0, 0, 
               0}, {$CellContext`x2$$, $CellContext`y2$$, \
$CellContext`z2$$}}]}, {Graphics`Colors`Green, 
             Line[{{0, 0, 0}, 
               
               Cross[{$CellContext`x1$$, $CellContext`y1$$, \
$CellContext`z1$$}, {$CellContext`x2$$, $CellContext`y2$$, \
$CellContext`z2$$}]}]}, {
             Opacity[0.4], 
             EdgeForm[Graphics`Colors`Gray], 
             
             Polygon[{{0, 0, 
               0}, {$CellContext`x1$$, $CellContext`y1$$, $CellContext`z1$$}, \
{$CellContext`x1$$ + $CellContext`x2$$, $CellContext`y1$$ + \
$CellContext`y2$$, $CellContext`z1$$ + $CellContext`z2$$}, \
{$CellContext`x2$$, $CellContext`y2$$, $CellContext`z2$$}}]}}, PlotRange -> 
           Max[
             Abs[$CellContext`x1$$], 
             Abs[$CellContext`y1$$], 
             Abs[$CellContext`z1$$], 
             Abs[$CellContext`x2$$], 
             Abs[$CellContext`y2$$], 
             Abs[$CellContext`z2$$], 
             Abs[$CellContext`x1$$ + $CellContext`x2$$], 
             Abs[$CellContext`y1$$ + $CellContext`y2$$], 
             Abs[$CellContext`z1$$ + $CellContext`z2$$], 
             Abs[
              
              Cross[{$CellContext`x1$$, $CellContext`y1$$, \
$CellContext`z1$$}, {$CellContext`x2$$, $CellContext`y2$$, \
$CellContext`z2$$}]]], BoxStyle -> Graphics`Colors`Gray, ImageSize -> 300]}], 
        
        Cross[{$CellContext`x1$$, $CellContext`y1$$, $CellContext`z1$$}, \
{$CellContext`x2$$, $CellContext`y2$$, $CellContext`z2$$}]], 
      "Specifications" :> {{{$CellContext`showVectors$$, False, 
          "show vectors"}, {True, False}, ControlPlacement -> 
         Bottom}, {{$CellContext`x1$$, 1}, ControlType -> 
         None}, {{$CellContext`y1$$, 0}, ControlType -> 
         None}, {{$CellContext`z1$$, 0}, ControlType -> 
         None}, {{$CellContext`x2$$, 0}, ControlType -> 
         None}, {{$CellContext`y2$$, 1}, ControlType -> 
         None}, {{$CellContext`z2$$, 0}, ControlType -> None}, Delimiter, 
        Dynamic[
         Row[{
           AngleBracket[
            InputField[
             Dynamic[$CellContext`x1$$], FieldSize -> 2, BaseStyle -> 
             Graphics`Colors`Blue], 
            InputField[
             Dynamic[$CellContext`y1$$], FieldSize -> 2, BaseStyle -> 
             Graphics`Colors`Blue], 
            InputField[
             Dynamic[$CellContext`z1$$], FieldSize -> 2, BaseStyle -> 
             Graphics`Colors`Blue]], " \[Cross] ", 
           AngleBracket[
            InputField[
             Dynamic[$CellContext`x2$$], FieldSize -> 2, BaseStyle -> 
             Graphics`Colors`Red], 
            InputField[
             Dynamic[$CellContext`y2$$], FieldSize -> 2, BaseStyle -> 
             Graphics`Colors`Red], 
            InputField[
             Dynamic[$CellContext`z2$$], FieldSize -> 2, BaseStyle -> 
             Graphics`Colors`Red]], " ="}]]}, "Options" :> {}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{205., {57.875, 63.125}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output"]
}, {2}]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "Ordinary ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " code for cross products"
}], "Section"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Cross", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"1", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "1", ",", "0"}], "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0", ",", "0", ",", "1"}], "}"}]], "Output"]
}, Open  ]],

Cell[TextData[{
 "OR you can use the ",
 StyleBox["BasicMathInput",
  FontWeight->"Bold"],
 " palette. The second row in the center section of the palette has the small \
\[Cross] symbol appearning directly under the letter \[ImaginaryI]. Use \
that:"
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"{", 
   RowBox[{"1", ",", "0", ",", "0"}], "}"}], "\[Cross]", 
  RowBox[{"{", 
   RowBox[{"0", ",", "1", ",", "0"}], "}"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0", ",", "0", ",", "1"}], "}"}]], "Output"]
}, Open  ]]
}, Open  ]]
},
WindowSize->{640, 750},
WindowMargins->{{4, Automatic}, {Automatic, 4}},
FrontEndVersion->"6.0 for Mac OS X x86 (32-bit) (March 13, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 43, 0, 67, "Section"],
Cell[CellGroupData[{
Cell[658, 27, 7741, 194, 553, "Input"],
Cell[8402, 223, 6355, 143, 139, "Output"]
}, {2}]]
}, Open  ]],
Cell[CellGroupData[{
Cell[14803, 372, 121, 5, 67, "Section"],
Cell[CellGroupData[{
Cell[14949, 381, 199, 6, 27, "Input"],
Cell[15151, 389, 83, 2, 27, "Output"]
}, Open  ]],
Cell[15249, 394, 263, 7, 41, "Text"],
Cell[CellGroupData[{
Cell[15537, 405, 170, 5, 27, "Input"],
Cell[15710, 412, 83, 2, 27, "Output"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
