(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     11605,        336]
NotebookOptionsPosition[     11007,        310]
NotebookOutlinePosition[     11373,        326]
CellTagsIndexPosition[     11330,        323]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Dodge Ball", "Section"],

Cell[TextData[{
 "See ",
 StyleBox["The Heart of Mathematics",
  FontSlant->"Italic"],
 ", 2nd ed, by Burger and Starbird, page 8, for rules of play."
}], "Text"],

Cell[CellGroupData[{

Cell["inits", "Subsection"],

Cell[BoxData[
 RowBox[{"dodgeball", ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"n", "=", "6"}], ",", "hlines1", ",", "hlines2", ",", "vlines1",
       ",", "vlines2", ",", "gridPts", ",", "gridState", ",", "hit"}], "}"}], 
    ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"hlines1", "=", 
      RowBox[{"Map", "[", 
       RowBox[{"Line", ",", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", ".5"}], ",", "y"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"n", ",", "y"}], "}"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"y", ",", "0", ",", "n"}], "}"}]}], "]"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"vlines1", "=", 
      RowBox[{"Map", "[", 
       RowBox[{"Line", ",", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"x", ",", "0"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"x", ",", "n"}], "}"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"x", ",", 
            RowBox[{"Append", "[", 
             RowBox[{
              RowBox[{"Range", "[", 
               RowBox[{"0", ",", "n"}], "]"}], ",", 
              RowBox[{"-", ".5"}]}], "]"}]}], "}"}]}], "]"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"hlines2", "=", 
      RowBox[{"Map", "[", 
       RowBox[{"Line", ",", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", "y"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"n", ",", "y"}], "}"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"y", ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", ".5"}], ",", 
              RowBox[{"-", "1"}], ",", 
              RowBox[{"-", "2"}]}], "}"}]}], "}"}]}], "]"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"vlines2", "=", 
      RowBox[{"Map", "[", 
       RowBox[{"Line", ",", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"x", ",", 
              RowBox[{"-", "2"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"x", ",", 
              RowBox[{"-", ".5"}]}], "}"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"x", ",", "0", ",", "n"}], "}"}]}], "]"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"gridPts", "=", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"{", 
          RowBox[{"x", ",", "y"}], "}"}], "-", 
         RowBox[{"{", 
          RowBox[{".5", ",", ".5"}], "}"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"y", ",", 
          RowBox[{"Prepend", "[", 
           RowBox[{
            RowBox[{"Range", "[", "n", "]"}], ",", 
            RowBox[{"-", "1"}]}], "]"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"x", ",", "1", ",", "n"}], "}"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"gridState", "=", 
      RowBox[{"Table", "[", 
       RowBox[{"\"\<\>\"", ",", 
        RowBox[{"{", 
         RowBox[{"y", ",", "1", ",", 
          RowBox[{"n", "+", "1"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"x", ",", "1", ",", "n"}], "}"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"hit", "[", "v_", "]"}], ":=", 
      RowBox[{"Switch", "[", 
       RowBox[{
       "v", ",", "\"\<\>\"", ",", "\"\<X\>\"", ",", "\"\<X\>\"", ",", 
        "\"\<O\>\"", ",", "\"\<O\>\"", ",", "\"\<\>\""}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"EventHandler", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"Dynamic", "@", 
          RowBox[{"Graphics", "[", 
           RowBox[{
            RowBox[{"{", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"Flatten", "[", 
               RowBox[{
                RowBox[{"MapThread", "[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Text", "[", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"#1", ",", "18", ",", "Blue"}], "]"}], ",", 
                    "#2"}], "]"}], "&"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"gridState", ",", "gridPts"}], "}"}], ",", "2"}], 
                 "]"}], ",", "1"}], "]"}], ",", "\[IndentingNewLine]", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"GrayLevel", "[", ".95", "]"}], ",", 
                RowBox[{"Polygon", "[", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", ".5"}], ",", "0"}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"0", ",", "0"}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"0", ",", "n"}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", ".5"}], ",", "n"}], "}"}]}], "}"}], "]"}]}], 
               "}"}], ",", "\[IndentingNewLine]", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"GrayLevel", "[", ".95", "]"}], ",", 
                RowBox[{"Polygon", "[", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{"0", ",", 
                    RowBox[{"-", ".5"}]}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"n", ",", 
                    RowBox[{"-", ".5"}]}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"n", ",", 
                    RowBox[{"-", "1"}]}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"0", ",", 
                    RowBox[{"-", "1"}]}], "}"}]}], "}"}], "]"}]}], "}"}], ",",
               "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{
                RowBox[{"Text", "[", 
                 RowBox[{
                  RowBox[{"Style", "[", 
                   RowBox[{
                    RowBox[{"ToString", "[", "#", "]"}], ",", "18"}], "]"}], 
                  ",", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"-", ".25"}], ",", 
                    RowBox[{"n", "+", ".5", "-", "#"}]}], "}"}]}], "]"}], 
                "&"}], "/@", 
               RowBox[{"Range", "[", "n", "]"}]}], ",", "\[IndentingNewLine]",
               
              RowBox[{
               RowBox[{
                RowBox[{"Text", "[", 
                 RowBox[{
                  RowBox[{"Style", "[", 
                   RowBox[{
                    RowBox[{"ToString", "[", "#", "]"}], ",", "18"}], "]"}], 
                  ",", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"#", "-", ".5"}], ",", 
                    RowBox[{"-", ".75"}]}], "}"}]}], "]"}], "&"}], "/@", 
               RowBox[{"Range", "[", "n", "]"}]}], ",", "\[IndentingNewLine]",
               
              RowBox[{"{", 
               RowBox[{"Gray", ",", 
                RowBox[{"{", 
                 RowBox[{
                 "hlines1", ",", "hlines2", ",", "vlines1", ",", "vlines2"}], 
                 "}"}]}], "}"}]}], "\[IndentingNewLine]", 
             "\[IndentingNewLine]", "}"}], ",", "\[IndentingNewLine]", 
            RowBox[{"PlotRange", "\[Rule]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"-", ".6"}], ",", 
                 RowBox[{"n", "+", ".1"}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"-", "2.1"}], ",", 
                 RowBox[{"n", "+", ".1"}]}], "}"}]}], "}"}]}]}], 
           "\[IndentingNewLine]", "]"}]}], ",", "\[IndentingNewLine]", 
         RowBox[{"\"\<MouseDown\>\"", "\[RuleDelayed]", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"p", "=", 
             RowBox[{"First", "@", 
              RowBox[{"Nearest", "[", 
               RowBox[{
                RowBox[{"Flatten", "[", 
                 RowBox[{"gridPts", ",", "1"}], "]"}], ",", 
                RowBox[{"MousePosition", "[", "\"\<Graphics\>\"", "]"}]}], 
               "]"}]}]}], ";", 
            RowBox[{"gridState", "=", 
             RowBox[{"MapAt", "[", 
              RowBox[{"hit", ",", "gridState", ",", 
               RowBox[{"Position", "[", 
                RowBox[{"gridPts", ",", "p"}], "]"}]}], "]"}]}]}], ")"}]}]}], 
        "\[IndentingNewLine]", "]"}], "\[IndentingNewLine]", ",", 
       "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"p", ",", 
           RowBox[{"{", 
            RowBox[{".5", ",", ".5"}], "}"}]}], "}"}], ",", 
         RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"clear", ",", "0", ",", "\"\<\>\""}], "}"}], ",", 
         RowBox[{
          RowBox[{"Button", "[", 
           RowBox[{"\"\<new game\>\"", ",", 
            RowBox[{"gridState", "=", 
             RowBox[{"Table", "[", 
              RowBox[{"\"\<\>\"", ",", 
               RowBox[{"{", 
                RowBox[{"y", ",", "1", ",", 
                 RowBox[{"n", "+", "1"}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"x", ",", "1", ",", "n"}], "}"}]}], "]"}]}]}], "]"}], 
          "&"}]}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"SaveDefinitions", "\[Rule]", "True"}]}], 
      "\[IndentingNewLine]", "]"}]}]}], "\[IndentingNewLine]", 
   "]"}]}]], "Input",
 InitializationCell->True]
}, Closed]],

Cell[CellGroupData[{

Cell["Play:", "Subsection"],

Cell[BoxData["dodgeball"], "Input"]
}, Open  ]]
}, Open  ]]
},
AutoGeneratedPackage->None,
WindowSize->{640, 750},
WindowMargins->{{52, Automatic}, {Automatic, 124}},
FrontEndVersion->"6.0 for Mac OS X x86 (32-bit) (March 13, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 29, 0, 67, "Section"],
Cell[622, 25, 162, 5, 26, "Text"],
Cell[CellGroupData[{
Cell[809, 34, 27, 0, 34, "Subsection"],
Cell[839, 36, 10038, 263, 568, "Input",
 InitializationCell->True]
}, Closed]],
Cell[CellGroupData[{
Cell[10914, 304, 27, 0, 26, "Subsection"],
Cell[10944, 306, 35, 0, 27, "Input"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
