(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     18014,        476]
NotebookOptionsPosition[     17258,        445]
NotebookOutlinePosition[     17623,        461]
CellTagsIndexPosition[     17580,        458]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Fibonacci Nim", "Title"],

Cell[CellGroupData[{

Cell["Inits", "Subsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"fibNos", "=", 
   RowBox[{"Reverse", "@", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"Fibonacci", "[", "k", "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"k", ",", "10"}], "}"}]}], "]"}]}]}], ";"}]], "Input",
 InitializationCell->True],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Clear", "[", "f", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"f", "[", 
   RowBox[{"{", 
    RowBox[{"num_", ",", "decomp_List", ",", "numList_"}], "}"}], "]"}], ":=",
   
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{"num", "\[Equal]", "0"}], ",", 
    RowBox[{"{", 
     RowBox[{"num", ",", "decomp", ",", "numList"}], "}"}], ",", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"smallerList", ",", 
        RowBox[{"d", "=", "decomp"}]}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"smallerList", "=", 
        RowBox[{"Select", "[", 
         RowBox[{"numList", ",", 
          RowBox[{
           RowBox[{"num", "\[GreaterEqual]", "#"}], "&"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"num", "-", 
          RowBox[{"First", "@", "smallerList"}]}], ",", 
         RowBox[{"AppendTo", "[", 
          RowBox[{"d", ",", 
           RowBox[{"First", "@", "smallerList"}]}], "]"}], ",", 
         RowBox[{"Rest", "@", "smallerList"}]}], "}"}]}]}], "]"}]}], 
   "]"}]}]}], "Input",
 InitializationCell->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"fibDecomp", "[", 
   RowBox[{"num_", ",", "numList_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"FixedPoint", "[", 
    RowBox[{"f", ",", 
     RowBox[{"{", 
      RowBox[{"num", ",", 
       RowBox[{"{", "}"}], ",", "numList"}], "}"}]}], "]"}], 
   "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}]], "Input",
 InitializationCell->True],

Cell[BoxData[
 RowBox[{"fibonacciNim", ":=", 
  RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"currentCount", ">", "s"}], ",", 
       RowBox[{
        RowBox[{"currentCount", "=", "s"}], ";", 
        RowBox[{"tempCount", "=", "s"}]}]}], "]"}], ";", 
     RowBox[{"(*", " ", 
      RowBox[{"for", " ", "initial", " ", "evaluation"}], " ", "*)"}], 
     "\[IndentingNewLine]", 
     RowBox[{"Row", "[", 
      RowBox[{
       RowBox[{"{", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"Which", "[", 
          RowBox[{
           RowBox[{"currentCount", "\[Equal]", "s"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"Column", "[", 
            RowBox[{"{", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{
              "Text", "@", "\"\<Decide how many sticks to remove and\>\""}], 
              ",", "\[IndentingNewLine]", 
              RowBox[{
              "Text", "@", 
               "\"\<hit the \!\(\*\n\
StyleBox[\\\"do\\\",\\nFontSlant->\\\"Italic\\\"]\)\!\(\*\nStyleBox[\\\" \
\\\",\\nFontSlant->\\\"Italic\\\"]\)\!\(\*\n\
StyleBox[\\\"it\\\",\\nFontSlant->\\\"Italic\\\"]\) button to start the game.\
\>\""}], ",", "\[IndentingNewLine]", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{"MemberQ", "[", 
                 RowBox[{"fibNos", ",", "currentCount"}], "]"}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{"Text", "@", 
                 RowBox[{"Style", "[", 
                  RowBox[{"\"\<God help you\>\"", ",", 
                   RowBox[{"If", "[", 
                    RowBox[{"hint", ",", "Blue", ",", "White"}], "]"}]}], 
                  "]"}]}], ",", "\[IndentingNewLine]", 
                RowBox[{"Text", "@", 
                 RowBox[{"Style", "[", 
                  RowBox[{
                   RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{"currentCount", ",", "\"\< =  \>\"", ",", 
                    RowBox[{"Sequence", "@@", 
                    RowBox[{"Riffle", "[", 
                    RowBox[{
                    RowBox[{"fibDecomp", "[", 
                    RowBox[{"currentCount", ",", "fibNos"}], "]"}], ",", 
                    "\"\< + \>\""}], "]"}]}]}], "}"}], "]"}], ",", 
                   RowBox[{"If", "[", 
                    RowBox[{"hint", ",", "Blue", ",", "White"}], "]"}]}], 
                  "]"}]}]}], "]"}]}], "\[IndentingNewLine]", "}"}], "]"}], 
           ",", "\[IndentingNewLine]", 
           RowBox[{"state", "\[NotEqual]", "\"\<play\>\""}], ",", 
           RowBox[{"Style", "[", 
            RowBox[{"state", ",", "24", ",", "Red"}], "]"}], ",", 
           "\[IndentingNewLine]", "True", ",", "\[IndentingNewLine]", 
           RowBox[{"Column", "[", 
            RowBox[{
             RowBox[{"{", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"Text", "@", 
                RowBox[{"Row", "[", 
                 RowBox[{"{", 
                  RowBox[{
                  "\"\<You removed \>\"", ",", "remove", ",", 
                   "\"\<, leaving \>\"", ",", "tempCount", ",", 
                   "\"\< in the pile.\>\""}], "}"}], "]"}]}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{"Text", "@", 
                RowBox[{"Row", "[", 
                 RowBox[{"{", 
                  RowBox[{
                  "\"\<The computer removed \>\"", ",", "computerRemove", 
                   ",", "\"\<, leaving \>\"", ",", "currentCount", ",", 
                   "\"\< in the pile.\>\""}], "}"}], "]"}]}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{"Text", "@", 
                RowBox[{"Row", "[", 
                 RowBox[{"{", 
                  RowBox[{
                  "\"\<There are now \>\"", ",", "currentCount", ",", 
                   "\"\< sticks left in the pile.\>\""}], "}"}], "]"}]}], ",",
                "\[IndentingNewLine]", 
               RowBox[{"Which", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Last", "@", 
                   RowBox[{"fibDecomp", "[", 
                    RowBox[{"currentCount", ",", "fibNos"}], "]"}]}], ">", 
                  RowBox[{"2", "*", "computerRemove"}]}], ",", 
                 "\[IndentingNewLine]", 
                 RowBox[{"Text", "@", 
                  RowBox[{"Style", "[", 
                   RowBox[{"\"\<God help you\>\"", ",", 
                    RowBox[{"If", "[", 
                    RowBox[{"hint", ",", "Blue", ",", "White"}], "]"}]}], 
                   "]"}]}], ",", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"2", "*", "computerRemove"}], "<", "currentCount"}],
                  ",", "\[IndentingNewLine]", 
                 RowBox[{"Text", "@", 
                  RowBox[{"Style", "[", 
                   RowBox[{
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{"currentCount", ",", "\"\< =  \>\"", ",", 
                    RowBox[{"Sequence", "@@", 
                    RowBox[{"Riffle", "[", 
                    RowBox[{
                    RowBox[{"fibDecomp", "[", 
                    RowBox[{"currentCount", ",", "fibNos"}], "]"}], ",", 
                    "\"\< + \>\""}], "]"}]}]}], "}"}], "]"}], ",", 
                    RowBox[{"If", "[", 
                    RowBox[{"hint", ",", "Blue", ",", "White"}], "]"}]}], 
                   "]"}]}], ",", "\[IndentingNewLine]", "True", ",", 
                 "\[IndentingNewLine]", 
                 RowBox[{"Text", "@", 
                  RowBox[{"Style", "[", 
                   RowBox[{"\"\<I think you can win here\>\"", ",", 
                    RowBox[{"If", "[", 
                    RowBox[{"hint", ",", "Blue", ",", "White"}], "]"}]}], 
                   "]"}]}]}], "\[IndentingNewLine]", "]"}]}], 
              "\[IndentingNewLine]", "}"}], ",", 
             RowBox[{"Spacings", "\[Rule]", "2"}]}], "]"}]}], 
          "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
         RowBox[{"Graphics", "[", 
          RowBox[{
           RowBox[{"{", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{"hint", "&&", 
                RowBox[{"currentCount", ">", "0"}]}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"Hue", "[", 
                    RowBox[{
                    RowBox[{
                    "#", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "/", "10."}], "]"}], ",", 
                   RowBox[{"Opacity", "[", ".5", "]"}], ",", 
                   RowBox[{"Rectangle", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", ".5"}], ",", 
                    RowBox[{
                    RowBox[{
                    "#", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "+", ".5"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"5.5", ",", 
                    RowBox[{
                    RowBox[{
                    "#", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}], "+", ".5"}]}], "}"}]}], 
                    "]"}]}], "}"}], "&"}], "/@", 
                RowBox[{"Partition", "[", 
                 RowBox[{
                  RowBox[{"Prepend", "[", 
                   RowBox[{
                    RowBox[{"Accumulate", "[", 
                    RowBox[{"fibDecomp", "[", 
                    RowBox[{"currentCount", ",", "fibNos"}], "]"}], "]"}], 
                    ",", "0"}], "]"}], ",", "2", ",", "1"}], "]"}]}], ",", 
               RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
             RowBox[{"Table", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"If", "[", 
                  RowBox[{
                   RowBox[{"s", ">", "28"}], ",", "Thin", ",", "Thick"}], 
                  "]"}], ",", 
                 RowBox[{"Line", "[", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", "k"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"5", ",", "k"}], "}"}]}], "}"}], "]"}]}], "}"}], 
               ",", 
               RowBox[{"{", 
                RowBox[{"k", ",", "currentCount"}], "}"}]}], "]"}]}], 
            "\[IndentingNewLine]", "}"}], ",", "\[IndentingNewLine]", 
           RowBox[{"PlotRange", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"-", "1"}], ",", "6"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"0", ",", 
                RowBox[{"s", "+", "1"}]}], "}"}]}], "}"}]}]}], "]"}]}], 
        "\[IndentingNewLine]", "}"}], ",", "\"\<   \>\""}], "]"}]}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"Style", "[", 
     RowBox[{"\"\<game parameters\>\"", ",", "Gray"}], "]"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"state", ",", "\"\<play\>\"", ",", "\"\<\>\""}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
       "\"\<play\>\"", ",", "\"\<you win\>\"", ",", "\"\<computer wins\>\""}],
        "}"}], ",", 
      RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "s", ",", "20", ",", "\"\<total no. of sticks in pile at start\>\""}], 
       "}"}], ",", 
      RowBox[{"Range", "[", 
       RowBox[{"20", ",", "50"}], "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
    
    RowBox[{"(*", 
     RowBox[{
     "tempCount", " ", "is", " ", "number", " ", "in", " ", "stack", " ", 
      "after", " ", "your", " ", "move", " ", "but", " ", "before", " ", 
      "computer", " ", "moves"}], "*)"}], "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"tempCount", ",", "51", ",", "\"\<\>\""}], "}"}], ",", 
      RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{
     "currentCount", " ", "is", " ", "number", " ", "in", " ", "stack", " ", 
      "after", " ", 
      RowBox[{"computer", "'"}], "s", " ", "turn", " ", "but", " ", "before", 
      " ", "yours"}], "*)"}], 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"currentCount", ",", "51", ",", "\"\<\>\""}], "}"}], ",", 
      RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"computerRemove", ",", "51", ",", "\"\<\>\""}], "}"}], ",", 
      RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"newGame", ",", "0", ",", "\"\<\>\""}], "}"}], ",", 
      RowBox[{
       RowBox[{"Button", "[", 
        RowBox[{"\"\<new game\>\"", ",", 
         RowBox[{
          RowBox[{"newGame", "+=", "1"}], ";", 
          RowBox[{"currentCount", "=", 
           RowBox[{"s", "+", "1"}]}], ";", 
          RowBox[{"state", "=", "\"\<play\>\""}], ";", 
          RowBox[{"computerRemove", "=", "s"}], ";", 
          RowBox[{"hint", "=", "False"}]}]}], "]"}], "&"}]}], "}"}], ",", 
    "\[IndentingNewLine]", "Delimiter", ",", "\[IndentingNewLine]", 
    RowBox[{"Style", "[", 
     RowBox[{"\"\<game play\>\"", ",", "Gray"}], "]"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"remove", ",", "1", ",", "\"\<remove this many sticks:\>\""}], 
       "}"}], ",", 
      RowBox[{"Range", "[", 
       RowBox[{"Min", "[", 
        RowBox[{
         RowBox[{"2", "*", "computerRemove"}], ",", 
         RowBox[{"s", "-", "1"}]}], "]"}], "]"}], ",", 
      RowBox[{"ControlType", "\[Rule]", "PopupMenu"}]}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"go", ",", "0", ",", "\"\<\>\""}], "}"}], ",", 
      RowBox[{
       RowBox[{"Button", "[", 
        RowBox[{"\"\<do it\>\"", ",", 
         RowBox[{
          RowBox[{"go", "+=", "1"}], ";", 
          RowBox[{"tempCount", "=", 
           RowBox[{"currentCount", "-", "remove"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Which", "[", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"tempCount", "\[LessEqual]", "0"}], ",", 
            RowBox[{"state", "=", "\"\<you win\>\""}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"Last", "@", 
              RowBox[{"fibDecomp", "[", 
               RowBox[{"tempCount", ",", "fibNos"}], "]"}]}], "\[LessEqual]", 
             
             RowBox[{"2", "*", "remove"}]}], ",", 
            RowBox[{"computerRemove", "=", 
             RowBox[{"Last", "@", 
              RowBox[{"fibDecomp", "[", 
               RowBox[{"tempCount", ",", "fibNos"}], "]"}]}]}], ",", 
            "\[IndentingNewLine]", "True", ",", 
            RowBox[{"computerRemove", "=", 
             RowBox[{"RandomChoice", "[", 
              RowBox[{"Range", "[", 
               RowBox[{"2", "*", "remove"}], "]"}], "]"}]}]}], 
           "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"currentCount", "=", 
           RowBox[{"tempCount", "-", "computerRemove"}]}], ";", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"currentCount", "\[LessEqual]", "0"}], "&&", 
             RowBox[{"tempCount", ">", "0"}]}], ",", 
            RowBox[{"state", "=", "\"\<computer wins\>\""}]}], "]"}]}]}], 
        "]"}], "&"}]}], "}"}], ",", "\[IndentingNewLine]", 
    "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"hint", ",", "False", ",", "\"\<hint\>\""}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"True", ",", "False"}], "}"}]}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"SaveDefinitions", "\[Rule]", "True"}], ",", 
    RowBox[{"TrackedSymbols", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"newGame", ",", "go", ",", "hint"}], "}"}]}]}], 
   "\[IndentingNewLine]", "]"}]}]], "Input",
 InitializationCell->True]
}, Closed]],

Cell[CellGroupData[{

Cell["Play:", "Subsection"],

Cell[BoxData["fibonacciNim"], "Input"]
}, Open  ]]
}, Open  ]]
},
AutoGeneratedPackage->None,
WindowSize->{640, 750},
WindowMargins->{{12, Automatic}, {Automatic, 24}},
FrontEndVersion->"6.0 for Mac OS X x86 (32-bit) (March 13, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 30, 0, 76, "Title"],
Cell[CellGroupData[{
Cell[645, 27, 27, 0, 34, "Subsection"],
Cell[675, 29, 285, 9, 27, "Input",
 InitializationCell->True],
Cell[963, 40, 1175, 34, 103, "Input",
 InitializationCell->True],
Cell[2141, 76, 375, 11, 27, "Input",
 InitializationCell->True],
Cell[2519, 89, 14606, 345, 1183, "Input",
 InitializationCell->True]
}, Closed]],
Cell[CellGroupData[{
Cell[17162, 439, 27, 0, 26, "Subsection"],
Cell[17192, 441, 38, 0, 27, "Input"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
