(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     27348,        747]
NotebookOptionsPosition[     26135,        702]
NotebookOutlinePosition[     26516,        719]
CellTagsIndexPosition[     26473,        716]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Plotting a function of 2 variables", "Section"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"p3d", ",", "dx", ",", "dy"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"GraphicsGrid", "[", 
      RowBox[{
       RowBox[{"{", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"{", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"p3d", "=", 
            RowBox[{"Plot3D", "[", 
             RowBox[{"f", ",", 
              RowBox[{"{", 
               RowBox[{"x", ",", "xmin", ",", "xmax"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"y", ",", "ymin", ",", "ymax"}], "}"}], ",", 
              RowBox[{"AxesLabel", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{"\"\<\!\(\*
StyleBox[\"x\",
FontSlant->\"Italic\"]\)\>\"", ",", " ", "\"\<\!\(\*
StyleBox[\"y\",
FontSlant->\"Italic\"]\)\>\"", ",", "\"\<\!\(\*
StyleBox[\"z\",
FontSlant->\"Italic\"]\)\>\""}], "}"}]}], ",", 
              RowBox[{"(*", 
               RowBox[{"MeshFunctions", "\[Rule]", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"#1", "&"}], ",", 
                  RowBox[{"#2", "&"}], ",", 
                  RowBox[{"#3", "&"}]}], "}"}]}], "*)"}], 
              RowBox[{"Mesh", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", "xval", "}"}], ",", 
                 RowBox[{"{", "yval", "}"}]}], "}"}]}], ",", 
              RowBox[{"MeshStyle", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{"Red", ",", "Blue"}], "}"}]}], ",", 
              RowBox[{"BoxRatios", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{"1", ",", "1", ",", "1"}], "}"}]}]}], "]"}]}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"Plot", "[", 
            RowBox[{
             RowBox[{"f", "/.", 
              RowBox[{"y", "\[Rule]", "yval"}]}], ",", 
             RowBox[{"{", 
              RowBox[{"x", ",", "xmin", ",", "xmax"}], "}"}], ",", 
             RowBox[{"AxesLabel", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{"\"\<\!\(\*
StyleBox[\"x\",
FontSlant->\"Italic\"]\)\>\"", ",", "\"\<\!\(\*
StyleBox[\"z\",
FontSlant->\"Italic\"]\)\>\""}], "}"}]}], ",", 
             RowBox[{"PlotStyle", "\[Rule]", "Blue"}], ",", 
             RowBox[{"PlotRange", "\[Rule]", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"zmin", ",", "zmax"}], "}"}], "=", 
                RowBox[{
                 RowBox[{"AbsoluteOptions", "[", 
                  RowBox[{"p3d", ",", "PlotRange"}], "]"}], 
                 "\[LeftDoubleBracket]", 
                 RowBox[{"1", ",", "2", ",", "3"}], 
                 "\[RightDoubleBracket]"}]}], ")"}]}], ",", 
             RowBox[{"Epilog", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"PointSize", "[", ".015", "]"}], ",", "Red", ",", 
                RowBox[{"Point", "[", 
                 RowBox[{"{", 
                  RowBox[{"xval", ",", 
                   RowBox[{"f", "/.", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"x", "\[Rule]", "xval"}], ",", 
                    RowBox[{"y", "\[Rule]", "yval"}]}], "}"}]}]}], "}"}], 
                 "]"}]}], "}"}]}]}], "]"}]}], "\[IndentingNewLine]", "}"}], 
         ",", "\[IndentingNewLine]", 
         RowBox[{"{", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"Plot", "[", 
            RowBox[{
             RowBox[{"f", "/.", 
              RowBox[{"x", "\[Rule]", "xval"}]}], ",", 
             RowBox[{"{", 
              RowBox[{"y", ",", "ymin", ",", "ymax"}], "}"}], ",", 
             RowBox[{"AxesLabel", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{"\"\<y\>\"", ",", "\"\<z\>\""}], "}"}]}], ",", 
             RowBox[{"PlotStyle", "\[Rule]", "Red"}], ",", 
             RowBox[{"PlotRange", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{"zmin", ",", "zmax"}], "}"}]}], ",", 
             RowBox[{"Epilog", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"PointSize", "[", ".015", "]"}], ",", "Blue", ",", 
                RowBox[{"Point", "[", 
                 RowBox[{"{", 
                  RowBox[{"yval", ",", 
                   RowBox[{"f", "/.", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"x", "\[Rule]", "xval"}], ",", 
                    RowBox[{"y", "\[Rule]", "yval"}]}], "}"}]}]}], "}"}], 
                 "]"}]}], "}"}]}]}], "]"}], ",", "\[IndentingNewLine]", 
           RowBox[{"Show", "[", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"ContourPlot", "[", 
              RowBox[{"f", ",", 
               RowBox[{"{", 
                RowBox[{"x", ",", "xmin", ",", "xmax"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"y", ",", "ymin", ",", "ymax"}], "}"}], ",", 
               RowBox[{"ContourShading", "\[Rule]", "False"}], ",", 
               RowBox[{"ContourStyle", "\[Rule]", "Gray"}], ",", 
               RowBox[{"Axes", "\[Rule]", "True"}], ",", 
               RowBox[{"Frame", "\[Rule]", "False"}], ",", 
               RowBox[{"AxesLabel", "\[Rule]", 
                RowBox[{"{", 
                 RowBox[{"\"\<\!\(\*
StyleBox[\"x\",
FontSlant->\"Italic\"]\)\>\"", ",", "\"\<\!\(\*
StyleBox[\"y\",
FontSlant->\"Italic\"]\)\>\""}], "}"}]}], ",", 
               RowBox[{"Contours", "\[Rule]", "10"}], ",", 
               RowBox[{"AspectRatio", "\[Rule]", "Automatic"}]}], "]"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"Graphics", "[", 
              RowBox[{"{", 
               RowBox[{"Blue", ",", 
                RowBox[{"Arrow", "[", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{"xval", ",", "yval"}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"xval", "+", 
                    RowBox[{"(", 
                    RowBox[{"dx", "=", 
                    RowBox[{
                    RowBox[{"D", "[", 
                    RowBox[{"f", ",", "x"}], "]"}], "/.", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"x", "\[Rule]", "xval"}], ",", 
                    RowBox[{"y", "\[Rule]", "yval"}]}], "}"}]}]}], ")"}]}], 
                    ",", "yval"}], "}"}]}], "}"}], "]"}]}], "}"}], "]"}], ",",
              "\[IndentingNewLine]", 
             RowBox[{"Graphics", "[", 
              RowBox[{"{", 
               RowBox[{"Red", ",", 
                RowBox[{"Arrow", "[", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{"xval", ",", "yval"}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"xval", ",", 
                    RowBox[{"yval", "+", 
                    RowBox[{"(", 
                    RowBox[{"dy", "=", 
                    RowBox[{
                    RowBox[{"D", "[", 
                    RowBox[{"f", ",", "y"}], "]"}], "/.", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"x", "\[Rule]", "xval"}], ",", 
                    RowBox[{"y", "\[Rule]", "yval"}]}], "}"}]}]}], ")"}]}]}], 
                    "}"}]}], "}"}], "]"}]}], "}"}], "]"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"Graphics", "[", 
              RowBox[{"{", 
               RowBox[{"Arrow", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"xval", ",", "yval"}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"xval", "+", "dx"}], ",", 
                    RowBox[{"yval", "+", "dy"}]}], "}"}]}], "}"}], "]"}], 
               "}"}], "]"}]}], "\[IndentingNewLine]", "]"}]}], 
          "\[IndentingNewLine]", "}"}]}], "\[IndentingNewLine]", "}"}], ",", 
       RowBox[{"ImageSize", "\[Rule]", "500"}]}], "]"}]}], 
    "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", "controls", " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"f", ",", 
       FractionBox[
        RowBox[{
         SuperscriptBox["x", "2"], "+", 
         SuperscriptBox["y", "2"]}], 
        RowBox[{"1", "+", 
         SuperscriptBox["x", "2"]}]], ",", "\"\<\!\(\*
StyleBox[\"f\",
FontSlant->\"Italic\"]\)(\!\(\*
StyleBox[\"x\",
FontSlant->\"Italic\"]\),\!\(\*
StyleBox[\"y\",
FontSlant->\"Italic\"]\)) = \>\""}], "}"}], ",", "InputField"}], "}"}], ",", 
   "\[IndentingNewLine]", "Delimiter", ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"xmin", ",", 
       RowBox[{"-", "4"}]}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"xmax", ",", "4"}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"ymin", ",", 
       RowBox[{"-", "1"}]}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"ymax", ",", "4"}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"zmin", ",", "0"}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"zmax", ",", "1"}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"Dynamic", "@", 
    RowBox[{"Row", "[", 
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"InputField", "[", 
        RowBox[{
         RowBox[{"Dynamic", "[", "xmin", "]"}], ",", 
         RowBox[{"FieldSize", "\[Rule]", "2"}]}], "]"}], ",", 
       "\"\< \[LessEqual] \!\(\*
StyleBox[\"x\",
FontSlant->\"Italic\"]\) \[LessEqual] \>\"", ",", 
       RowBox[{"InputField", "[", 
        RowBox[{
         RowBox[{"Dynamic", "[", "xmax", "]"}], ",", 
         RowBox[{"FieldSize", "\[Rule]", "2"}]}], "]"}]}], "}"}], "]"}]}], 
   ",", "\[IndentingNewLine]", 
   RowBox[{"Dynamic", "@", 
    RowBox[{"Row", "[", 
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"InputField", "[", 
        RowBox[{
         RowBox[{"Dynamic", "[", "ymin", "]"}], ",", 
         RowBox[{"FieldSize", "\[Rule]", "2"}]}], "]"}], ",", 
       "\"\< \[LessEqual] \!\(\*
StyleBox[\"y\",
FontSlant->\"Italic\"]\) \[LessEqual] \>\"", ",", 
       RowBox[{"InputField", "[", 
        RowBox[{
         RowBox[{"Dynamic", "[", "ymax", "]"}], ",", 
         RowBox[{"FieldSize", "\[Rule]", "2"}]}], "]"}]}], "}"}], "]"}]}], 
   ",", "\[IndentingNewLine]", "Delimiter", ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"xval", ",", "1", ",", 
       RowBox[{"Style", "[", 
        RowBox[{"\"\<x value\>\"", ",", "Red"}], "]"}]}], "}"}], ",", "xmin", 
     ",", "xmax", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"yval", ",", "1.5", ",", 
       RowBox[{"Style", "[", 
        RowBox[{"\"\<y value\>\"", ",", "Blue"}], "]"}]}], "}"}], ",", "ymin",
      ",", "ymax", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}]}], 
  "\[IndentingNewLine]", "]"}]], "Input"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`f$$ = (
      1 + $CellContext`x^2)^(-1) ($CellContext`x^2 + $CellContext`y^2), \
$CellContext`xmax$$ = 
    4, $CellContext`xmin$$ = -4, $CellContext`xval$$ = -1.2479999999999996`, \
$CellContext`ymax$$ = 4, $CellContext`ymin$$ = -1, $CellContext`yval$$ = 
    1.5350000000000001`, $CellContext`zmax$$ = 
    6.151724767980626, $CellContext`zmin$$ = 0., Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`f$$], (
         1 + $CellContext`x^2)^(-1) ($CellContext`x^2 + $CellContext`y^2), 
       "\!\(\*\nStyleBox[\"f\",\nFontSlant->\"Italic\"]\)(\!\(\*\n\
StyleBox[\"x\",\nFontSlant->\"Italic\"]\),\!\(\*\nStyleBox[\"y\",\n\
FontSlant->\"Italic\"]\)) = "}}, {{
       Hold[$CellContext`xmin$$], -4}}, {{
       Hold[$CellContext`xmax$$], 4}}, {{
       Hold[$CellContext`ymin$$], -1}}, {{
       Hold[$CellContext`ymax$$], 4}}, {{
       Hold[$CellContext`zmin$$], 0}}, {{
       Hold[$CellContext`zmax$$], 1}}, {
      Hold[
       Dynamic[
        Row[{
          InputField[
           Dynamic[$CellContext`xmin$$], FieldSize -> 2], 
          " \[LessEqual] \!\(\*\nStyleBox[\"x\",\nFontSlant->\"Italic\"]\) \
\[LessEqual] ", 
          InputField[
           Dynamic[$CellContext`xmax$$], FieldSize -> 2]}]]], 
      Manipulate`Dump`ThisIsNotAControl}, {
      Hold[
       Dynamic[
        Row[{
          InputField[
           Dynamic[$CellContext`ymin$$], FieldSize -> 2], 
          " \[LessEqual] \!\(\*\nStyleBox[\"y\",\nFontSlant->\"Italic\"]\) \
\[LessEqual] ", 
          InputField[
           Dynamic[$CellContext`ymax$$], FieldSize -> 2]}]]], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`xval$$], 1, 
       Style["x value", 
        RGBColor[1., 0., 0.]]}, 
      Dynamic[$CellContext`xmin$$], 
      Dynamic[$CellContext`xmax$$]}, {{
       Hold[$CellContext`yval$$], 1.5, 
       Style["y value", 
        RGBColor[0., 0., 1.]]}, 
      Dynamic[$CellContext`ymin$$], 
      Dynamic[$CellContext`ymax$$]}}, Typeset`size$$ = {625., {220., 227.}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`xval$210035$$ = 0, $CellContext`yval$210036$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`f$$ = (
           1 + $CellContext`x^2)^(-1) ($CellContext`x^2 + $CellContext`y^2), \
$CellContext`xmax$$ = 4, $CellContext`xmin$$ = -4, $CellContext`xval$$ = 
        1, $CellContext`ymax$$ = 
        4, $CellContext`ymin$$ = -1, $CellContext`yval$$ = 
        1.5, $CellContext`zmax$$ = 1, $CellContext`zmin$$ = 0}, 
      "ControllerVariables" :> {
        Hold[$CellContext`xval$$, $CellContext`xval$210035$$, 0], 
        Hold[$CellContext`yval$$, $CellContext`yval$210036$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Module[{$CellContext`p3d$, $CellContext`dx$, $CellContext`dy$}, 
        GraphicsGrid[{{$CellContext`p3d$ = 
           Plot3D[$CellContext`f$$, {$CellContext`x, $CellContext`xmin$$, \
$CellContext`xmax$$}, {$CellContext`y, $CellContext`ymin$$, \
$CellContext`ymax$$}, 
             AxesLabel -> {
              "\!\(\*\nStyleBox[\"x\",\nFontSlant->\"Italic\"]\)", 
               "\!\(\*\nStyleBox[\"y\",\nFontSlant->\"Italic\"]\)", 
               "\!\(\*\nStyleBox[\"z\",\nFontSlant->\"Italic\"]\)"}, 
             Mesh -> {{$CellContext`xval$$}, {$CellContext`yval$$}}, 
             MeshStyle -> {Graphics`Colors`Red, Graphics`Colors`Blue}, 
             BoxRatios -> {1, 1, 1}], 
           Plot[
            
            ReplaceAll[$CellContext`f$$, $CellContext`y -> \
$CellContext`yval$$], {$CellContext`x, $CellContext`xmin$$, \
$CellContext`xmax$$}, 
            AxesLabel -> {
             "\!\(\*\nStyleBox[\"x\",\nFontSlant->\"Italic\"]\)", 
              "\!\(\*\nStyleBox[\"z\",\nFontSlant->\"Italic\"]\)"}, PlotStyle -> 
            Graphics`Colors`Blue, 
            PlotRange -> ({$CellContext`zmin$$, $CellContext`zmax$$} = Part[
               AbsoluteOptions[$CellContext`p3d$, PlotRange], 1, 2, 3]), 
            Epilog -> {
              PointSize[0.015], Graphics`Colors`Red, 
              Point[{$CellContext`xval$$, 
                
                ReplaceAll[$CellContext`f$$, {$CellContext`x -> \
$CellContext`xval$$, $CellContext`y -> $CellContext`yval$$}]}]}]}, {
           Plot[
            
            ReplaceAll[$CellContext`f$$, $CellContext`x -> \
$CellContext`xval$$], {$CellContext`y, $CellContext`ymin$$, \
$CellContext`ymax$$}, AxesLabel -> {"y", "z"}, PlotStyle -> 
            Graphics`Colors`Red, 
            PlotRange -> {$CellContext`zmin$$, $CellContext`zmax$$}, 
            Epilog -> {
              PointSize[0.015], Graphics`Colors`Blue, 
              Point[{$CellContext`yval$$, 
                
                ReplaceAll[$CellContext`f$$, {$CellContext`x -> \
$CellContext`xval$$, $CellContext`y -> $CellContext`yval$$}]}]}], 
           Show[
            
            ContourPlot[$CellContext`f$$, {$CellContext`x, \
$CellContext`xmin$$, $CellContext`xmax$$}, {$CellContext`y, \
$CellContext`ymin$$, $CellContext`ymax$$}, ContourShading -> False, 
             ContourStyle -> Graphics`Colors`Gray, Axes -> True, Frame -> 
             False, AxesLabel -> {
              "\!\(\*\nStyleBox[\"x\",\nFontSlant->\"Italic\"]\)", 
               "\!\(\*\nStyleBox[\"y\",\nFontSlant->\"Italic\"]\)"}, Contours -> 
             10, AspectRatio -> Automatic], 
            Graphics[{Graphics`Colors`Blue, 
              
              Arrow[{{$CellContext`xval$$, $CellContext`yval$$}, \
{$CellContext`xval$$ + ($CellContext`dx$ = ReplaceAll[
                    
                    D[$CellContext`f$$, $CellContext`x], {$CellContext`x -> \
$CellContext`xval$$, $CellContext`y -> $CellContext`yval$$}]), \
$CellContext`yval$$}}]}], 
            Graphics[{Graphics`Colors`Red, 
              
              Arrow[{{$CellContext`xval$$, $CellContext`yval$$}, \
{$CellContext`xval$$, $CellContext`yval$$ + ($CellContext`dy$ = ReplaceAll[
                    
                    D[$CellContext`f$$, $CellContext`y], {$CellContext`x -> \
$CellContext`xval$$, $CellContext`y -> $CellContext`yval$$}])}}]}], 
            Graphics[{
              
              Arrow[{{$CellContext`xval$$, $CellContext`yval$$}, \
{$CellContext`xval$$ + $CellContext`dx$, $CellContext`yval$$ + \
$CellContext`dy$}}]}]]}}, ImageSize -> 500]], 
      "Specifications" :> {{{$CellContext`f$$, (
            1 + $CellContext`x^2)^(-1) ($CellContext`x^2 + $CellContext`y^2), 
          "\!\(\*\nStyleBox[\"f\",\nFontSlant->\"Italic\"]\)(\!\(\*\n\
StyleBox[\"x\",\nFontSlant->\"Italic\"]\),\!\(\*\nStyleBox[\"y\",\n\
FontSlant->\"Italic\"]\)) = "}, ControlType -> InputField}, 
        Delimiter, {{$CellContext`xmin$$, -4}, ControlType -> 
         None}, {{$CellContext`xmax$$, 4}, ControlType -> 
         None}, {{$CellContext`ymin$$, -1}, ControlType -> 
         None}, {{$CellContext`ymax$$, 4}, ControlType -> 
         None}, {{$CellContext`zmin$$, 0}, ControlType -> 
         None}, {{$CellContext`zmax$$, 1}, ControlType -> None}, 
        Dynamic[
         Row[{
           InputField[
            Dynamic[$CellContext`xmin$$], FieldSize -> 2], 
           " \[LessEqual] \!\(\*\nStyleBox[\"x\",\nFontSlant->\"Italic\"]\) \
\[LessEqual] ", 
           InputField[
            Dynamic[$CellContext`xmax$$], FieldSize -> 2]}]], 
        Dynamic[
         Row[{
           InputField[
            Dynamic[$CellContext`ymin$$], FieldSize -> 2], 
           " \[LessEqual] \!\(\*\nStyleBox[\"y\",\nFontSlant->\"Italic\"]\) \
\[LessEqual] ", 
           InputField[
            Dynamic[$CellContext`ymax$$], FieldSize -> 2]}]], 
        Delimiter, {{$CellContext`xval$$, 1, 
          Style["x value", 
           RGBColor[1., 0., 0.]]}, 
         Dynamic[$CellContext`xmin$$], 
         Dynamic[$CellContext`xmax$$], Appearance -> 
         "Labeled"}, {{$CellContext`yval$$, 1.5, 
          Style["y value", 
           RGBColor[0., 0., 1.]]}, 
         Dynamic[$CellContext`ymin$$], 
         Dynamic[$CellContext`ymax$$], Appearance -> "Labeled"}}, 
      "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{669.5, {346., 352.5}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output"]
}, {2}]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " Commands for producing plots related to function of two variables"
}], "Section"],

Cell[BoxData[
 RowBox[{"f", "=", 
  FractionBox[
   RowBox[{
    SuperscriptBox["x", "2"], "+", 
    SuperscriptBox["y", "2"]}], 
   RowBox[{"1", "+", 
    SuperscriptBox["x", "2"]}]]}]], "Input"],

Cell[CellGroupData[{

Cell["Plot3D", "Subsection"],

Cell[BoxData[
 RowBox[{"Plot3D", "[", 
  RowBox[{"f", ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "4"}], ",", "4"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", 
     RowBox[{"-", "1"}], ",", "4"}], "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"Plot3D", "[", 
  RowBox[{"f", ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "4"}], ",", "4"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", 
     RowBox[{"-", "1"}], ",", "4"}], "}"}], ",", 
   RowBox[{"Mesh", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", "1", "}"}], ",", 
      RowBox[{"{", "1.5", "}"}]}], "}"}]}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"Plot3D", "[", 
  RowBox[{"f", ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "4"}], ",", "4"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", 
     RowBox[{"-", "1"}], ",", "4"}], "}"}], ",", 
   RowBox[{"Mesh", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", "1", "}"}], ",", 
      RowBox[{"{", "1.5", "}"}]}], "}"}]}], ",", 
   RowBox[{"MeshStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Red", ",", "Blue"}], "}"}]}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"Plot3D", "[", 
  RowBox[{"f", ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "4"}], ",", "4"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", 
     RowBox[{"-", "1"}], ",", "4"}], "}"}], ",", 
   RowBox[{"Mesh", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", "1", "}"}], ",", 
      RowBox[{"{", "1.5", "}"}]}], "}"}]}], ",", 
   RowBox[{"MeshStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Red", ",", "Blue"}], "}"}]}], ",", 
   RowBox[{"BoxRatios", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"1", ",", "1", ",", "1"}], "}"}]}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"x", ",", "y", ",", "z"}], "}"}]}]}], "]"}]], "Input"]
}, Open  ]],

Cell[CellGroupData[{

Cell["ContourPlot", "Subsection"],

Cell[BoxData[
 RowBox[{"ContourPlot", "[", 
  RowBox[{"f", ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "4"}], ",", "4"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", 
     RowBox[{"-", "1"}], ",", "4"}], "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"ContourPlot", "[", 
  RowBox[{"f", ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "4"}], ",", "4"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", 
     RowBox[{"-", "1"}], ",", "4"}], "}"}], ",", 
   RowBox[{"Contours", "\[Rule]", "10"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"ContourPlot", "[", 
  RowBox[{"f", ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "4"}], ",", "4"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", 
     RowBox[{"-", "1"}], ",", "4"}], "}"}], ",", 
   RowBox[{"Contours", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"0", ",", "1", ",", "2", ",", "3", ",", "4"}], "}"}]}]}], 
  "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"ContourPlot", "[", 
  RowBox[{"f", ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "4"}], ",", "4"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", 
     RowBox[{"-", "1"}], ",", "4"}], "}"}], ",", 
   RowBox[{"ContourShading", "\[Rule]", "False"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"ContourPlot", "[", 
  RowBox[{"f", ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "4"}], ",", "4"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", 
     RowBox[{"-", "1"}], ",", "4"}], "}"}], ",", 
   RowBox[{"ContourShading", "\[Rule]", "False"}], ",", 
   RowBox[{"AspectRatio", "\[Rule]", "Automatic"}]}], "]"}]], "Input"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Traces", "Subsection"],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"f", "/.", 
    RowBox[{"y", "\[Rule]", "1"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "4"}], ",", "4"}], "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"f", "/.", 
    RowBox[{"x", "\[Rule]", "2"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", 
     RowBox[{"-", "1"}], ",", "4"}], "}"}]}], "]"}]], "Input"]
}, Open  ]]
}, Open  ]]
},
WindowSize->{1188, 890},
WindowMargins->{{209, Automatic}, {Automatic, 28}},
ShowSelection->True,
Magnification->1.25,
FrontEndVersion->"6.0 for Mac OS X x86 (32-bit) (March 13, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 53, 0, 83, "Section"],
Cell[CellGroupData[{
Cell[668, 27, 11906, 302, 812, "Input"],
Cell[12577, 331, 8963, 191, 719, "Output"]
}, {2}]]
}, Open  ]],
Cell[CellGroupData[{
Cell[21586, 528, 149, 4, 83, "Section"],
Cell[21738, 534, 196, 7, 60, "Input"],
Cell[CellGroupData[{
Cell[21959, 545, 28, 0, 42, "Subsection"],
Cell[21990, 547, 252, 8, 33, "Input"],
Cell[22245, 557, 402, 13, 33, "Input"],
Cell[22650, 572, 506, 16, 33, "Input"],
Cell[23159, 590, 724, 22, 53, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[23920, 617, 33, 0, 42, "Subsection"],
Cell[23956, 619, 257, 8, 33, "Input"],
Cell[24216, 629, 305, 9, 33, "Input"],
Cell[24524, 640, 388, 12, 33, "Input"],
Cell[24915, 654, 314, 9, 33, "Input"],
Cell[25232, 665, 372, 10, 33, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[25641, 680, 28, 0, 42, "Subsection"],
Cell[25672, 682, 216, 7, 33, "Input"],
Cell[25891, 691, 216, 7, 33, "Input"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
