(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     74908,       1630]
NotebookOptionsPosition[     70712,       1500]
NotebookOutlinePosition[     72304,       1550]
CellTagsIndexPosition[     71976,       1538]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Lucas-Gauss Theorem", "DemoTitle",
 CellChangeTimes->{
  3.35696210375764*^9, {3.388497937826825*^9, 3.388497955841373*^9}}],

Cell[CellGroupData[{

Cell["", "InitializationSection"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Needs", "[", "\"\<ComputationalGeometry`\>\"", "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Off", "[", 
  RowBox[{"ConvexHull", "::", "duplicated"}], "]"}]}], "InputOnly",
 CellLabel->"In[1]:=",
 CellID->248921655]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "ManipulateSection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"color", ",", "roots", ",", "z"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"color", "=", 
       RowBox[{"Take", "[", 
        RowBox[{
         RowBox[{"ColorData", "[", 
          RowBox[{"3", ",", "\"\<ColorList\>\""}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"2", ",", "9"}], "}"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"roots", "=", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Re", "[", "z", "]"}], ",", 
            RowBox[{"Im", "[", "z", "]"}]}], "}"}], "/.", 
          RowBox[{"NSolve", "[", 
           RowBox[{
            RowBox[{"#", "\[Equal]", "0"}], ",", "z"}], "]"}]}], "&"}], "/@", 
        
        RowBox[{"NestList", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"D", "[", 
            RowBox[{"#", ",", "z"}], "]"}], "&"}], ",", 
          RowBox[{"Expand", "[", 
           RowBox[{"Times", "@@", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"(", 
                RowBox[{"z", "-", 
                 RowBox[{"First", "[", "#", "]"}], "-", 
                 RowBox[{"\[ImaginaryI]", "*", 
                  RowBox[{"Last", "[", "#", "]"}]}]}], ")"}], "&"}], "/@", 
              "pts"}], ")"}]}], "]"}], ",", "7"}], "]"}]}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"Graphics", "[", 
       RowBox[{
        RowBox[{"{", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"Thread", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Lighter", "/@", "color"}], ",", 
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{"Polygon", "[", 
                 RowBox[{"Part", "[", 
                  RowBox[{"#", ",", 
                   RowBox[{"ConvexHull", "[", "#", "]"}]}], "]"}], "]"}], "/.",
                 
                RowBox[{
                 RowBox[{"Polygon", "[", 
                  RowBox[{"{", 
                   RowBox[{"p1_", ",", "p2_"}], "}"}], "]"}], "\[Rule]", 
                 RowBox[{"Line", "[", 
                  RowBox[{"{", 
                   RowBox[{"p1", ",", "p2"}], "}"}], "]"}]}]}], "&"}], "/@", 
              "roots"}]}], "}"}], "]"}], ",", "\[IndentingNewLine]", 
          RowBox[{"Thread", "[", 
           RowBox[{"{", 
            RowBox[{"color", ",", 
             RowBox[{
              RowBox[{
               RowBox[{"PointSize", "[", 
                RowBox[{".01", 
                 RowBox[{"(", 
                  RowBox[{"3", "-", 
                   RowBox[{"2", 
                    RowBox[{"#", "/", "8"}]}]}], ")"}]}], "]"}], "&"}], "/@", 
              
              RowBox[{"Range", "[", 
               RowBox[{"0", ",", "7"}], "]"}]}], ",", 
             RowBox[{"Point", "/@", "roots"}]}], "}"}], "]"}]}], 
         "\[IndentingNewLine]", "}"}], ",", 
        RowBox[{"PlotRange", "\[Rule]", "1.1"}]}], "]"}]}]}], 
    "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"pts", ",", 
       RowBox[{"Drop", "[", 
        RowBox[{
         RowBox[{"Tuples", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "1"}], ",", "0", ",", "1"}], "}"}], ",", "2"}], 
          "]"}], ",", 
         RowBox[{"{", "5", "}"}]}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "1"}], ",", 
       RowBox[{"-", "1"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "1"}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "Locator"}]}], "}"}], ",", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.38849797374297*^9, 3.388497984612194*^9}},
 CellID->328111229],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`pts$$ = {{-1, -1}, {-1, 0}, {-1, 1}, {
     0, -1}, {0.14600000000000002`, 0.86}, {1, -1}, {1, 0}, {1, 1}}, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`pts$$], {{-1, -1}, {-1, 0}, {-1, 1}, {0, -1}, {0, 
       1}, {1, -1}, {1, 0}, {1, 1}}}, {-1, -1}, {1, 1}}}, Typeset`size$$ = {
    360., {178., 182.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = False, $CellContext`pts$9801$$ = {0, 0}}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`pts$$ = {{-1, -1}, {-1, 0}, {-1, 1}, {
         0, -1}, {0, 1}, {1, -1}, {1, 0}, {1, 1}}}, 
      "ControllerVariables" :> {
        Hold[$CellContext`pts$$, $CellContext`pts$9801$$, {0, 0}]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Module[{$CellContext`color$, $CellContext`roots$, $CellContext`z$}, \
$CellContext`color$ = Take[
           ColorData[3, "ColorList"], {2, 9}]; $CellContext`roots$ = 
         Map[ReplaceAll[{
             Re[$CellContext`z$], 
             Im[$CellContext`z$]}, 
            NSolve[# == 0, $CellContext`z$]]& , 
           NestList[D[#, $CellContext`z$]& , 
            Expand[
             Apply[Times, 
              
              Map[$CellContext`z$ - First[#] - I 
               Last[#]& , $CellContext`pts$$]]], 7]]; Graphics[{
           Thread[{
             Map[Lighter, $CellContext`color$], 
             Map[ReplaceAll[
               Polygon[
                Part[#, 
                 ComputationalGeometry`ConvexHull[#]]], Polygon[{
                  Pattern[$CellContext`p1, 
                   Blank[]], 
                  Pattern[$CellContext`p2, 
                   Blank[]]}] -> 
               Line[{$CellContext`p1, $CellContext`p2}]]& , \
$CellContext`roots$]}], 
           Thread[{$CellContext`color$, 
             Map[PointSize[0.01 (3 - 2 (#/8))]& , 
              Range[0, 7]], 
             Map[Point, $CellContext`roots$]}]}, PlotRange -> 1.1]], 
      "Specifications" :> {{{$CellContext`pts$$, {{-1, -1}, {-1, 0}, {-1, 
          1}, {0, -1}, {0, 1}, {1, -1}, {1, 0}, {1, 1}}}, {-1, -1}, {1, 1}, 
         ControlType -> Locator}}, "Options" :> {}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{402., {204.375, 209.625}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>({ComputationalGeometry`ConvexHull[
         Pattern[ComputationalGeometry`Private`set, {
           Repeated[{
             Blank[], 
             Blank[]}]}], 
         Pattern[ComputationalGeometry`Private`opts, 
          BlankNullSequence[Rule]]] := 
       Module[{ComputationalGeometry`Private`coordinates, 
          ComputationalGeometry`Private`polarOrder, 
          ComputationalGeometry`Private`returnHull, 
          ComputationalGeometry`Private`computingPrecision, 
          ComputationalGeometry`Private`allPointOption = TrueQ[
            ReplaceAll[ComputationalGeometry`AllPoints, 
             Flatten[{ComputationalGeometry`Private`opts, 
               Options[ComputationalGeometry`ConvexHull]}]]]}, {
           ComputationalGeometry`Private`coordinates, 
            ComputationalGeometry`Private`computingPrecision} = 
          ComputationalGeometry`Private`numericalizeAndPrecision[
           ComputationalGeometry`Private`set]; 
         Condition[
          ComputationalGeometry`Private`polarOrder = 
            If[ComputationalGeometry`Private`computingPrecision === 
              MachinePrecision, 
              ComputationalGeometry`Private`polarSortCompile[
              ComputationalGeometry`Private`coordinates, 
               ComputationalGeometry`Private`computingPrecision], 
              ComputationalGeometry`Private`polarSortUnCompile[
              ComputationalGeometry`Private`coordinates, 
               ComputationalGeometry`Private`computingPrecision]]; 
           If[Length[ComputationalGeometry`Private`polarOrder] =!= 
             Length[ComputationalGeometry`Private`coordinates], 
             Message[
              MessageName[ComputationalGeometry`ConvexHull, "duplicated"], 
              Length[ComputationalGeometry`Private`coordinates] - Length[
              ComputationalGeometry`Private`polarOrder]]]; 
           If[Length[ComputationalGeometry`Private`polarOrder] <= 2, 
             Return[ComputationalGeometry`Private`polarOrder]]; If[
             ComputationalGeometry`Private`collinearQ[
              Part[
              ComputationalGeometry`Private`coordinates, 
               ComputationalGeometry`Private`polarOrder], 
              ComputationalGeometry`Private`computingPrecision], Message[
               MessageName[ComputationalGeometry`ConvexHull, "collinear"]]; 
             Part[
               Sort[
                Thread[{
                  Part[
                  ComputationalGeometry`Private`coordinates, 
                   ComputationalGeometry`Private`polarOrder], 
                  ComputationalGeometry`Private`polarOrder}]], All, 2], 
             ComputationalGeometry`Private`GrahamScan[
             ComputationalGeometry`Private`polarOrder, 
              ComputationalGeometry`Private`coordinates, 
              ComputationalGeometry`Private`computingPrecision, 
              ComputationalGeometry`Private`allPointOption]], 
           ComputationalGeometry`Private`coordinates =!= $Failed]], 
       Options[ComputationalGeometry`ConvexHull] = {
        ComputationalGeometry`AllPoints -> True}, 
       TagSet[ComputationalGeometry`ConvexHull, 
        MessageName[ComputationalGeometry`ConvexHull, "collinear"], 
        $Off["All points are collinear."]], 
       TagSet[ComputationalGeometry`ConvexHull, 
        MessageName[ComputationalGeometry`ConvexHull, "duplicated"], 
        $Off["`1` duplicated point(s) ignored."]], 
       TagSet[ComputationalGeometry`ConvexHull, 
        MessageName[ComputationalGeometry`ConvexHull, "usage"], 
        "\!\(\*RowBox[{\"ConvexHull\", \"[\", RowBox[{\"{\", RowBox[{RowBox[{\
\"{\", RowBox[{SubscriptBox[StyleBox[\"x\", \"TI\"], StyleBox[\"1\", \
\"TR\"]], \",\", SubscriptBox[StyleBox[\"y\", \"TI\"], StyleBox[\"1\", \
\"TR\"]]}], \"}\"}], \",\", RowBox[{\"{\", \
RowBox[{SubscriptBox[StyleBox[\"x\", \"TI\"], StyleBox[\"2\", \"TR\"]], \
\",\", SubscriptBox[StyleBox[\"y\", \"TI\"], StyleBox[\"2\", \"TR\"]]}], \
\"}\"}], \",\", StyleBox[\"\[Ellipsis]\", \"TR\"]}], \"}\"}], \"]\"}]\) \
yields the planar convex hull of the points \!\(\*RowBox[{\"{\", \
RowBox[{RowBox[{\"{\", RowBox[{SubscriptBox[StyleBox[\"x\", \"TI\"], \
StyleBox[\"1\", \"TR\"]], \",\", SubscriptBox[StyleBox[\"y\", \"TI\"], \
StyleBox[\"1\", \"TR\"]]}], \"}\"}], \",\", StyleBox[\"\[Ellipsis]\", \
\"TR\"]}], \"}\"}]\), represented as a list of point indices arranged in \
counterclockwise order."], 
       TagSet[ComputationalGeometry`AllPoints, 
        MessageName[ComputationalGeometry`AllPoints, "usage"], 
        "AllPoints is an option to ConvexHull that specifies whether all \
distinct points on the hull or only the minimum set of points needed to \
define the hull are returned."], 
       ComputationalGeometry`Private`numericalizeAndPrecision[
         Pattern[ComputationalGeometry`Private`x, 
          Blank[]]] := 
       Module[{ComputationalGeometry`Private`prec, 
          ComputationalGeometry`Private`nx}, 
         ComputationalGeometry`Private`prec = 
          Internal`EffectivePrecision[ComputationalGeometry`Private`x]; 
         If[ComputationalGeometry`Private`prec === Infinity, 
           ComputationalGeometry`Private`prec = 
           ComputationalGeometry`Private`$ExactInputPrecision]; 
         ComputationalGeometry`Private`nx = 
          N[ComputationalGeometry`Private`x, 
            ComputationalGeometry`Private`prec]; If[
           MatrixQ[ComputationalGeometry`Private`nx, NumberQ], {
           ComputationalGeometry`Private`nx, 
            ComputationalGeometry`Private`prec}, {$Failed, 
            ComputationalGeometry`Private`prec}]], 
       ComputationalGeometry`Private`$ExactInputPrecision = MachinePrecision, 
       ComputationalGeometry`Private`polarSortCompile = CompiledFunction[{{
           Blank[Real], 2}, 
          Blank[Real]}, {{3, 2, 0}, {3, 0, 0}, {2, 1, 2}}, {2, 8, 6, 0, 
         8}, {{1, 5}, {46, 0, 1}, {7, 1, 2}, {70, 1, 0, 2, 1, 2}, {44, 2, 
          2}, {7, 0, 4}, {64, 2, 3, 2}, {7, 0, 5}, {11, 5, 3}, {4, 3}, {
          8, 0., 2}, {65, 4, 2, 2}, {5, 3, 2, -2}, {44, 1, 4}, {7, 0, 3}, {4, 
          4}, {70, 1, 0, 3, 1, 3}, {51, 2, 3, 4}, {46, 4, 2}, {5, 3, 4, -3}, {
          7, 1, 3}, {44, 0, 0}, {15, 0, 3, 1}, {15, 0, 0, 2}, {94, 260, 3, 0, 
          1, 3, 0, 2, 3, 0, 3}, {94, 273, 3, 0, 3, 3, 1, 2, 3, 1, 1}, {44, 0, 
          1}, {7, -1, 2}, {64, 1, 2, 3, 4}, {7, 0, 5}, {11, 5, 4}, {4, 5}, {
          70, 0, 0, 4, 1, 3}, {93, 41, 3, 1, 1, 3, 1, 5}, {51, 3, 5, 3}, {66, 
          2, 3, 4}, {5, 4, 1, -4}, {8, 15.954589770191003`, 3}, {34, 0, 3, 1, 
          0}, {3, 0, 5}, {7, 0, 4}, {15, 0, 4, 3}, {12, 3, 2}, {4, 3}, {54, 
           
           Function[{
            ComputationalGeometry`Private`coordinates, 
             ComputationalGeometry`Private`precision}, 
            SetAccuracy[0, ComputationalGeometry`Private`precision]], 3, 2, 0,
            3, 0, 0, 3, 0, 1}, {12, 1, 2}, {44, 4, 0}, {7, 0, 1}, {64, 0, 3, 
          2}, {7, 0, 5}, {11, 5, 2}, {4, 17}, {70, 4, 0, 2, 1, 3}, {
          45, {0, 0}, 2, 2, 5}, {47, 0, 5, 6}, {53, 3, 6, 0, 0}, {3, 0, 3}, {
          12, 2, 4}, {4, 9}, {70, 4, 0, 2, 1, 3}, {7, 1, 5}, {70, 3, 0, 5, 0, 
          4}, {70, 4, 0, 2, 1, 3}, {7, 2, 5}, {70, 3, 0, 5, 0, 1}, {94, 266, 
          3, 0, 4, 3, 0, 1, 3, 0, 5}, {12, 5, 4}, {65, 1, 4, 2}, {5, 2, 
          0, -16}, {44, 4, 3}, {7, 0, 0}, {64, 3, 3, 3}, {7, 0, 5}, {11, 5, 
          1}, {4, 5}, {70, 4, 0, 1, 1, 5}, {70, 4, 0, 1, 1, 6}, {91, 5, 6, 
          4}, {65, 0, 4, 3}, {5, 1, 3, -4}, {44, 4, 4}, {7, 0, 3}, {64, 4, 2, 
          5}, {7, 0, 5}, {11, 5, 0}, {4, 2}, {65, 3, 0, 5}, {5, 0, 4, -1}, {
          47, 0, 5, 6}, {68, 2, 3, 6, 5}, {45, {2, 1}, 2, 2, 2}, {90, 5, 2, 3,
           2, 0}, {76, 3, 5}, {46, 5, 3}, {44, 3, 3}, {7, 0, 5}, {64, 3, 2, 
          5}, {7, 0, 6}, {11, 6, 4}, {4, 3}, {7, 0, 6}, {65, 5, 6, 5}, {5, 4, 
          3, -2}, {7, 1, 1}, {7, 1, 2}, {7, 3, 0}, {70, 3, 0, 2, 0, 0, 0, 
          3}, {93, 47, 3, 0, 3, 2, 0, 2}, {71, 5, 0, 1, 0, 2}, {7, 1, 0}, {
          45, {1, 2}, 2, 2, 2}, {70, 3, 0, 0, 1, 2, 1, 6}, {44, 3, 6}, {7, 1, 
          4}, {4, 17}, {45, {1, 2}, 2, 2, 2}, {70, 3, 0, 4, 1, 2, 1, 7}, {53, 
          6, 7, 1, 0}, {43, 0, 1}, {3, 1, 12}, {45, {1, 2}, 2, 2, 7}, {70, 3, 
          0, 4, 1, 7, 1, 2}, {46, 2, 6}, {7, 1, 3}, {17, 1, 3, 7}, {11, 7, 
          1}, {7, 3, 7}, {70, 3, 0, 4, 0, 7, 0, 3}, {93, 47, 3, 0, 3, 2, 0, 
          7}, {71, 5, 0, 1, 0, 7}, {4, 1}, {5, 4, 6, -16}, {72, 5, 1, 0, 2}, {
          2}}, 
         Function[{
          ComputationalGeometry`Private`coordinates, 
           ComputationalGeometry`Private`precision}, 
          
          Module[{ComputationalGeometry`Private`disp, 
            ComputationalGeometry`Private`iPoint, 
            ComputationalGeometry`Private`zero, 
            ComputationalGeometry`Private`angleLengthIndex, 
            ComputationalGeometry`Private`n, 
            ComputationalGeometry`Private`list, 
            ComputationalGeometry`Private`previousPoint}, 
           ComputationalGeometry`Private`iPoint = 
            Apply[Plus, ComputationalGeometry`Private`coordinates]/Length[
             ComputationalGeometry`Private`coordinates]; 
           ComputationalGeometry`Private`disp = 
            Map[# - ComputationalGeometry`Private`iPoint& , 
              ComputationalGeometry`Private`coordinates]; 
           ComputationalGeometry`Private`zero = 
            If[ComputationalGeometry`Private`precision === MachinePrecision, 
              N[0], 
              SetAccuracy[0, ComputationalGeometry`Private`precision]]; 
           ComputationalGeometry`Private`angleLengthIndex = Transpose[{
               Map[If[# == {0, 0}, ComputationalGeometry`Private`zero, 
                 ArcTan[
                  Part[#, 1], 
                  Part[#, 2]]]& , ComputationalGeometry`Private`disp], 
               Map[Dot[#, #]& , ComputationalGeometry`Private`disp], 
               N[
                Range[
                 Length[ComputationalGeometry`Private`disp]]]}]; 
           ComputationalGeometry`Private`angleLengthIndex = 
            Sort[ComputationalGeometry`Private`angleLengthIndex]; 
           ComputationalGeometry`Private`list = Table[0, {
               Length[ComputationalGeometry`Private`angleLengthIndex]}]; 
           Part[ComputationalGeometry`Private`list, 
              ComputationalGeometry`Private`n = 1] = Round[
              Part[ComputationalGeometry`Private`angleLengthIndex, 1, 3]]; 
           ComputationalGeometry`Private`previousPoint = 
            Part[ComputationalGeometry`Private`angleLengthIndex, 1, {1, 2}]; 
           Do[
             If[
             ComputationalGeometry`Private`previousPoint =!= 
              Part[ComputationalGeometry`Private`angleLengthIndex, 
                ComputationalGeometry`Private`i, {1, 2}], 
              ComputationalGeometry`Private`previousPoint = 
               Part[ComputationalGeometry`Private`angleLengthIndex, 
                 ComputationalGeometry`Private`i, {1, 2}]; 
              Part[ComputationalGeometry`Private`list, 
                 PreIncrement[ComputationalGeometry`Private`n]] = Round[
                 Part[
                 ComputationalGeometry`Private`angleLengthIndex, 
                  ComputationalGeometry`Private`i, 3]]], {
             ComputationalGeometry`Private`i, 2, 
              Length[ComputationalGeometry`Private`angleLengthIndex]}]; 
           Take[ComputationalGeometry`Private`list, 
             ComputationalGeometry`Private`n]]], Evaluate], 
       ComputationalGeometry`Private`polarSortUnCompile = 
       Function[{
         ComputationalGeometry`Private`coordinates, 
          ComputationalGeometry`Private`precision}, 
         Module[{
          ComputationalGeometry`Private`disp, 
           ComputationalGeometry`Private`iPoint, 
           ComputationalGeometry`Private`zero, 
           ComputationalGeometry`Private`angleLengthIndex, 
           ComputationalGeometry`Private`n, 
           ComputationalGeometry`Private`list, 
           ComputationalGeometry`Private`previousPoint}, 
          ComputationalGeometry`Private`iPoint = 
           Apply[Plus, ComputationalGeometry`Private`coordinates]/Length[
            ComputationalGeometry`Private`coordinates]; 
          ComputationalGeometry`Private`disp = 
           Map[# - ComputationalGeometry`Private`iPoint& , 
             ComputationalGeometry`Private`coordinates]; 
          ComputationalGeometry`Private`zero = 
           If[ComputationalGeometry`Private`precision === MachinePrecision, 
             N[0], 
             SetAccuracy[0, ComputationalGeometry`Private`precision]]; 
          ComputationalGeometry`Private`angleLengthIndex = Transpose[{
              Map[If[# == {0, 0}, ComputationalGeometry`Private`zero, 
                ArcTan[
                 Part[#, 1], 
                 Part[#, 2]]]& , ComputationalGeometry`Private`disp], 
              Map[Dot[#, #]& , ComputationalGeometry`Private`disp], 
              N[
               Range[
                Length[ComputationalGeometry`Private`disp]]]}]; 
          ComputationalGeometry`Private`angleLengthIndex = 
           Sort[ComputationalGeometry`Private`angleLengthIndex]; 
          ComputationalGeometry`Private`list = Table[0, {
              Length[ComputationalGeometry`Private`angleLengthIndex]}]; 
          Part[ComputationalGeometry`Private`list, 
             ComputationalGeometry`Private`n = 1] = Round[
             Part[ComputationalGeometry`Private`angleLengthIndex, 1, 3]]; 
          ComputationalGeometry`Private`previousPoint = 
           Part[ComputationalGeometry`Private`angleLengthIndex, 1, {1, 2}]; 
          Do[
            If[
            ComputationalGeometry`Private`previousPoint =!= 
             Part[ComputationalGeometry`Private`angleLengthIndex, 
               ComputationalGeometry`Private`i, {1, 2}], 
             ComputationalGeometry`Private`previousPoint = 
              Part[ComputationalGeometry`Private`angleLengthIndex, 
                ComputationalGeometry`Private`i, {1, 2}]; 
             Part[ComputationalGeometry`Private`list, 
                PreIncrement[ComputationalGeometry`Private`n]] = Round[
                Part[
                ComputationalGeometry`Private`angleLengthIndex, 
                 ComputationalGeometry`Private`i, 3]]], {
            ComputationalGeometry`Private`i, 2, 
             Length[ComputationalGeometry`Private`angleLengthIndex]}]; 
          Take[ComputationalGeometry`Private`list, 
            ComputationalGeometry`Private`n]]], 
       ComputationalGeometry`Private`collinearQ[
         Pattern[ComputationalGeometry`Private`coordinates, {
           Repeated[{
             Blank[], 
             Blank[]}]}], 
         Pattern[ComputationalGeometry`Private`precision, 
          Blank[]]] := 
       If[ComputationalGeometry`Private`precision === MachinePrecision, 
         ComputationalGeometry`Private`collinearQCompile[
         ComputationalGeometry`Private`coordinates, 
          ComputationalGeometry`Private`precision], 
         ComputationalGeometry`Private`collinearQUnCompile[
         ComputationalGeometry`Private`coordinates, 
          ComputationalGeometry`Private`precision]], 
       ComputationalGeometry`Private`collinearQCompile = CompiledFunction[{{
           Blank[Real], 2}, 
          Blank[Real]}, {{3, 2, 0}, {3, 0, 0}, {1, 0, 0}}, {3, 5, 14, 0, 
         5}, {{1, 5}, {8, 10., 1}, {8, 1., 2}, {24, 0, 3}, {18, 2, 3, 2}, {94,
           264, 3, 0, 1, 3, 0, 2, 3, 0, 3}, {45, {1, 2}, 2, 2, 1}, {70, 0, 1, 
          1, 2, 2}, {7, 1, 0}, {70, 2, 0, 0, 1, 1}, {7, 1, 0}, {70, 1, 0, 0, 
          0, 1}, {7, 2, 0}, {70, 1, 0, 0, 0, 2}, {67, 1, 2, 3, 3}, {7, 2, 
          0}, {70, 2, 0, 0, 1, 1}, {7, 1, 0}, {70, 1, 0, 0, 0, 4}, {7, 2, 
          0}, {70, 1, 0, 0, 0, 5}, {67, 4, 5, 3, 4}, {68, 3, 4, 1}, {24, 5, 
          6}, {18, 2, 6, 7}, {24, 1, 6}, {18, 4, 6, 8}, {21, 1, 5, 6}, {21, 4,
           2, 9}, {24, 9, 10}, {18, 6, 10, 6}, {6, True, 0}, {44, 0, 2}, {7, 
          2, 3}, {4, 21}, {70, 0, 0, 3, 1, 2}, {7, 1, 4}, {70, 2, 0, 4, 0, 
          10}, {7, 2, 4}, {70, 2, 0, 4, 0, 9}, {67, 10, 9, 3, 3}, {7, 0, 4}, {
          21, 7, 10, 11}, {21, 8, 9, 12}, {18, 11, 12, 6, 11}, {
          8, 1.*^-10, 12}, {94, 270, 3, 0, 11, 3, 0, 12, 3, 0, 13}, {15, 0, 4,
           11}, {34, 11, 13, 0, 1}, {43, 1, 2}, {3, 2, 5}, {6, False, 1}, {10,
           1, 0}, {4, 3}, {4, 1}, {5, 3, 2, -20}, {2}}, 
         Function[{
          ComputationalGeometry`Private`coordinates, 
           ComputationalGeometry`Private`precision}, 
          
          Module[{ComputationalGeometry`Private`x1, 
            ComputationalGeometry`Private`x2, 
            ComputationalGeometry`Private`y1, 
            ComputationalGeometry`Private`y2, ComputationalGeometry`Private`a,
             ComputationalGeometry`Private`b, ComputationalGeometry`Private`c,
             ComputationalGeometry`Private`x, ComputationalGeometry`Private`y,
             ComputationalGeometry`Private`flat, 
            ComputationalGeometry`Private`chopSize = 
            10.^(1. - ComputationalGeometry`Private`precision), 
            ComputationalGeometry`Private`i}, {{
              ComputationalGeometry`Private`x1, 
               ComputationalGeometry`Private`y1}, {
              ComputationalGeometry`Private`x2, 
               ComputationalGeometry`Private`y2}} = 
            Part[ComputationalGeometry`Private`coordinates, {1, 2}]; 
           ComputationalGeometry`Private`a = 
            ComputationalGeometry`Private`y1 - 
             ComputationalGeometry`Private`y2; 
           ComputationalGeometry`Private`b = 
            ComputationalGeometry`Private`x2 - 
             ComputationalGeometry`Private`x1; 
           ComputationalGeometry`Private`c = 
            ComputationalGeometry`Private`x1 ComputationalGeometry`Private`y2 - 
             ComputationalGeometry`Private`x2 
             ComputationalGeometry`Private`y1; 
           ComputationalGeometry`Private`flat = True; 
           Do[{ComputationalGeometry`Private`x, 
                ComputationalGeometry`Private`y} = 
              Part[ComputationalGeometry`Private`coordinates, 
                ComputationalGeometry`Private`i]; 
             If[0 != Chop[
                ComputationalGeometry`Private`a 
                  ComputationalGeometry`Private`x + 
                 ComputationalGeometry`Private`b 
                  ComputationalGeometry`Private`y + 
                 ComputationalGeometry`Private`c], 
               ComputationalGeometry`Private`flat = False; Break[]], {
             ComputationalGeometry`Private`i, 3, 
              Length[ComputationalGeometry`Private`coordinates]}]; 
           ComputationalGeometry`Private`flat]], Evaluate], 
       ComputationalGeometry`Private`collinearQUnCompile = 
       Function[{
         ComputationalGeometry`Private`coordinates, 
          ComputationalGeometry`Private`precision}, 
         Module[{
          ComputationalGeometry`Private`x1, ComputationalGeometry`Private`x2, 
           ComputationalGeometry`Private`y1, ComputationalGeometry`Private`y2,
            ComputationalGeometry`Private`a, ComputationalGeometry`Private`b, 
           ComputationalGeometry`Private`c, ComputationalGeometry`Private`x, 
           ComputationalGeometry`Private`y, 
           ComputationalGeometry`Private`flat, 
           ComputationalGeometry`Private`chopSize = 
           10.^(1. - ComputationalGeometry`Private`precision), 
           ComputationalGeometry`Private`i}, {{
             ComputationalGeometry`Private`x1, 
              ComputationalGeometry`Private`y1}, {
             ComputationalGeometry`Private`x2, 
              ComputationalGeometry`Private`y2}} = 
           Part[ComputationalGeometry`Private`coordinates, {1, 2}]; 
          ComputationalGeometry`Private`a = 
           ComputationalGeometry`Private`y1 - 
            ComputationalGeometry`Private`y2; 
          ComputationalGeometry`Private`b = 
           ComputationalGeometry`Private`x2 - 
            ComputationalGeometry`Private`x1; 
          ComputationalGeometry`Private`c = 
           ComputationalGeometry`Private`x1 ComputationalGeometry`Private`y2 - 
            ComputationalGeometry`Private`x2 ComputationalGeometry`Private`y1; 
          ComputationalGeometry`Private`flat = True; 
          Do[{ComputationalGeometry`Private`x, 
               ComputationalGeometry`Private`y} = 
             Part[ComputationalGeometry`Private`coordinates, 
               ComputationalGeometry`Private`i]; 
            If[0 != Chop[
               ComputationalGeometry`Private`a 
                 ComputationalGeometry`Private`x + 
                ComputationalGeometry`Private`b 
                 ComputationalGeometry`Private`y + 
                ComputationalGeometry`Private`c], 
              ComputationalGeometry`Private`flat = False; Break[]], {
            ComputationalGeometry`Private`i, 3, 
             Length[ComputationalGeometry`Private`coordinates]}]; 
          ComputationalGeometry`Private`flat]], 
       ComputationalGeometry`Private`GrahamScan[
         Pattern[ComputationalGeometry`Private`polarOrder, 
          Blank[]], 
         Pattern[ComputationalGeometry`Private`coordinates, {
           Repeated[{
             Blank[], 
             Blank[]}]}], 
         Pattern[ComputationalGeometry`Private`precision, 
          Blank[]], 
         Pattern[ComputationalGeometry`Private`allPointOption, 
          Blank[]]] := 
       Module[{ComputationalGeometry`Private`xVals, 
          ComputationalGeometry`Private`nextPrev, 
          ComputationalGeometry`Private`next, 
          ComputationalGeometry`Private`prev, 
          ComputationalGeometry`Private`convexhull}, 
         ComputationalGeometry`Private`nextPrev = 
          ComputationalGeometry`Private`createNextPrev[
           ComputationalGeometry`Private`polarOrder, 
            Length[ComputationalGeometry`Private`coordinates]]; 
         ComputationalGeometry`Private`next = 
          Part[ComputationalGeometry`Private`nextPrev, 1]; 
         ComputationalGeometry`Private`prev = 
          Part[ComputationalGeometry`Private`nextPrev, 2]; 
         ComputationalGeometry`Private`xVals = 
          Part[ComputationalGeometry`Private`coordinates, 
            ComputationalGeometry`Private`polarOrder, 1]; 
         ComputationalGeometry`Private`start = 
          Part[ComputationalGeometry`Private`polarOrder, 
            Part[
             Position[ComputationalGeometry`Private`xVals, 
              Max[ComputationalGeometry`Private`xVals], 1, 1], 1, 1]]; 
         ComputationalGeometry`Private`convexhull = 
          If[ComputationalGeometry`Private`precision === MachinePrecision, 
            ComputationalGeometry`Private`GrahamScanMainLoopCompile[
            ComputationalGeometry`Private`start, 
             ComputationalGeometry`Private`next, 
             ComputationalGeometry`Private`prev, 
             ComputationalGeometry`Private`coordinates, 
             ComputationalGeometry`Private`precision, 
             ComputationalGeometry`Private`allPointOption], 
            ComputationalGeometry`Private`GrahamScanMainLoopUnCompile[
            ComputationalGeometry`Private`start, 
             ComputationalGeometry`Private`next, 
             ComputationalGeometry`Private`prev, 
             ComputationalGeometry`Private`coordinates, 
             ComputationalGeometry`Private`precision, 
             ComputationalGeometry`Private`allPointOption]]], 
       ComputationalGeometry`Private`createNextPrev = CompiledFunction[{{
           Blank[Integer], 1}, 
          Blank[Integer]}, {{2, 1, 0}, {2, 0, 0}, {2, 2, 3}}, {0, 6, 0, 0, 
         6}, {{1, 5}, {11, 0, 1}, {7, 0, 4}, {64, 1, 2, 1}, {7, 0, 5}, {11, 5,
           2}, {4, 3}, {7, 0, 5}, {65, 4, 5, 1}, {5, 2, 1, -2}, {46, 1, 2}, {
          7, 1, 3}, {67, 3, 2, 3}, {78, 0, 3, -1, 4}, {71, 2, 1, 0, 1, 4}, {7,
           1, 3}, {67, 3, 2, 3}, {78, 0, 3, 1, 5}, {71, 1, 1, 0, 1, 5}, {68, 
          2, 1, 3}, {2}}, 
         Function[{
          ComputationalGeometry`Private`polarOrder, 
           ComputationalGeometry`Private`numPoints}, 
          
          Module[{ComputationalGeometry`Private`next, 
            ComputationalGeometry`Private`prev}, 
           ComputationalGeometry`Private`next = (
             ComputationalGeometry`Private`prev = 
             Table[0, {ComputationalGeometry`Private`numPoints}]); 
           Part[ComputationalGeometry`Private`next, 
              ComputationalGeometry`Private`polarOrder] = 
            RotateLeft[ComputationalGeometry`Private`polarOrder]; 
           Part[ComputationalGeometry`Private`prev, 
              ComputationalGeometry`Private`polarOrder] = 
            RotateRight[ComputationalGeometry`Private`polarOrder]; {
            ComputationalGeometry`Private`next, 
             ComputationalGeometry`Private`prev}]], Evaluate], 
       ComputationalGeometry`Private`start = 3, 
       ComputationalGeometry`Private`GrahamScanMainLoopCompile = 
       CompiledFunction[{
          Blank[Integer], {
           Blank[Integer], 1}, {
           Blank[Integer], 1}, {
           Blank[Real], 2}, 
          Blank[Real], 
          Alternatives[True, False]}, {{2, 0, 0}, {2, 1, 0}, {2, 1, 1}, {3, 2,
          2}, {3, 0, 0}, {1, 0, 0}, {2, 1, 7}}, {7, 17, 12, 0, 
         9}, {{1, 5}, {46, 0, 3}, {46, 1, 4}, {7, 1, 1}, {7, 0, 2}, {
          8, 10., 1}, {8, 1., 2}, {24, 0, 3}, {18, 2, 3, 2}, {94, 264, 3, 0, 
          1, 3, 0, 2, 3, 0, 3}, {7, 0, 3}, {11, 0, 4}, {70, 4, 0, 4, 0, 5}, {
          70, 3, 0, 4, 0, 6}, {33, 0, 6, 1}, {43, 1, 2}, {3, 2, 4}, {
          6, True, 1}, {10, 1, 4}, {4, 4}, {7, 0, 6}, {33, 3, 6, 3}, {10, 3, 
          4}, {3, 4, 78}, {70, 3, 0, 4, 0, 6}, {33, 5, 6, 2}, {3, 2, 4}, {7, 
          1, 6}, {11, 6, 3}, {4, 1}, {70, 3, 0, 4, 0, 6}, {70, 3, 0, 6, 0, 
          7}, {7, 1, 8}, {70, 2, 0, 4, 0, 8, 0, 1}, {7, 1, 8}, {70, 2, 0, 6, 
          0, 8, 0, 2}, {7, 1, 8}, {70, 2, 0, 7, 0, 8, 0, 4}, {7, 2, 8}, {70, 
          2, 0, 4, 0, 8, 0, 5}, {7, 2, 8}, {70, 2, 0, 6, 0, 8, 0, 6}, {7, 2, 
          8}, {70, 2, 0, 7, 0, 8, 0, 7}, {24, 4, 8}, {18, 2, 8, 9}, {24, 5, 
          8}, {18, 6, 8, 10}, {21, 9, 10, 9}, {24, 1, 10}, {18, 2, 10, 8}, {
          24, 6, 10}, {18, 7, 10, 11}, {21, 8, 11, 8}, {18, 9, 8, 9}, {94, 
          270, 3, 0, 9, 3, 0, 3, 3, 0, 8}, {93, 42, 3, 0, 8, 2, 0, 8}, {7, 1, 
          9}, {33, 8, 9, 2}, {3, 2, 3}, {11, 1, 9}, {4, 31}, {7, -1, 10}, {33,
           8, 10, 1}, {3, 1, 3}, {11, 2, 9}, {4, 26}, {67, 1, 5, 3, 5}, {67, 
          2, 6, 3, 6}, {93, 41, 3, 1, 6, 3, 1, 7}, {51, 5, 7, 5}, {67, 2, 6, 
          3, 7}, {67, 4, 7, 3, 6}, {93, 41, 3, 1, 6, 3, 1, 8}, {51, 7, 8, 
          7}, {91, 5, 7, 8}, {7, 0, 10}, {15, 0, 10, 9}, {37, 8, 9, 3}, {3, 3,
           9}, {33, 6, 0, 5}, {43, 5, 6}, {3, 6, 3}, {11, 2, 10}, {4, 2}, {11,
           1, 10}, {11, 10, 9}, {4, 5}, {3, 0, 3}, {11, 1, 9}, {4, 2}, {11, 2,
           9}, {33, 9, 1, 2}, {3, 2, 3}, {11, 6, 4}, {4, 5}, {71, 3, 0, 4, 0, 
          7}, {71, 4, 0, 7, 0, 4}, {70, 4, 0, 4, 0, 10}, {11, 10, 4}, {
          4, -87}, {44, 3, 12}, {7, 0, 15}, {64, 12, 2, 5}, {7, 0, 16}, {11, 
          16, 13}, {4, 3}, {7, 0, 16}, {65, 15, 16, 5}, {5, 13, 12, -2}, {7, 
          0, 10}, {11, 0, 4}, {7, 1, 11}, {17, 10, 11, 14}, {11, 14, 10}, {71,
           5, 0, 10, 0, 4}, {70, 3, 0, 4, 0, 14}, {11, 14, 4}, {33, 4, 0, 
          4}, {43, 4, 2}, {3, 2, 8}, {7, 1, 14}, {17, 10, 14, 11}, {11, 11, 
          10}, {71, 5, 0, 10, 0, 4}, {70, 3, 0, 4, 0, 11}, {11, 11, 4}, {
          4, -9}, {72, 5, 10, 0, 7}, {2}}, 
         Function[{
          ComputationalGeometry`Private`start, 
           ComputationalGeometry`Private`inNext, 
           ComputationalGeometry`Private`inPrev, 
           ComputationalGeometry`Private`coordinates, 
           ComputationalGeometry`Private`precision, 
           ComputationalGeometry`Private`allPointOption}, 
          
          Module[{ComputationalGeometry`Private`next = 
            ComputationalGeometry`Private`inNext, 
            ComputationalGeometry`Private`prev = 
            ComputationalGeometry`Private`inPrev, 
            ComputationalGeometry`Private`scanComplete, 
            ComputationalGeometry`Private`v, 
            ComputationalGeometry`Private`last, 
            ComputationalGeometry`Private`nextOfV, 
            ComputationalGeometry`Private`nextNextOfV, 
            ComputationalGeometry`Private`chopSize, 
            ComputationalGeometry`Private`x1, 
            ComputationalGeometry`Private`x2, 
            ComputationalGeometry`Private`x3, 
            ComputationalGeometry`Private`y1, 
            ComputationalGeometry`Private`y2, 
            ComputationalGeometry`Private`y3, 
            ComputationalGeometry`Private`theSignOfArea, 
            ComputationalGeometry`Private`turn, 
            ComputationalGeometry`Private`left = 1, 
            ComputationalGeometry`Private`right = 0, 
            ComputationalGeometry`Private`n, 
            ComputationalGeometry`Private`out}, 
           ComputationalGeometry`Private`chopSize = 
            10.^(1. - ComputationalGeometry`Private`precision); 
           ComputationalGeometry`Private`scanComplete = 0; 
           ComputationalGeometry`Private`last = 
            Part[ComputationalGeometry`Private`prev, 
              ComputationalGeometry`Private`v = 
              ComputationalGeometry`Private`start]; While[
             Or[
             ComputationalGeometry`Private`start =!= 
              Part[ComputationalGeometry`Private`next, 
                ComputationalGeometry`Private`v], 
              ComputationalGeometry`Private`scanComplete === 0], 
             If[ComputationalGeometry`Private`last === 
               Part[ComputationalGeometry`Private`next, 
                 ComputationalGeometry`Private`v], 
               ComputationalGeometry`Private`scanComplete = 1]; 
             ComputationalGeometry`Private`nextNextOfV = 
              Part[ComputationalGeometry`Private`next, 
                ComputationalGeometry`Private`nextOfV = 
                Part[ComputationalGeometry`Private`next, 
                  ComputationalGeometry`Private`v]]; 
             ComputationalGeometry`Private`x1 = 
              Part[ComputationalGeometry`Private`coordinates, 
                ComputationalGeometry`Private`v, 1]; 
             ComputationalGeometry`Private`x2 = 
              Part[ComputationalGeometry`Private`coordinates, 
                ComputationalGeometry`Private`nextOfV, 1]; 
             ComputationalGeometry`Private`x3 = 
              Part[ComputationalGeometry`Private`coordinates, 
                ComputationalGeometry`Private`nextNextOfV, 1]; 
             ComputationalGeometry`Private`y1 = 
              Part[ComputationalGeometry`Private`coordinates, 
                ComputationalGeometry`Private`v, 2]; 
             ComputationalGeometry`Private`y2 = 
              Part[ComputationalGeometry`Private`coordinates, 
                ComputationalGeometry`Private`nextOfV, 2]; 
             ComputationalGeometry`Private`y3 = 
              Part[ComputationalGeometry`Private`coordinates, 
                ComputationalGeometry`Private`nextNextOfV, 2]; 
             ComputationalGeometry`Private`theSignOfArea = Sign[
                
                Chop[(ComputationalGeometry`Private`x2 - 
                   ComputationalGeometry`Private`x3) (
                   ComputationalGeometry`Private`y2 - 
                   ComputationalGeometry`Private`y1) + (
                   ComputationalGeometry`Private`x2 - 
                   ComputationalGeometry`Private`x1) (
                   ComputationalGeometry`Private`y3 - 
                   ComputationalGeometry`Private`y2), 
                 ComputationalGeometry`Private`chopSize]]; 
             Which[ComputationalGeometry`Private`theSignOfArea == 1, 
               ComputationalGeometry`Private`turn = 
               ComputationalGeometry`Private`left, 
               ComputationalGeometry`Private`theSignOfArea == -1, 
               ComputationalGeometry`Private`turn = 
               ComputationalGeometry`Private`right, 
               Dot[{ComputationalGeometry`Private`x1, 
                   ComputationalGeometry`Private`y1} - {
                 ComputationalGeometry`Private`x2, 
                  ComputationalGeometry`Private`y2}, {
                  ComputationalGeometry`Private`x2, 
                   ComputationalGeometry`Private`y2} - {
                 ComputationalGeometry`Private`x3, 
                  ComputationalGeometry`Private`y3}] < 0, 
               ComputationalGeometry`Private`turn = 
               If[ComputationalGeometry`Private`nextOfV =!= 
                 ComputationalGeometry`Private`start, 
                 ComputationalGeometry`Private`right, 
                 ComputationalGeometry`Private`left], 
               ComputationalGeometry`Private`allPointOption, 
               ComputationalGeometry`Private`turn = 
               ComputationalGeometry`Private`left, True, 
               ComputationalGeometry`Private`turn = 
               ComputationalGeometry`Private`right]; 
             If[ComputationalGeometry`Private`turn == 
               ComputationalGeometry`Private`left, 
               ComputationalGeometry`Private`v = 
               ComputationalGeometry`Private`nextOfV, 
               Part[ComputationalGeometry`Private`prev, 
                  Part[ComputationalGeometry`Private`next, 
                    ComputationalGeometry`Private`v] = 
                  ComputationalGeometry`Private`nextNextOfV] = 
                ComputationalGeometry`Private`v; 
               ComputationalGeometry`Private`v = 
                Part[ComputationalGeometry`Private`prev, 
                  ComputationalGeometry`Private`v]]; Null]; 
           ComputationalGeometry`Private`out = Table[0, {
               Length[ComputationalGeometry`Private`next]}]; 
           ComputationalGeometry`Private`n = 0; 
           ComputationalGeometry`Private`v = 
            ComputationalGeometry`Private`start; 
           Part[ComputationalGeometry`Private`out, 
              PreIncrement[ComputationalGeometry`Private`n]] = 
            ComputationalGeometry`Private`v; 
           ComputationalGeometry`Private`v = 
            Part[ComputationalGeometry`Private`next, 
              ComputationalGeometry`Private`v]; 
           While[ComputationalGeometry`Private`v != 
             ComputationalGeometry`Private`start, 
             Part[ComputationalGeometry`Private`out, 
                PreIncrement[ComputationalGeometry`Private`n]] = 
              ComputationalGeometry`Private`v; 
             ComputationalGeometry`Private`v = 
              Part[ComputationalGeometry`Private`next, 
                ComputationalGeometry`Private`v]]; 
           Take[ComputationalGeometry`Private`out, 
             ComputationalGeometry`Private`n]]], Evaluate], 
       ComputationalGeometry`Private`GrahamScanMainLoopUnCompile = 
       Function[{
         ComputationalGeometry`Private`start, 
          ComputationalGeometry`Private`inNext, 
          ComputationalGeometry`Private`inPrev, 
          ComputationalGeometry`Private`coordinates, 
          ComputationalGeometry`Private`precision, 
          ComputationalGeometry`Private`allPointOption}, 
         Module[{
          ComputationalGeometry`Private`next = 
           ComputationalGeometry`Private`inNext, 
           ComputationalGeometry`Private`prev = 
           ComputationalGeometry`Private`inPrev, 
           ComputationalGeometry`Private`scanComplete, 
           ComputationalGeometry`Private`v, 
           ComputationalGeometry`Private`last, 
           ComputationalGeometry`Private`nextOfV, 
           ComputationalGeometry`Private`nextNextOfV, 
           ComputationalGeometry`Private`chopSize, 
           ComputationalGeometry`Private`x1, ComputationalGeometry`Private`x2,
            ComputationalGeometry`Private`x3, 
           ComputationalGeometry`Private`y1, ComputationalGeometry`Private`y2,
            ComputationalGeometry`Private`y3, 
           ComputationalGeometry`Private`theSignOfArea, 
           ComputationalGeometry`Private`turn, 
           ComputationalGeometry`Private`left = 1, 
           ComputationalGeometry`Private`right = 0, 
           ComputationalGeometry`Private`n, 
           ComputationalGeometry`Private`out}, 
          ComputationalGeometry`Private`chopSize = 
           10.^(1. - ComputationalGeometry`Private`precision); 
          ComputationalGeometry`Private`scanComplete = 0; 
          ComputationalGeometry`Private`last = 
           Part[ComputationalGeometry`Private`prev, 
             ComputationalGeometry`Private`v = 
             ComputationalGeometry`Private`start]; While[
            Or[
            ComputationalGeometry`Private`start =!= 
             Part[ComputationalGeometry`Private`next, 
               ComputationalGeometry`Private`v], 
             ComputationalGeometry`Private`scanComplete === 0], 
            If[ComputationalGeometry`Private`last === 
              Part[ComputationalGeometry`Private`next, 
                ComputationalGeometry`Private`v], 
              ComputationalGeometry`Private`scanComplete = 1]; 
            ComputationalGeometry`Private`nextNextOfV = 
             Part[ComputationalGeometry`Private`next, 
               ComputationalGeometry`Private`nextOfV = 
               Part[ComputationalGeometry`Private`next, 
                 ComputationalGeometry`Private`v]]; 
            ComputationalGeometry`Private`x1 = 
             Part[ComputationalGeometry`Private`coordinates, 
               ComputationalGeometry`Private`v, 1]; 
            ComputationalGeometry`Private`x2 = 
             Part[ComputationalGeometry`Private`coordinates, 
               ComputationalGeometry`Private`nextOfV, 1]; 
            ComputationalGeometry`Private`x3 = 
             Part[ComputationalGeometry`Private`coordinates, 
               ComputationalGeometry`Private`nextNextOfV, 1]; 
            ComputationalGeometry`Private`y1 = 
             Part[
              ComputationalGeometry`Private`coordinates, 
               ComputationalGeometry`Private`v, 2]; 
            ComputationalGeometry`Private`y2 = 
             Part[ComputationalGeometry`Private`coordinates, 
               ComputationalGeometry`Private`nextOfV, 2]; 
            ComputationalGeometry`Private`y3 = 
             Part[ComputationalGeometry`Private`coordinates, 
               ComputationalGeometry`Private`nextNextOfV, 2]; 
            ComputationalGeometry`Private`theSignOfArea = Sign[
               
               Chop[(ComputationalGeometry`Private`x2 - 
                  ComputationalGeometry`Private`x3) (
                  ComputationalGeometry`Private`y2 - 
                  ComputationalGeometry`Private`y1) + (
                  ComputationalGeometry`Private`x2 - 
                  ComputationalGeometry`Private`x1) (
                  ComputationalGeometry`Private`y3 - 
                  ComputationalGeometry`Private`y2), 
                ComputationalGeometry`Private`chopSize]]; 
            Which[ComputationalGeometry`Private`theSignOfArea == 1, 
              ComputationalGeometry`Private`turn = 
              ComputationalGeometry`Private`left, 
              ComputationalGeometry`Private`theSignOfArea == -1, 
              ComputationalGeometry`Private`turn = 
              ComputationalGeometry`Private`right, 
              Dot[{ComputationalGeometry`Private`x1, 
                  ComputationalGeometry`Private`y1} - {
                ComputationalGeometry`Private`x2, 
                 ComputationalGeometry`Private`y2}, {
                 ComputationalGeometry`Private`x2, 
                  ComputationalGeometry`Private`y2} - {
                ComputationalGeometry`Private`x3, 
                 ComputationalGeometry`Private`y3}] < 0, 
              ComputationalGeometry`Private`turn = 
              If[ComputationalGeometry`Private`nextOfV =!= 
                ComputationalGeometry`Private`start, 
                ComputationalGeometry`Private`right, 
                ComputationalGeometry`Private`left], 
              ComputationalGeometry`Private`allPointOption, 
              ComputationalGeometry`Private`turn = 
              ComputationalGeometry`Private`left, True, 
              ComputationalGeometry`Private`turn = 
              ComputationalGeometry`Private`right]; 
            If[ComputationalGeometry`Private`turn == 
              ComputationalGeometry`Private`left, 
              ComputationalGeometry`Private`v = 
              ComputationalGeometry`Private`nextOfV, 
              Part[ComputationalGeometry`Private`prev, 
                 Part[
                  ComputationalGeometry`Private`next, 
                   ComputationalGeometry`Private`v] = 
                 ComputationalGeometry`Private`nextNextOfV] = 
               ComputationalGeometry`Private`v; 
              ComputationalGeometry`Private`v = 
               Part[ComputationalGeometry`Private`prev, 
                 ComputationalGeometry`Private`v]]; Null]; 
          ComputationalGeometry`Private`out = Table[0, {
              Length[ComputationalGeometry`Private`next]}]; 
          ComputationalGeometry`Private`n = 0; 
          ComputationalGeometry`Private`v = 
           ComputationalGeometry`Private`start; 
          Part[ComputationalGeometry`Private`out, 
             PreIncrement[ComputationalGeometry`Private`n]] = 
           ComputationalGeometry`Private`v; 
          ComputationalGeometry`Private`v = 
           Part[ComputationalGeometry`Private`next, 
             ComputationalGeometry`Private`v]; 
          While[ComputationalGeometry`Private`v != 
            ComputationalGeometry`Private`start, 
            Part[ComputationalGeometry`Private`out, 
               PreIncrement[ComputationalGeometry`Private`n]] = 
             ComputationalGeometry`Private`v; 
            ComputationalGeometry`Private`v = 
             Part[ComputationalGeometry`Private`next, 
               ComputationalGeometry`Private`v]]; 
          Take[ComputationalGeometry`Private`out, 
            ComputationalGeometry`Private`n]]]}; Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{3.35696210375764*^9, 3.388493028593992*^9, 
  3.388493074071121*^9, 3.388497986265868*^9},
 CellID->364242495]
}, {2}]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "ManipulateCaptionSection"],

Cell[TextData[{
 "The Lucas-Gauss theorem states that the convex hull of the roots of any \
nonconstant complex polynomial contains the roots of its derivative. In this \
demonstration there are eight locators which represent the eight roots of the \
polynomial ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f", "(", "z", ")"}], "=", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"z", "-", 
       SubscriptBox["z", "1"]}], ")"}], 
     RowBox[{"(", 
      RowBox[{"z", "-", 
       SubscriptBox["z", "2"]}], ")"}], 
     RowBox[{"\[CenterEllipsis]", "(", 
      RowBox[{"z", "-", 
       SubscriptBox["z", "8"]}], ")"}]}]}], TraditionalForm]], "InlineMath"],
 ". The convex hull of these roots is shown. Within, one sees the roots of \
the derivative of ",
 Cell[BoxData[
  FormBox["f", TraditionalForm]], "InlineMath"],
 " (and those of the higher derivatives). Applying the theorem to each \
derivative, we see ultimately a nested sequence of polygons: the convex hull \
of the roots of ",
 Cell[BoxData[
  FormBox["f", TraditionalForm]], "InlineMath"],
 ", which contains the convex hull of the roots of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", "'"}], TraditionalForm]], "InlineMath"],
 ", and so on. The relationship of the roots of a polynomial to the roots of \
its derivatives is complex, but is easily explored with this demonstration."
}], "ManipulateCaption",
 CellChangeTimes->{
  3.35696210375764*^9, {3.388493147000648*^9, 3.38849318755272*^9}, {
   3.388493409303091*^9, 3.388493423081352*^9}, {3.3884935238327*^9, 
   3.388493737487473*^9}, {3.3884937785376463`*^9, 3.388493802575803*^9}, {
   3.3884966421989202`*^9, 3.388496677457693*^9}, {3.388496843661886*^9, 
   3.388496845027295*^9}, {3.388496888856317*^9, 3.388496903931459*^9}, {
   3.388496970295644*^9, 3.388497224552737*^9}, {3.388498041011849*^9, 
   3.388498041730589*^9}, {3.3884980718663073`*^9, 3.3884980724266863`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "ThumbnailSection"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`pts$$ = {{-0.894, -0.795}, {-1, 0}, {-0.886,
      0.86}, {0, -1}, {0, 1}, {0.8540000000000001, -0.895}, {0.934, 
     0.02000000000000002}, {0.764, 0.8150000000000001}}, Typeset`show$$ = 
    True, Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`pts$$], {{-1, -1}, {-1, 0}, {-1, 1}, {0, -1}, {0, 
       1}, {1, -1}, {1, 0}, {1, 1}}}, {-1, -1}, {1, 1}}}, Typeset`size$$ = {
    360., {178., 182.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`pts$181$$ = {0, 0}}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`pts$$ = {{-1, -1}, {-1, 0}, {-1, 1}, {
         0, -1}, {0, 1}, {1, -1}, {1, 0}, {1, 1}}}, 
      "ControllerVariables" :> {
        Hold[$CellContext`pts$$, $CellContext`pts$181$$, {0, 0}]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Module[{$CellContext`color$, $CellContext`roots$, $CellContext`z$}, \
$CellContext`color$ = Take[
           ColorData[3, "ColorList"], {2, 9}]; $CellContext`roots$ = 
         Map[ReplaceAll[{
             Re[$CellContext`z$], 
             Im[$CellContext`z$]}, 
            NSolve[# == 0, $CellContext`z$]]& , 
           NestList[D[#, $CellContext`z$]& , 
            Expand[
             Apply[Times, 
              
              Map[$CellContext`z$ - First[#] - I 
               Last[#]& , $CellContext`pts$$]]], 7]]; Graphics[{
           Thread[{
             Map[Lighter, $CellContext`color$], 
             Map[ReplaceAll[
               Polygon[
                Part[#, 
                 ComputationalGeometry`ConvexHull[#]]], Polygon[{
                  Pattern[$CellContext`p1, 
                   Blank[]], 
                  Pattern[$CellContext`p2, 
                   Blank[]]}] -> 
               Line[{$CellContext`p1, $CellContext`p2}]]& , \
$CellContext`roots$]}], 
           Thread[{$CellContext`color$, 
             Map[PointSize[0.01 (3 - 2 (#/8))]& , 
              Range[0, 7]], 
             Map[Point, $CellContext`roots$]}]}, PlotRange -> 1.1]], 
      "Specifications" :> {{{$CellContext`pts$$, {{-1, -1}, {-1, 0}, {-1, 
          1}, {0, -1}, {0, 1}, {1, -1}, {1, 0}, {1, 1}}}, {-1, -1}, {1, 1}, 
         ControlType -> Locator}}, "Options" :> {}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{402., {204.375, 209.625}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{3.35696210375764*^9, 3.388493028593992*^9, 
  3.388493074071121*^9},
 CellID->1672478809]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SnapshotsSection"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`pts$$ = {{-0.38, -0.645}, {-1, 0}, {-0.886, 
     0.86}, {0.15200000000000002`, -0.375}, {0.09600000000000003, 0.64}, {
     0.8540000000000001, -0.895}, {0.55, 0.060000000000000026`}, {
     0.9400000000000001, 1.}}, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`pts$$], {{-1, -1}, {-1, 0}, {-1, 1}, {0, -1}, {0, 
       1}, {1, -1}, {1, 0}, {1, 1}}}, {-1, -1}, {1, 1}}}, Typeset`size$$ = {
    360., {178., 182.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`pts$181$$ = {0, 0}}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`pts$$ = {{-1, -1}, {-1, 0}, {-1, 1}, {
         0, -1}, {0, 1}, {1, -1}, {1, 0}, {1, 1}}}, 
      "ControllerVariables" :> {
        Hold[$CellContext`pts$$, $CellContext`pts$181$$, {0, 0}]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Module[{$CellContext`color$, $CellContext`roots$, $CellContext`z$}, \
$CellContext`color$ = Take[
           ColorData[3, "ColorList"], {2, 9}]; $CellContext`roots$ = 
         Map[ReplaceAll[{
             Re[$CellContext`z$], 
             Im[$CellContext`z$]}, 
            NSolve[# == 0, $CellContext`z$]]& , 
           NestList[D[#, $CellContext`z$]& , 
            Expand[
             Apply[Times, 
              
              Map[$CellContext`z$ - First[#] - I 
               Last[#]& , $CellContext`pts$$]]], 7]]; Graphics[{
           Thread[{
             Map[Lighter, $CellContext`color$], 
             Map[ReplaceAll[
               Polygon[
                Part[#, 
                 ComputationalGeometry`ConvexHull[#]]], Polygon[{
                  Pattern[$CellContext`p1, 
                   Blank[]], 
                  Pattern[$CellContext`p2, 
                   Blank[]]}] -> 
               Line[{$CellContext`p1, $CellContext`p2}]]& , \
$CellContext`roots$]}], 
           Thread[{$CellContext`color$, 
             Map[PointSize[0.01 (3 - 2 (#/8))]& , 
              Range[0, 7]], 
             Map[Point, $CellContext`roots$]}]}, PlotRange -> 1.1]], 
      "Specifications" :> {{{$CellContext`pts$$, {{-1, -1}, {-1, 0}, {-1, 
          1}, {0, -1}, {0, 1}, {1, -1}, {1, 0}, {1, 1}}}, {-1, -1}, {1, 1}, 
         ControlType -> Locator}}, "Options" :> {}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{402., {204.375, 209.625}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{3.35696210375764*^9, 3.388493028593992*^9, 
  3.388493074071121*^9},
 CellID->937887280],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`pts$$ = {{-0.826, -0.38}, {
    0.10400000000000002`, 0.23000000000000004`}, {-0.886, 
    0.86}, {-0.208, -0.87}, {-0.22599999999999998`, 0.905}, {
    0.8540000000000001, -0.895}, {0.37200000000000005`, -0.545}, {
    0.11000000000000003`, -0.175}}, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`pts$$], {{-1, -1}, {-1, 0}, {-1, 1}, {0, -1}, {0, 
       1}, {1, -1}, {1, 0}, {1, 1}}}, {-1, -1}, {1, 1}}}, Typeset`size$$ = {
    360., {178., 182.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`pts$181$$ = {0, 0}}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`pts$$ = {{-1, -1}, {-1, 0}, {-1, 1}, {
         0, -1}, {0, 1}, {1, -1}, {1, 0}, {1, 1}}}, 
      "ControllerVariables" :> {
        Hold[$CellContext`pts$$, $CellContext`pts$181$$, {0, 0}]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Module[{$CellContext`color$, $CellContext`roots$, $CellContext`z$}, \
$CellContext`color$ = Take[
           ColorData[3, "ColorList"], {2, 9}]; $CellContext`roots$ = 
         Map[ReplaceAll[{
             Re[$CellContext`z$], 
             Im[$CellContext`z$]}, 
            NSolve[# == 0, $CellContext`z$]]& , 
           NestList[D[#, $CellContext`z$]& , 
            Expand[
             Apply[Times, 
              
              Map[$CellContext`z$ - First[#] - I 
               Last[#]& , $CellContext`pts$$]]], 7]]; Graphics[{
           Thread[{
             Map[Lighter, $CellContext`color$], 
             Map[ReplaceAll[
               Polygon[
                Part[#, 
                 ComputationalGeometry`ConvexHull[#]]], Polygon[{
                  Pattern[$CellContext`p1, 
                   Blank[]], 
                  Pattern[$CellContext`p2, 
                   Blank[]]}] -> 
               Line[{$CellContext`p1, $CellContext`p2}]]& , \
$CellContext`roots$]}], 
           Thread[{$CellContext`color$, 
             Map[PointSize[0.01 (3 - 2 (#/8))]& , 
              Range[0, 7]], 
             Map[Point, $CellContext`roots$]}]}, PlotRange -> 1.1]], 
      "Specifications" :> {{{$CellContext`pts$$, {{-1, -1}, {-1, 0}, {-1, 
          1}, {0, -1}, {0, 1}, {1, -1}, {1, 0}, {1, 1}}}, {-1, -1}, {1, 1}, 
         ControlType -> Locator}}, "Options" :> {}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{402., {204.375, 209.625}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{3.35696210375764*^9, 3.388493028593992*^9, 
  3.388493074071121*^9},
 CellID->541545980],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`pts$$ = {{-1, -1}, {-0.588, 
     0.03000000000000002}, {-1, 1.}, {0.02400000000000002, -0.235}, {0, 1}, {
     1., -1}, {0.5800000000000001, 0.05500000000000002}, {1., 1.}}, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`pts$$], {{-1, -1}, {-1, 0}, {-1, 1}, {0, -1}, {0, 
       1}, {1, -1}, {1, 0}, {1, 1}}}, {-1, -1}, {1, 1}}}, Typeset`size$$ = {
    360., {178., 182.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`pts$181$$ = {0, 0}}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`pts$$ = {{-1, -1}, {-1, 0}, {-1, 1}, {
         0, -1}, {0, 1}, {1, -1}, {1, 0}, {1, 1}}}, 
      "ControllerVariables" :> {
        Hold[$CellContext`pts$$, $CellContext`pts$181$$, {0, 0}]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Module[{$CellContext`color$, $CellContext`roots$, $CellContext`z$}, \
$CellContext`color$ = Take[
           ColorData[3, "ColorList"], {2, 9}]; $CellContext`roots$ = 
         Map[ReplaceAll[{
             Re[$CellContext`z$], 
             Im[$CellContext`z$]}, 
            NSolve[# == 0, $CellContext`z$]]& , 
           NestList[D[#, $CellContext`z$]& , 
            Expand[
             Apply[Times, 
              
              Map[$CellContext`z$ - First[#] - I 
               Last[#]& , $CellContext`pts$$]]], 7]]; Graphics[{
           Thread[{
             Map[Lighter, $CellContext`color$], 
             Map[ReplaceAll[
               Polygon[
                Part[#, 
                 ComputationalGeometry`ConvexHull[#]]], Polygon[{
                  Pattern[$CellContext`p1, 
                   Blank[]], 
                  Pattern[$CellContext`p2, 
                   Blank[]]}] -> 
               Line[{$CellContext`p1, $CellContext`p2}]]& , \
$CellContext`roots$]}], 
           Thread[{$CellContext`color$, 
             Map[PointSize[0.01 (3 - 2 (#/8))]& , 
              Range[0, 7]], 
             Map[Point, $CellContext`roots$]}]}, PlotRange -> 1.1]], 
      "Specifications" :> {{{$CellContext`pts$$, {{-1, -1}, {-1, 0}, {-1, 
          1}, {0, -1}, {0, 1}, {1, -1}, {1, 0}, {1, 1}}}, {-1, -1}, {1, 1}, 
         ControlType -> Locator}}, "Options" :> {}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{402., {204.375, 209.625}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{3.35696210375764*^9, 3.388493028593992*^9, 
  3.388493074071121*^9},
 CellID->727589874]
}, Open  ]],

Cell["", "DetailsSection"],

Cell[CellGroupData[{

Cell["", "ControlSuggestionsSection"],

Cell[BoxData[
 TooltipBox[
  RowBox[{
   CheckboxBox[False], Cell[" Slider Zoom"]}],
  "Hold down the Alt key while moving the sliders for fine adjustment. \n\
Holding Ctrl and/or Shift at the same time as Alt increases the precision of \
the adjustment.",
  ActionDelay->0.35]], "ControlSuggestions",
 FontFamily->"Verdana",
 CellTags->"SliderZoom"],

Cell[BoxData[
 TooltipBox[
  RowBox[{
   CheckboxBox[False], Cell[" Create and Delete Locators"]}],
  "Create a locator by holding down the Alt key and clicking within the  \n\
graphic.\nDelete a locator by clicking it while holding down the Alt key.",
  ActionDelay->0.35]], "ControlSuggestions",
 FontFamily->"Verdana",
 CellTags->"CreateAndDeleteLocators"],

Cell[BoxData[
 TooltipBox[
  RowBox[{
   CheckboxBox[True], Cell[" Drag Locators"]}],
  "Drag the locators inside this Demonstration to change its settings.",
  ActionDelay->0.35]], "ControlSuggestions",
 CellChangeTimes->{3.35696210375764*^9, 3.3884974993494053`*^9},
 FontFamily->"Verdana",
 CellTags->"DragLocators"],

Cell[BoxData[
 TooltipBox[
  RowBox[{
   CheckboxBox[False], Cell[" Rotate and Zoom in 3D"]}],
  "Drag a 3D graphic to rotate it. Starting the drag near the center tumbles \
the graphic; \nstarting near a corner turns it parallel to the plane of the \
screen. Hold down Ctrl \n(or Cmd on Mac) and drag up and down to zoom.",
  ActionDelay->0.35]], "ControlSuggestions",
 FontFamily->"Verdana",
 CellTags->"RotateAndZoomIn3D"],

Cell[BoxData[
 TooltipBox[
  RowBox[{
   CheckboxBox[False], Cell[" Automatic Animation"]}],
  "Make an animation by clicking the button next to a slider and the play \
button \nthat appears underneath it, or animate all the sliders by selecting \
Autorun \nfrom the menu.",
  ActionDelay->0.35]], "ControlSuggestions",
 FontFamily->"Verdana",
 CellTags->"AutomaticAnimation"],

Cell[BoxData[
 TooltipBox[
  RowBox[{
   CheckboxBox[False], Cell[" Gamepad Controls"]}],
  "Instead of using the sliders and other controls, use a gamepad connected \
to your computer.",
  ActionDelay->0.35]], "ControlSuggestions",
 FontFamily->"Verdana",
 CellTags->"GamepadControls"],

Cell[BoxData[
 TooltipBox[
  RowBox[{
   CheckboxBox[False], Cell[" Resize Images"]}],
  "Drag the lower\[Hyphen]right corner of an image to resize it.",
  ActionDelay->0.35]], "ControlSuggestions",
 FontFamily->"Verdana",
 CellTags->"ResizeImages"],

Cell[BoxData[
 TooltipBox[
  RowBox[{
   CheckboxBox[False], Cell[" Bookmark Animation"]}],
  "Create an animation by adding bookmarks and then selecting Animate \
Bookmarks from the menu.",
  ActionDelay->0.35]], "ControlSuggestions",
 FontFamily->"Verdana",
 CellTags->"BookmarkAnimation"]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SearchTermsSection"],

Cell["Lucas Gauss", "SearchTerms",
 CellChangeTimes->{
  3.35696210375764*^9, {3.388497247168294*^9, 3.388497263921924*^9}, {
   3.388497694127997*^9, 3.3884976942585707`*^9}},
 CellID->1561112639],

Cell["Lucas-Gauss", "SearchTerms",
 CellChangeTimes->{
  3.35696210375764*^9, {3.388497705561026*^9, 3.3884977082249403`*^9}},
 CellID->831126300],

Cell["Gauss Lucas", "SearchTerms",
 CellChangeTimes->{
  3.35696210375764*^9, {3.388497268432776*^9, 3.388497270881098*^9}, {
   3.388497697442087*^9, 3.388497697568918*^9}},
 CellID->1812408274],

Cell["Gauss-Lucas", "SearchTerms",
 CellChangeTimes->{
  3.35696210375764*^9, {3.388497713089069*^9, 3.388497715608829*^9}},
 CellID->1506084012],

Cell["Lucas's Root Theorem", "SearchTerms",
 CellChangeTimes->{
  3.35696210375764*^9, {3.38849727479321*^9, 3.388497286024531*^9}},
 CellID->1237812070],

Cell["Complex polynomial", "SearchTerms",
 CellChangeTimes->{
  3.35696210375764*^9, {3.388497297393058*^9, 3.388497300336692*^9}},
 CellID->1233372001],

Cell["root", "SearchTerms",
 CellChangeTimes->{
  3.35696210375764*^9, {3.3884973170166187`*^9, 3.388497318408659*^9}},
 CellID->1771059963],

Cell["derivative", "SearchTerms",
 CellChangeTimes->{
  3.35696210375764*^9, {3.3884973207048264`*^9, 3.388497322536887*^9}},
 CellID->2081450721]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "RelatedLinksSection"],

Cell[TextData[ButtonBox["Lucas's Root Theorem",
 BaseStyle->"Hyperlink",
 ButtonData->{
   URL["http://mathworld.wolfram.com/LucassRootTheorem.html"], 
   None}]], "RelatedLinks",
 CellChangeTimes->{
  3.35696210375764*^9, {3.3884973634915857`*^9, 3.388497403891341*^9}, {
   3.388497451670871*^9, 3.388497451689785*^9}},
 CellID->433658217]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "AuthorSection"],

Cell["Contributed by: Bruce Torrence", "Author",
 CellChangeTimes->{
  3.35696210375764*^9, {3.3884974710245867`*^9, 3.388497473168975*^9}}]
}, Open  ]]
}, Open  ]]
},
WindowSize->{700, Automatic},
WindowMargins->{{234, Automatic}, {Automatic, 0}},
FrontEndVersion->"6.0 for Mac OS X PowerPC (32-bit) (March 26, 2007)",
StyleDefinitions->FrontEnd`FileName[{"Wolfram"}, "Demonstration.nb", 
  CharacterEncoding -> "UTF-8"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "AutomaticAnimation"->{
  Cell[67491, 1387, 376, 9, 27, "ControlSuggestions",
   CellTags->"AutomaticAnimation"]},
 "BookmarkAnimation"->{
  Cell[68411, 1417, 291, 8, 27, "ControlSuggestions",
   CellTags->"BookmarkAnimation"]},
 "CreateAndDeleteLocators"->{
  Cell[66379, 1356, 359, 8, 27, "ControlSuggestions",
   CellTags->"CreateAndDeleteLocators"]},
 "DragLocators"->{
  Cell[66741, 1366, 319, 8, 27, "ControlSuggestions",
   CellTags->"DragLocators"]},
 "GamepadControls"->{
  Cell[67870, 1398, 286, 8, 27, "ControlSuggestions",
   CellTags->"GamepadControls"]},
 "ResizeImages"->{
  Cell[68159, 1408, 249, 7, 27, "ControlSuggestions",
   CellTags->"ResizeImages"]},
 "RotateAndZoomIn3D"->{
  Cell[67063, 1376, 425, 9, 27, "ControlSuggestions",
   CellTags->"RotateAndZoomIn3D"]},
 "SliderZoom"->{
  Cell[66026, 1345, 350, 9, 27, "ControlSuggestions",
   CellTags->"SliderZoom"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"AutomaticAnimation", 71090, 1511},
 {"BookmarkAnimation", 71205, 1514},
 {"CreateAndDeleteLocators", 71325, 1517},
 {"DragLocators", 71440, 1520},
 {"GamepadControls", 71547, 1523},
 {"ResizeImages", 71654, 1526},
 {"RotateAndZoomIn3D", 71763, 1529},
 {"SliderZoom", 71870, 1532}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 130, 2, 74, "DemoTitle"],
Cell[CellGroupData[{
Cell[745, 29, 33, 0, 156, "InitializationSection"],
Cell[781, 31, 256, 7, 43, "InputOnly",
 CellID->248921655]
}, Open  ]],
Cell[CellGroupData[{
Cell[1074, 43, 29, 0, 230, "ManipulateSection"],
Cell[CellGroupData[{
Cell[1128, 47, 3995, 111, 218, "Input",
 CellID->328111229],
Cell[5126, 160, 45590, 829, 425, "Output",
 CellID->364242495]
}, {2}]]
}, Open  ]],
Cell[CellGroupData[{
Cell[50762, 995, 36, 0, 136, "ManipulateCaptionSection"],
Cell[50801, 997, 1916, 42, 122, "ManipulateCaption"]
}, Open  ]],
Cell[CellGroupData[{
Cell[52754, 1044, 28, 0, 168, "ThumbnailSection"],
Cell[52785, 1046, 3233, 69, 425, "Output",
 CellID->1672478809]
}, Open  ]],
Cell[CellGroupData[{
Cell[56055, 1120, 28, 0, 138, "SnapshotsSection"],
Cell[56086, 1122, 3279, 70, 425, "Output",
 CellID->937887280],
Cell[59368, 1194, 3313, 71, 425, "Output",
 CellID->541545980],
Cell[62684, 1267, 3236, 69, 425, "Output",
 CellID->727589874]
}, Open  ]],
Cell[65935, 1339, 26, 0, 232, "DetailsSection"],
Cell[CellGroupData[{
Cell[65986, 1343, 37, 0, 108, "ControlSuggestionsSection"],
Cell[66026, 1345, 350, 9, 27, "ControlSuggestions",
 CellTags->"SliderZoom"],
Cell[66379, 1356, 359, 8, 27, "ControlSuggestions",
 CellTags->"CreateAndDeleteLocators"],
Cell[66741, 1366, 319, 8, 27, "ControlSuggestions",
 CellTags->"DragLocators"],
Cell[67063, 1376, 425, 9, 27, "ControlSuggestions",
 CellTags->"RotateAndZoomIn3D"],
Cell[67491, 1387, 376, 9, 27, "ControlSuggestions",
 CellTags->"AutomaticAnimation"],
Cell[67870, 1398, 286, 8, 27, "ControlSuggestions",
 CellTags->"GamepadControls"],
Cell[68159, 1408, 249, 7, 27, "ControlSuggestions",
 CellTags->"ResizeImages"],
Cell[68411, 1417, 291, 8, 27, "ControlSuggestions",
 CellTags->"BookmarkAnimation"]
}, Open  ]],
Cell[CellGroupData[{
Cell[68739, 1430, 30, 0, 152, "SearchTermsSection"],
Cell[68772, 1432, 197, 4, 21, "SearchTerms",
 CellID->1561112639],
Cell[68972, 1438, 146, 3, 21, "SearchTerms",
 CellID->831126300],
Cell[69121, 1443, 195, 4, 21, "SearchTerms",
 CellID->1812408274],
Cell[69319, 1449, 145, 3, 21, "SearchTerms",
 CellID->1506084012],
Cell[69467, 1454, 153, 3, 21, "SearchTerms",
 CellID->1237812070],
Cell[69623, 1459, 152, 3, 21, "SearchTerms",
 CellID->1233372001],
Cell[69778, 1464, 140, 3, 21, "SearchTerms",
 CellID->1771059963],
Cell[69921, 1469, 146, 3, 21, "SearchTerms",
 CellID->2081450721]
}, Open  ]],
Cell[CellGroupData[{
Cell[70104, 1477, 31, 0, 138, "RelatedLinksSection"],
Cell[70138, 1479, 341, 8, 21, "RelatedLinks",
 CellID->433658217]
}, Open  ]],
Cell[CellGroupData[{
Cell[70516, 1492, 25, 0, 136, "AuthorSection"],
Cell[70544, 1494, 140, 2, 21, "Author"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
