(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     23173,        631]
NotebookOptionsPosition[     22392,        599]
NotebookOutlinePosition[     22795,        617]
CellTagsIndexPosition[     22752,        614]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["The Paintball Shooting Gallery", "Title",
 CellChangeTimes->{{3.433155211597274*^9, 3.433155220739122*^9}}],

Cell[CellGroupData[{

Cell["Inits", "Subsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"target", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Blend", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"Brown", ",", 
           RowBox[{"GrayLevel", "[", ".9", "]"}]}], "}"}], ",", ".8"}], "]"}],
        ",", 
       RowBox[{"EdgeForm", "[", "Black", "]"}], ",", 
       RowBox[{"Rectangle", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "5"}], ",", 
           RowBox[{"-", "5"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"5", ",", "5"}], "}"}]}], "]"}]}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Circle", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "0"}], "}"}], ",", "k"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "3.5", ",", "4.5", ",", ".5"}], "}"}]}], "]"}], ",",
      "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Darker", "[", "Brown", "]"}], ",", 
       RowBox[{"Disk", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "0"}], "}"}], ",", "3"}], "]"}]}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Prepend", "[", 
      RowBox[{
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"Circle", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", "0"}], "}"}], ",", "k"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"k", ",", ".5", ",", "3", ",", ".5"}], "}"}]}], "]"}], ",", 
       "White"}], "]"}]}], "}"}]}], ";"}]], "Input",
 InitializationCell->True],

Cell[BoxData[
 RowBox[{"shootingGallery", ":=", 
  RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "eqns", ",", "t", ",", "x", ",", "y", ",", "z", ",", "sol", ",", 
        RowBox[{"c", "=", ".0065"}], ",", 
        RowBox[{"g", "=", "32.174"}], ",", 
        RowBox[{"s", "=", 
         RowBox[{"6.", "/", "125"}]}], ",", "hallway"}], "}"}], ",", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"eqns", "=", 
        RowBox[{"{", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"x", "''"}], "[", "t", "]"}], "\[Equal]", 
           RowBox[{
            RowBox[{"-", "c"}], 
            SqrtBox[
             RowBox[{
              SuperscriptBox[
               RowBox[{
                RowBox[{"x", "'"}], "[", "t", "]"}], "2"], "+", 
              SuperscriptBox[
               RowBox[{
                RowBox[{"y", "'"}], "[", "t", "]"}], "2"], "+", 
              SuperscriptBox[
               RowBox[{
                RowBox[{"z", "'"}], "[", "t", "]"}], "2"]}]], "*", 
            RowBox[{
             RowBox[{"x", "'"}], "[", "t", "]"}]}]}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
            RowBox[{"y", "''"}], "[", "t", "]"}], "\[Equal]", 
           RowBox[{
            RowBox[{"-", "c"}], 
            SqrtBox[
             RowBox[{
              SuperscriptBox[
               RowBox[{
                RowBox[{"x", "'"}], "[", "t", "]"}], "2"], "+", 
              SuperscriptBox[
               RowBox[{
                RowBox[{"y", "'"}], "[", "t", "]"}], "2"], "+", 
              SuperscriptBox[
               RowBox[{
                RowBox[{"z", "'"}], "[", "t", "]"}], "2"]}]], "*", 
            RowBox[{
             RowBox[{"y", "'"}], "[", "t", "]"}]}]}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
            RowBox[{"z", "''"}], "[", "t", "]"}], "\[Equal]", 
           RowBox[{
            RowBox[{"-", "g"}], "-", 
            RowBox[{"c", 
             SqrtBox[
              RowBox[{
               SuperscriptBox[
                RowBox[{
                 RowBox[{"x", "'"}], "[", "t", "]"}], "2"], "+", 
               SuperscriptBox[
                RowBox[{
                 RowBox[{"y", "'"}], "[", "t", "]"}], "2"], "+", 
               SuperscriptBox[
                RowBox[{
                 RowBox[{"z", "'"}], "[", "t", "]"}], "2"]}]], "*", 
             RowBox[{
              RowBox[{"z", "'"}], "[", "t", "]"}]}]}]}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
            RowBox[{"x", "'"}], "[", "0", "]"}], "\[Equal]", 
           RowBox[{"v0", "*", 
            FractionBox["dist", 
             SqrtBox[
              RowBox[{
               SuperscriptBox["dist", "2"], "+", 
               SuperscriptBox[
                RowBox[{"Norm", "[", "aim", "]"}], "2"]}]]]}]}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
            RowBox[{"y", "'"}], "[", "0", "]"}], "\[Equal]", 
           RowBox[{
            RowBox[{"v0", "*", 
             FractionBox[
              RowBox[{
              "aim", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
              SqrtBox[
               RowBox[{
                SuperscriptBox["dist", "2"], "+", 
                SuperscriptBox[
                 RowBox[{"Norm", "[", "aim", "]"}], "2"]}]]]}], "+", 
            "crossWind"}]}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
            RowBox[{"z", "'"}], "[", "0", "]"}], "\[Equal]", 
           RowBox[{"v0", "*", 
            FractionBox[
             RowBox[{
             "aim", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
             SqrtBox[
              RowBox[{
               SuperscriptBox["dist", "2"], "+", 
               SuperscriptBox[
                RowBox[{"Norm", "[", "aim", "]"}], "2"]}]]]}]}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"x", "[", "0", "]"}], "\[Equal]", "0"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"y", "[", "0", "]"}], "\[Equal]", "0"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"z", "[", "0", "]"}], "\[Equal]", "0"}]}], 
         "\[IndentingNewLine]", "}"}]}], ";", "\[IndentingNewLine]", 
       "\[IndentingNewLine]", 
       RowBox[{"sol", "=", 
        RowBox[{"NDSolve", "[", 
         RowBox[{"eqns", ",", 
          RowBox[{"{", 
           RowBox[{"x", ",", "y", ",", "z"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"t", ",", "0", ",", "Infinity"}], "}"}], ",", 
          RowBox[{"Method", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"\"\<EventLocator\>\"", ",", 
             RowBox[{"\"\<Event\>\"", "\[Rule]", 
              RowBox[{"dist", "-", 
               RowBox[{"x", "[", "t", "]"}]}]}], ",", 
             RowBox[{"\"\<EventAction\>\"", "\[RuleDelayed]", 
              RowBox[{"Throw", "[", 
               RowBox[{
                RowBox[{"tf", "=", "t"}], ",", "\"\<StopIntegration\>\""}], 
               "]"}]}], ",", 
             RowBox[{"\"\<Direction\>\"", "\[Rule]", 
              RowBox[{"-", "1"}]}]}], "}"}]}], ",", 
          RowBox[{"MaxSteps", "\[Rule]", "Infinity"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"hallway", "=", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"EdgeForm", "[", "Black", "]"}], ",", "\[IndentingNewLine]",
           
          RowBox[{"Polygon", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"-", "5"}], ",", 
                RowBox[{"-", "5"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"5", ",", 
                RowBox[{"-", "5"}]}], "}"}], ",", 
              RowBox[{"dist", "*", "s", 
               RowBox[{"{", 
                RowBox[{"5", ",", 
                 RowBox[{"-", "5"}]}], "}"}]}], ",", 
              RowBox[{"dist", "*", "s", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"-", "5"}], ",", 
                 RowBox[{"-", "5"}]}], "}"}]}]}], "}"}], ",", 
            RowBox[{"VertexColors", "\[Rule]", 
             RowBox[{"{", 
              RowBox[{"White", ",", "White", ",", 
               RowBox[{"Lighter", "@", "Gray"}], ",", 
               RowBox[{"Lighter", "@", "Gray"}]}], "}"}]}]}], "]"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"Polygon", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"5", ",", 
                RowBox[{"-", "5"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"5", ",", "5"}], "}"}], ",", 
              RowBox[{"dist", "*", "s", 
               RowBox[{"{", 
                RowBox[{"5", ",", "5"}], "}"}]}], ",", 
              RowBox[{"dist", "*", "s", 
               RowBox[{"{", 
                RowBox[{"5", ",", 
                 RowBox[{"-", "5"}]}], "}"}]}]}], "}"}], ",", 
            RowBox[{"VertexColors", "\[Rule]", 
             RowBox[{"{", 
              RowBox[{"White", ",", "White", ",", "Gray", ",", "Gray"}], 
              "}"}]}]}], "]"}], ",", "\[IndentingNewLine]", 
          RowBox[{"Polygon", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"5", ",", "5"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"-", "5"}], ",", "5"}], "}"}], ",", 
              RowBox[{"dist", "*", "s", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"-", "5"}], ",", "5"}], "}"}]}], ",", 
              RowBox[{"dist", "*", "s", 
               RowBox[{"{", 
                RowBox[{"5", ",", "5"}], "}"}]}]}], "}"}], ",", 
            RowBox[{"VertexColors", "\[Rule]", 
             RowBox[{"{", 
              RowBox[{"White", ",", "White", ",", "Gray", ",", "Gray"}], 
              "}"}]}]}], "]"}], ",", "\[IndentingNewLine]", 
          RowBox[{"Polygon", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"-", "5"}], ",", 
                RowBox[{"-", "5"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"-", "5"}], ",", "5"}], "}"}], ",", 
              RowBox[{"dist", "*", "s", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"-", "5"}], ",", "5"}], "}"}]}], ",", 
              RowBox[{"dist", "*", "s", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"-", "5"}], ",", 
                 RowBox[{"-", "5"}]}], "}"}]}]}], "}"}], ",", 
            RowBox[{"VertexColors", "\[Rule]", 
             RowBox[{"{", 
              RowBox[{"White", ",", "White", ",", "Gray", ",", "Gray"}], 
              "}"}]}]}], "]"}]}], "}"}]}], ";", "\[IndentingNewLine]", 
       "\[IndentingNewLine]", 
       RowBox[{"Which", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"view", "\[Equal]", "1"}], ",", "\[IndentingNewLine]", 
         RowBox[{"Graphics", "[", 
          RowBox[{"{", "\[IndentingNewLine]", 
           RowBox[{
           "hallway", ",", "\[IndentingNewLine]", "target", ",", 
            "\[IndentingNewLine]", 
            RowBox[{"{", 
             RowBox[{"Red", ",", 
              RowBox[{"PointSize", "[", 
               RowBox[{"Min", "[", 
                RowBox[{".015", ",", 
                 RowBox[{"1", "/", "dist"}]}], "]"}], "]"}], ",", 
              RowBox[{"Point", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"y", "[", "tf", "]"}], ",", 
                  RowBox[{"z", "[", "tf", "]"}]}], "}"}], "/.", 
                RowBox[{
                "sol", "\[LeftDoubleBracket]", "1", 
                 "\[RightDoubleBracket]"}]}], "]"}]}], "}"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"Inset", "[", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"ParametricPlot", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"x", "[", "t", "]"}], ",", 
                   RowBox[{"z", "[", "t", "]"}]}], "}"}], "/.", 
                 RowBox[{
                 "sol", "\[LeftDoubleBracket]", "1", 
                  "\[RightDoubleBracket]"}]}], ",", 
                RowBox[{"{", 
                 RowBox[{"t", ",", "0", ",", "tf"}], "}"}], ",", 
                RowBox[{"AspectRatio", "\[Rule]", ".20"}], ",", 
                RowBox[{"PlotRange", "\[Rule]", 
                 RowBox[{"{", 
                  RowBox[{"Automatic", ",", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "6"}], ",", "6"}], "}"}]}], "}"}]}], ",", 
                RowBox[{"Ticks", "\[Rule]", 
                 RowBox[{"{", 
                  RowBox[{"Automatic", ",", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "5"}], ",", "5"}], "}"}]}], "}"}]}]}], "]"}],
               ",", 
              RowBox[{"dist", "*", "s", 
               RowBox[{"{", 
                RowBox[{"0", ",", 
                 RowBox[{"-", "6.5"}]}], "}"}]}]}], "]"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"Inset", "[", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"ParametricPlot", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"y", "[", "t", "]"}], ",", 
                   RowBox[{"x", "[", "t", "]"}]}], "}"}], "/.", 
                 RowBox[{
                 "sol", "\[LeftDoubleBracket]", "1", 
                  "\[RightDoubleBracket]"}]}], ",", 
                RowBox[{"{", 
                 RowBox[{"t", ",", "0", ",", "tf"}], "}"}], ",", 
                RowBox[{"AspectRatio", "\[Rule]", "5."}], ",", 
                RowBox[{"PlotRange", "\[Rule]", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "6"}], ",", "6"}], "}"}], ",", "Automatic"}],
                   "}"}]}], ",", 
                RowBox[{"Ticks", "\[Rule]", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "5"}], ",", "5"}], "}"}], ",", "Automatic"}],
                   "}"}]}]}], "]"}], ",", 
              RowBox[{"dist", "*", "s", 
               RowBox[{"{", 
                RowBox[{"6.5", ",", "0"}], "}"}]}]}], "]"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"Inset", "[", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{
                RowBox[{"Row", "[", 
                 RowBox[{"{", 
                  RowBox[{"\"\<flight time: \>\"", ",", 
                   RowBox[{
                    RowBox[{"PaddedForm", "[", 
                    RowBox[{"tf", ",", 
                    RowBox[{"{", 
                    RowBox[{"5", ",", "4"}], "}"}]}], "]"}], "/.", 
                    RowBox[{
                    "sol", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}]}], ",", "\"\< sec\>\""}], "}"}],
                  "]"}], ",", "\"\<Label\>\""}], "]"}], ",", 
              RowBox[{"dist", "*", "s", 
               RowBox[{"{", 
                RowBox[{"0", ",", "6"}], "}"}]}]}], "]"}]}], 
           "\[IndentingNewLine]", "}"}], "]"}], ",", "\[IndentingNewLine]", 
         "\[IndentingNewLine]", 
         RowBox[{"view", "\[Equal]", "2"}], ",", "\[IndentingNewLine]", 
         RowBox[{"EventHandler", "[", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"Graphics", "[", 
            RowBox[{"{", "\[IndentingNewLine]", 
             RowBox[{
             "hallway", ",", "\[IndentingNewLine]", "target", ",", 
              "\[IndentingNewLine]", 
              RowBox[{"{", 
               RowBox[{"Red", ",", 
                RowBox[{"PointSize", "[", 
                 RowBox[{"Min", "[", 
                  RowBox[{".015", ",", 
                   RowBox[{"1", "/", "dist"}]}], "]"}], "]"}], ",", 
                RowBox[{"Point", "[", "hitList", "]"}]}], "}"}]}], 
             "\[IndentingNewLine]", "}"}], "]"}], ",", "\[IndentingNewLine]", 
           
           RowBox[{"\"\<MouseUp\>\"", "\[RuleDelayed]", 
            RowBox[{"(", 
             RowBox[{"AppendTo", "[", 
              RowBox[{"hitList", ",", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"y", "[", "tf", "]"}], ",", 
                  RowBox[{"z", "[", "tf", "]"}]}], "}"}], "/.", 
                RowBox[{
                "sol", "\[LeftDoubleBracket]", "1", 
                 "\[RightDoubleBracket]"}]}]}], "]"}], ")"}]}]}], 
          "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
         "\[IndentingNewLine]", 
         RowBox[{"view", "\[Equal]", "3"}], ",", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{
             "aim", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
             "<", "5.1"}], ",", 
            RowBox[{"aim", "=", 
             RowBox[{"{", 
              RowBox[{"0", ",", "6"}], "}"}]}]}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Graphics", "[", 
           RowBox[{"{", "\[IndentingNewLine]", 
            RowBox[{"target", ",", "\[IndentingNewLine]", 
             RowBox[{"{", 
              RowBox[{"Red", ",", 
               RowBox[{"PointSize", "[", ".01", "]"}], ",", 
               RowBox[{"Point", "[", "hitList", "]"}]}], "}"}]}], 
            "\[IndentingNewLine]", "}"}], "]"}]}]}], "\[IndentingNewLine]", 
        "]"}]}]}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
    "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"hitList", ",", 
        RowBox[{"{", "}"}]}], "}"}], ",", 
      RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"aim", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "6"}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "5"}], ",", 
        RowBox[{"-", "5"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"5", ",", "16"}], "}"}], ",", 
      RowBox[{"ControlType", "\[Rule]", "Locator"}]}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"dist", ",", "75", ",", "\"\<distance to target (ft)\>\""}], 
       "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
       "25", ",", "50", ",", "75", ",", "100", ",", "125", ",", "150"}], 
       "}"}], ",", 
      RowBox[{"ControlType", "\[Rule]", "SetterBar"}]}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"v0", ",", "280", ",", "\"\<initial velocity (ft/sec)\>\""}], 
       "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
       "220", ",", "240", ",", "260", ",", "280", ",", "300", ",", "320"}], 
       "}"}], ",", 
      RowBox[{"ControlType", "\[Rule]", "SetterBar"}]}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"crossWind", ",", "0", ",", "\"\<crosswind (ft/sec)\>\""}], 
       "}"}], ",", 
      RowBox[{"-", "10"}], ",", "10", ",", 
      RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"view", ",", "2", ",", "\"\<activity\>\""}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"1", "\[Rule]", "\"\<calibration\>\""}], ",", 
        RowBox[{"2", "\[Rule]", "\"\<target practice\>\""}], ",", 
        RowBox[{"3", "\[Rule]", "\"\<inspect target\>\""}]}], "}"}]}], "}"}], 
    " ", ",", "\[IndentingNewLine]", 
    RowBox[{"Button", "[", 
     RowBox[{"\"\<clear all\>\"", ",", 
      RowBox[{"hitList", "=", 
       RowBox[{"{", "}"}]}]}], "]"}], ",", 
    RowBox[{"SaveDefinitions", "\[Rule]", "True"}]}], "\[IndentingNewLine]", 
   "]"}]}]], "Input",
 InitializationCell->True]
}, Closed]],

Cell[CellGroupData[{

Cell["Play:", "Subsection"],

Cell[TextData[{
 "In ",
 StyleBox["Calibration",
  FontWeight->"Bold"],
 " mode, just drag the mouse to point the barrel of your paintball marker. \
The red dot shows where the paintball will strike the target. (Note: real \
paintball players never say \"gun\"; they call their weapon a \"paintball \
marker.\")"
}], "Text",
 CellChangeTimes->{{3.43315528718137*^9, 3.433155423881893*^9}, {
  3.433155817505765*^9, 3.433155819230899*^9}}],

Cell[TextData[{
 "In ",
 StyleBox["Target Pracice",
  FontWeight->"Bold"],
 " mode, drag the mouse with the (left) button down to aim, and release the \
mouse button to shoot. A red dot indicates where your paintball landed."
}], "Text",
 CellChangeTimes->{{3.4331552668335533`*^9, 3.433155282389106*^9}, {
  3.433155435162237*^9, 3.4331554861957903`*^9}, {3.433155840247765*^9, 
  3.4331558473596888`*^9}}],

Cell[TextData[{
 "When you ",
 StyleBox["Inspect Target",
  FontWeight->"Bold"],
 ", you just get a close up view of the target."
}], "Text",
 CellChangeTimes->{{3.43315549598015*^9, 3.433155523340806*^9}, 
   3.433155862800243*^9}],

Cell[BoxData["shootingGallery"], "Input"]
}, Open  ]]
}, Open  ]]
},
AutoGeneratedPackage->None,
WindowSize->{876, 820},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
ShowSelection->True,
Magnification->1.,
FrontEndVersion->"6.0 for Mac OS X x86 (32-bit) (March 13, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 113, 1, 76, "Title"],
Cell[CellGroupData[{
Cell[728, 28, 27, 0, 34, "Subsection"],
Cell[758, 30, 1648, 51, 73, "Input",
 InitializationCell->True],
Cell[2409, 83, 18761, 473, 1287, "Input",
 InitializationCell->True]
}, Closed]],
Cell[CellGroupData[{
Cell[21207, 561, 27, 0, 26, "Subsection"],
Cell[21237, 563, 438, 10, 41, "Text"],
Cell[21678, 575, 407, 9, 41, "Text"],
Cell[22088, 586, 232, 7, 26, "Text"],
Cell[22323, 595, 41, 0, 27, "Input"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
