(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     42583,       1011]
NotebookOptionsPosition[     41514,        971]
NotebookOutlinePosition[     42127,        995]
CellTagsIndexPosition[     42084,        992]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Traveling Salesman Game", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"If", " ", "n", " ", "is", " ", "changed"}], ",", " ", 
    RowBox[{"reset", " ", "game", " ", "and", " ", "scoreboard"}]}], " ", 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Length", "[", "v", "]"}], "\[NotEqual]", "n"}], ",", 
      RowBox[{
       RowBox[{"v", "=", 
        RowBox[{"RandomReal", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"n", ",", "2"}], "}"}]}], "]"}]}], ";", 
       RowBox[{"path", "=", 
        RowBox[{"{", "}"}]}], ";", 
       RowBox[{"pDist", "=", "0"}], ";", 
       RowBox[{"mDist", "=", "0"}], ";", 
       RowBox[{"games", "=", "0"}], ";", 
       RowBox[{"mWins", "=", "0"}], ";", 
       RowBox[{"pWins", "=", "0"}]}]}], "]"}], ";", "\[IndentingNewLine]", 
    RowBox[{"fst", "=", 
     RowBox[{"FindShortestTour", "[", "v", "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"Column", "[", 
     RowBox[{
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{"(*", " ", "gameboard", " ", "*)"}], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"EventHandler", "[", 
         RowBox[{
          RowBox[{"Dynamic", "@", 
           RowBox[{"Graphics", "[", 
            RowBox[{
             RowBox[{"{", "\[IndentingNewLine]", 
              RowBox[{"(*", " ", 
               RowBox[{"!!", 
                RowBox[{"!", " ", 
                 RowBox[{"need", " ", 
                  RowBox[{"If", "[", "...", "]"}], " ", "here", " ", "to", 
                  " ", "prevent", " ", "momentary", " ", "pinking", " ", "as",
                   " ", "fst", " ", "udates", " ", "when", " ", "n", " ", 
                  "is", " ", "changed"}]}]}], " ", "*)"}], 
              "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Length", "[", "v", "]"}], "\[Equal]", 
                  RowBox[{"Length", "[", 
                   RowBox[{"Last", "@", "fst"}], "]"}]}], ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"EdgeForm", "[", 
                    RowBox[{"Directive", "[", 
                    RowBox[{"Thick", ",", "Orange", ",", 
                    RowBox[{"Opacity", "[", 
                    RowBox[{"8", "x"}], "]"}]}], "]"}], "]"}], ",", 
                   RowBox[{"Opacity", "[", "x", "]"}], ",", 
                   RowBox[{"RGBColor", "[", 
                    RowBox[{".1", ",", ".1", ",", ".1"}], "]"}], ",", 
                   RowBox[{"Polygon", "[", 
                    RowBox[{"v", "\[LeftDoubleBracket]", 
                    RowBox[{"Last", "@", "fst"}], "\[RightDoubleBracket]"}], 
                    "]"}]}], "}"}], ",", 
                 RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"PointSize", "[", ".015", "]"}], ",", 
                 RowBox[{"Point", "[", "v", "]"}]}], "}"}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Length", "[", "path", "]"}], ">", "0"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"Red", ",", 
                   RowBox[{"Opacity", "[", ".3", "]"}], ",", 
                   RowBox[{"Disk", "[", 
                    RowBox[{"p", ",", "r"}], "]"}]}], "}"}], ",", 
                 RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Length", "[", "path", "]"}], ">", "1"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"Line", "[", "path", "]"}], "}"}], ",", 
                 RowBox[{"{", "}"}]}], "]"}]}], "\[IndentingNewLine]", "}"}], 
             ",", 
             RowBox[{"PlotRange", "\[Rule]", "1.1"}], ",", 
             RowBox[{"ImageSize", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{"375", ",", "375"}], "}"}]}], ",", 
             RowBox[{"Frame", "\[Rule]", "True"}], ",", 
             RowBox[{"FrameTicks", "\[Rule]", "None"}], ",", 
             RowBox[{"Background", "\[Rule]", 
              RowBox[{"Lighter", "[", 
               RowBox[{"Yellow", ",", ".95"}], "]"}]}]}], "]"}]}], ",", 
          RowBox[{"\"\<MouseDown\>\"", "\[RuleDelayed]", 
           RowBox[{"(", 
            RowBox[{"AppendTo", "[", 
             RowBox[{"path", ",", 
              RowBox[{"p", "=", 
               RowBox[{"First", "@", 
                RowBox[{"Nearest", "[", 
                 RowBox[{"v", ",", 
                  RowBox[{"MousePosition", "[", "\"\<Graphics\>\"", "]"}]}], 
                 "]"}]}]}]}], "]"}], ")"}]}]}], "\[IndentingNewLine]", "]"}], 
        ",", "\[IndentingNewLine]", 
        RowBox[{"(*", " ", 
         RowBox[{"distance", " ", "tally"}], " ", "*)"}], 
        "\[IndentingNewLine]", 
        RowBox[{"Dynamic", "@", 
         RowBox[{"Style", "[", 
          RowBox[{
           RowBox[{"Grid", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"{", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"Text", "@", 
                 RowBox[{"Grid", "[", 
                  RowBox[{
                   RowBox[{"{", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"\"\<total distance = \>\"", ",", 
                    RowBox[{"ToString", "[", 
                    RowBox[{"pDist", "=", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Length", "[", "path", "]"}], ">", "0"}], ",", 
                    RowBox[{"Total", "[", 
                    RowBox[{"Norm", "/@", 
                    RowBox[{"Apply", "[", 
                    RowBox[{"Subtract", ",", 
                    RowBox[{"Partition", "[", 
                    RowBox[{"path", ",", "2", ",", "1"}], "]"}], ",", "1"}], 
                    "]"}]}], "]"}], ",", "0"}], "]"}]}], "]"}]}], "}"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"{", 
                    RowBox[{"\"\<distance to beat = \>\"", ",", 
                    RowBox[{"ToString", "[", 
                    RowBox[{"mDist", "=", 
                    RowBox[{"N", "@", 
                    RowBox[{
                    "fst", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}]}]}], "]"}]}], "}"}]}], 
                    "\[IndentingNewLine]", "}"}], ",", 
                   RowBox[{"Alignment", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"Right", ",", "Left"}], "}"}]}], ",", 
                   RowBox[{"ItemSize", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"{", 
                    RowBox[{"10", ",", "5"}], "}"}], "}"}]}]}], "]"}]}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{"Text", "[", 
                 RowBox[{"(*", " ", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"see", " ", "!!"}], "!"}], " ", "above"}], " ", 
                  "*)"}], 
                 RowBox[{"If", "[", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"Length", "[", "v", "]"}], "\[Equal]", 
                    RowBox[{"Length", "[", 
                    RowBox[{"Last", "@", "fst"}], "]"}]}], ",", 
                   RowBox[{
                    RowBox[{"ToString", "[", 
                    RowBox[{"100", "*", 
                    RowBox[{"pDist", "/", "mDist"}]}], "]"}], "~~", 
                    "\"\<%\>\""}], ",", "\"\<0%\>\""}], "]"}], "]"}]}], 
               "\[IndentingNewLine]", "}"}], "}"}], ",", 
             RowBox[{"ItemSize", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{"{", 
                RowBox[{"18", ",", "8"}], "}"}], "}"}]}]}], "]"}], ",", 
           RowBox[{"Opacity", "[", "w", "]"}]}], "]"}]}]}], 
       "\[IndentingNewLine]", "}"}], ",", 
      RowBox[{"Alignment", "\[Rule]", "Center"}]}], "]"}]}], 
   "\[IndentingNewLine]", ",", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", "controls", " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"n", ",", "20", ",", "\"\<number of cities\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"5", ",", "10", ",", "15", ",", "20", ",", "25", ",", "30"}], 
      "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "SetterBar"}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Top"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"w", ",", "1", ",", "\"\<distance tally\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"0", "\[Rule]", "\"\<hide\>\""}], ",", 
       RowBox[{"1", "\[Rule]", "\"\<show\>\""}]}], "}"}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Top"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"x", ",", "0", ",", 
       RowBox[{"Row", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{"\"\<Mathematica\>\"", ",", "Italic"}], "]"}], ",", 
          "\"\<'s best tour\>\""}], "}"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"0", "\[Rule]", "\"\<hide\>\""}], ",", 
       RowBox[{".1", "\[Rule]", "\"\<show\>\""}]}], "}"}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Top"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"v", ",", 
       RowBox[{"RandomReal", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "2"}], "}"}]}], "]"}]}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"fst", ",", 
       RowBox[{"{", "0", "}"}]}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"path", ",", 
       RowBox[{"{", "}"}]}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"p", ",", "0"}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"games", ",", "0", ",", "\"\<\>\""}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"mWins", ",", "0", ",", "\"\<\>\""}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"pWins", ",", "0", ",", "\"\<\>\""}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"mDist", ",", "0", ",", "\"\<\>\""}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"pDist", ",", "0", ",", "\"\<\>\""}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"newgame", ",", "0", ",", "\"\<\>\""}], "}"}], ",", 
     RowBox[{
      RowBox[{"Button", "[", 
       RowBox[{"\"\<new game\>\"", ",", 
        RowBox[{"(*", " ", 
         RowBox[{
          RowBox[{"If", " ", "game", " ", "over"}], ",", " ", 
          RowBox[{"update", " ", "scoreboard"}]}], " ", "*)"}], 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"Length", "[", "path", "]"}], ">", "0"}], ",", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"Length", "[", 
                RowBox[{"Union", "@", "path"}], "]"}], "\[Equal]", "n"}], "&&",
               
              RowBox[{
               RowBox[{"First", "[", "path", "]"}], "\[Equal]", 
               RowBox[{"Last", "[", "path", "]"}]}]}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"games", "+=", "1"}], ";", "\[IndentingNewLine]", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{"mDist", "<", "pDist"}], ",", 
                RowBox[{"mWins", "+=", "1"}]}], "]"}], ";", 
              "\[IndentingNewLine]", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{"mDist", ">", 
                 RowBox[{"pDist", "+", 
                  RowBox[{"5.", "*", 
                   SuperscriptBox["10", 
                    RowBox[{"-", "6"}]]}]}]}], ",", 
                RowBox[{"pWins", "+=", "1"}]}], "]"}]}]}], 
            "\[IndentingNewLine]", "]"}]}], "]"}], ";", 
         RowBox[{"v", "=", 
          RowBox[{"RandomReal", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"n", ",", "2"}], "}"}]}], "]"}]}], ";", 
         RowBox[{"path", "=", 
          RowBox[{"{", "}"}]}], ";", 
         RowBox[{"fst", "=", 
          RowBox[{"FindShortestTour", "[", "v", "]"}]}], ";", 
         RowBox[{"pDist", "=", "0"}]}]}], "]"}], "&"}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Left"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"clearpath", ",", "0", ",", "\"\<\>\""}], "}"}], ",", 
     RowBox[{
      RowBox[{"Button", "[", 
       RowBox[{"\"\<clear path\>\"", ",", 
        RowBox[{
         RowBox[{"path", "=", 
          RowBox[{"{", "}"}]}], ";", 
         RowBox[{"pDist", "=", "0"}]}]}], "]"}], "&"}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Left"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"undo", ",", "0", ",", "\"\<\>\""}], "}"}], ",", 
     RowBox[{
      RowBox[{"Button", "[", 
       RowBox[{"\"\<undo edge\>\"", ",", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Length", "[", "path", "]"}], ">", "1"}], ",", 
          RowBox[{
           RowBox[{"path", "=", 
            RowBox[{"Drop", "[", 
             RowBox[{"path", ",", 
              RowBox[{"-", "1"}]}], "]"}]}], ";", 
           RowBox[{"p", "=", 
            RowBox[{"Last", "[", "path", "]"}]}]}]}], "]"}]}], "]"}], "&"}], 
     ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Left"}]}], "}"}], ",", 
   "\[IndentingNewLine]", "Delimiter", ",", "\[IndentingNewLine]", 
   RowBox[{"Style", "[", 
    RowBox[{"\"\< \>\"", ",", "24"}], "]"}], ",", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"begin", " ", "scoreboard"}], " ", "*)"}], "\[IndentingNewLine]", 
   
   RowBox[{"Dynamic", "[", 
    RowBox[{"Grid", "[", 
     RowBox[{
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{"\"\<scoreboard\>\"", ",", "10", ",", "Bold"}], "]"}], ",",
           "SpanFromLeft"}], "}"}], ",", "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"ToString", "[", "n", "]"}], "~~", "\"\< cities\>\""}], 
            ",", "10", ",", "Bold"}], "]"}], ",", "SpanFromLeft"}], "}"}], 
        ",", "\[IndentingNewLine]", 
        RowBox[{"Text", "/@", 
         RowBox[{"{", 
          RowBox[{"\"\<games played\>\"", ",", 
           RowBox[{"ToString", "[", "games", "]"}]}], "}"}]}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Text", "/@", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Row", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{"\"\<Mathematica\>\"", ",", "Italic"}], "]"}], ",", 
              "\"\< won \>\""}], "}"}], "]"}], ",", 
           RowBox[{"ToString", "[", "mWins", "]"}]}], "}"}]}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Text", "/@", 
         RowBox[{"{", 
          RowBox[{"\"\<tied\>\"", ",", 
           RowBox[{"ToString", "[", 
            RowBox[{"games", "-", "mWins", "-", "pWins"}], "]"}]}], "}"}]}], 
        ",", "\[IndentingNewLine]", 
        RowBox[{"Text", "/@", 
         RowBox[{"{", 
          RowBox[{"\"\<player won\>\"", ",", 
           RowBox[{"ToString", "[", "pWins", "]"}]}], "}"}]}]}], 
       "\[IndentingNewLine]", "}"}], ",", 
      RowBox[{"Alignment", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"Right", ",", "Right"}], "}"}]}], ",", 
      RowBox[{"Dividers", "\[Rule]", "Gray"}]}], "]"}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"end", " ", "scoreboard"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"r", ",", ".04", ",", "\"\<radius\>\""}], "}"}], ",", ".03", 
     ",", "2", ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Left"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"TrackedSymbols", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"n", ",", "v", ",", "path", ",", "r"}], "}"}]}], ",", 
   RowBox[{"ControlPlacement", "\[Rule]", "Left"}], ",", 
   RowBox[{"AutorunSequencing", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"1", ",", "2", ",", "3"}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, 3.4176312458539467`*^9, {3.417641591729768*^9, 
   3.417641601513884*^9}, 3.417641855443884*^9, {3.417641909390361*^9, 
   3.4176419264080753`*^9}, {3.4176419808791723`*^9, 3.417641990767625*^9}, {
   3.4176422225627527`*^9, 3.4176422586399813`*^9}, {3.417642342415194*^9, 
   3.417642361053834*^9}, {3.4176424364650297`*^9, 3.417642496985032*^9}, {
   3.417642739479289*^9, 3.417642757555575*^9}, 3.4176434259239817`*^9, {
   3.417643514533722*^9, 3.4176435413787117`*^9}, {3.417643800221257*^9, 
   3.417643826931672*^9}, {3.4176438865145693`*^9, 3.4176438868632298`*^9}, {
   3.417683134891232*^9, 3.417683196233885*^9}, {3.417683231748364*^9, 
   3.4176832503244743`*^9}, {3.4176832815544767`*^9, 3.41768328457367*^9}, {
   3.417683320432334*^9, 3.417683321920863*^9}, {3.417683354815137*^9, 
   3.417683370224423*^9}, {3.4176834885957727`*^9, 3.417683488767969*^9}, {
   3.4176836757354603`*^9, 3.417683704407633*^9}, 3.4176838341698513`*^9, {
   3.4176839115834*^9, 3.417683930316998*^9}, {3.41768404743288*^9, 
   3.4176840483302107`*^9}, {3.417684214795061*^9, 3.4176842309509983`*^9}, {
   3.417684373865588*^9, 3.417684397095334*^9}, {3.4176844404150867`*^9, 
   3.417684455252947*^9}, 3.4176845238031893`*^9, {3.417684909539855*^9, 
   3.417684932552988*^9}, {3.417685211062518*^9, 3.417685226715303*^9}, {
   3.417685323261413*^9, 3.417685324873804*^9}, {3.417685575073511*^9, 
   3.4176856011841087`*^9}, {3.417685639541707*^9, 3.417685650794976*^9}, {
   3.417685686613904*^9, 3.417685734407497*^9}, {3.417685806619714*^9, 
   3.4176859006482687`*^9}, {3.4176860567248793`*^9, 3.4176860944915857`*^9}, 
   3.417686142986578*^9, {3.41768626902802*^9, 3.417686297178747*^9}, {
   3.417686337515682*^9, 3.417686383637856*^9}, 3.417686437528184*^9, 
   3.417687443308008*^9, {3.417731147516449*^9, 3.4177311483604803`*^9}, 
   3.417731776187912*^9, {3.41773185681313*^9, 3.4177318814115047`*^9}, {
   3.4177887187872214`*^9, 3.417788847427023*^9}, {3.4177888948017197`*^9, 
   3.4177889393795595`*^9}, {3.417789123581506*^9, 3.4177891236752553`*^9}, {
   3.4179562503663607`*^9, 3.417956260131923*^9}, {3.4179564390370283`*^9, 
   3.4179564943647995`*^9}, {3.417956567192458*^9, 3.417956581411117*^9}, {
   3.4187328616766667`*^9, 3.4187328665251513`*^9}, {3.418733721240615*^9, 
   3.4187337231508055`*^9}}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`clearpath$$ = 0, $CellContext`fst$$ = {
    7.017445398138395, {1, 4, 7, 11, 14, 5, 18, 8, 6, 16, 10, 19, 9, 12, 13, 
     17, 2, 15, 20, 3}}, $CellContext`games$$ = 0, $CellContext`mDist$$ = 
    7.017445398138395, $CellContext`mWins$$ = 0, $CellContext`n$$ = 
    20, $CellContext`newgame$$ = 0, $CellContext`p$$ = 
    0, $CellContext`path$$ = {}, $CellContext`pDist$$ = 
    0, $CellContext`pWins$$ = 0, $CellContext`r$$ = 
    0.04, $CellContext`undo$$ = 0, $CellContext`v$$ = {{0.8901569608235516, 
    0.4569525339755862}, {0.8274403830627564, -0.9751966756195212}, {
    0.8897774493524908, -0.10498884720377122`}, {0.834754738889818, 
    0.5223994078460121}, {-0.04232027642313252, 
    0.521060329898325}, {-0.5517564946645819, 0.5112704717062488}, {
    0.8925063380993223, 0.5876874682470965}, {-0.6791278557711649, 
    0.8584204496780714}, {
    0.20310130727919518`, -0.29693868718385996`}, {-0.1412852211568496, 
    0.11044904969678404`}, {0.8145256776058325, 0.8228938216964128}, {
    0.36869963963289853`, -0.23205644400409975`}, {
    0.36938337576847413`, -0.27107199614768485`}, {0.10996882842593969`, 
    0.5948941437650599}, {
    0.9766595943861494, -0.881485920283291}, {-0.6893370385335067, \
-0.11330292330473801`}, {
    0.6566814145701318, -0.9822440666696166}, {-0.1362133150488436, 
    0.7110173951457721}, {0.013532011401820476`, 0.14130867866333086`}, {
    0.890456469383492, -0.3054736095440509}}, $CellContext`w$$ = 
    1, $CellContext`x$$ = 0, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`n$$], 20, "number of cities"}, {5, 10, 15, 20, 25, 
      30}}, {{
       Hold[$CellContext`w$$], 1, "distance tally"}, {
      0 -> "hide", 1 -> "show"}}, {{
       Hold[$CellContext`x$$], 0, 
       Row[{
         Style["Mathematica", Italic], "'s best tour"}]}, {
      0 -> "hide", 0.1 -> "show"}}, {{
       Hold[$CellContext`v$$], {{0.8901569608235516, 0.4569525339755862}, {
       0.8274403830627564, -0.9751966756195212}, {
       0.8897774493524908, -0.10498884720377122`}, {0.834754738889818, 
       0.5223994078460121}, {-0.04232027642313252, 
       0.521060329898325}, {-0.5517564946645819, 0.5112704717062488}, {
       0.8925063380993223, 0.5876874682470965}, {-0.6791278557711649, 
       0.8584204496780714}, {
       0.20310130727919518`, -0.29693868718385996`}, {-0.1412852211568496, 
       0.11044904969678404`}, {0.8145256776058325, 0.8228938216964128}, {
       0.36869963963289853`, -0.23205644400409975`}, {
       0.36938337576847413`, -0.27107199614768485`}, {0.10996882842593969`, 
       0.5948941437650599}, {
       0.9766595943861494, -0.881485920283291}, {-0.6893370385335067, \
-0.11330292330473801`}, {
       0.6566814145701318, -0.9822440666696166}, {-0.1362133150488436, 
       0.7110173951457721}, {0.013532011401820476`, 0.14130867866333086`}, {
       0.890456469383492, -0.3054736095440509}}}}, {{
       Hold[$CellContext`fst$$], {
       7.017445398138395, {1, 4, 7, 11, 14, 5, 18, 8, 6, 16, 10, 19, 9, 12, 
        13, 17, 2, 15, 20, 3}}}}, {{
       Hold[$CellContext`path$$], {}}}, {{
       Hold[$CellContext`p$$], 0}}, {{
       Hold[$CellContext`games$$], 0, ""}}, {{
       Hold[$CellContext`mWins$$], 0, ""}}, {{
       Hold[$CellContext`pWins$$], 0, ""}}, {{
       Hold[$CellContext`mDist$$], 7.017445398138395, ""}}, {{
       Hold[$CellContext`pDist$$], 0, ""}}, {{
       Hold[$CellContext`newgame$$], 0, ""}, 
      Dynamic[Button["new game", If[Length[$CellContext`path$$] > 0, 
          If[
           And[Length[
              Union[$CellContext`path$$]] == $CellContext`n$$, 
            First[$CellContext`path$$] == Last[$CellContext`path$$]], 
           AddTo[$CellContext`games$$, 1]; 
           If[$CellContext`mDist$$ < $CellContext`pDist$$, 
             AddTo[$CellContext`mWins$$, 1]]; 
           If[$CellContext`mDist$$ > $CellContext`pDist$$ + 5. 10^(-6), 
             AddTo[$CellContext`pWins$$, 1]]]]; $CellContext`v$$ = 
         RandomReal[{-1, 
           1}, {$CellContext`n$$, 
            2}]; $CellContext`path$$ = {}; $CellContext`fst$$ = 
         FindShortestTour[$CellContext`v$$]; $CellContext`pDist$$ = 0]& ]}, {{
      
       Hold[$CellContext`clearpath$$], 0, ""}, 
      Dynamic[
      Button["clear path", $CellContext`path$$ = {}; $CellContext`pDist$$ = 
         0]& ]}, {{
       Hold[$CellContext`undo$$], 0, ""}, 
      Dynamic[Button["undo edge", 
        If[
        Length[$CellContext`path$$] > 
         1, $CellContext`path$$ = 
          Drop[$CellContext`path$$, -1]; $CellContext`p$$ = 
          Last[$CellContext`path$$]]]& ]}, {
      Hold[
       Style[" ", 24]], Manipulate`Dump`ThisIsNotAControl}, {
      Hold[
       Dynamic[
        Grid[{{
           Style["scoreboard", 10, Bold], SpanFromLeft}, {
           Style[
            StringExpression[
             ToString[$CellContext`n$$], " cities"], 10, Bold], SpanFromLeft},
           
          Map[Text, {"games played", 
            ToString[$CellContext`games$$]}], 
          Map[Text, {
            Row[{
              Style["Mathematica", Italic], " won "}], 
            ToString[$CellContext`mWins$$]}], 
          Map[Text, {"tied", 
            
            ToString[$CellContext`games$$ - $CellContext`mWins$$ - \
$CellContext`pWins$$]}], 
          Map[Text, {"player won", 
            ToString[$CellContext`pWins$$]}]}, Alignment -> {Right, Right}, 
         Dividers -> Gray]]], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`r$$], 0.04, "radius"}, 0.03, 2}}, Typeset`size$$ = {
    375., {203., 208.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`n$3281$$ = 
    0, $CellContext`w$3282$$ = False, $CellContext`x$3283$$ = 
    False, $CellContext`r$3284$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`clearpath$$ = 
        0, $CellContext`fst$$ = {
         7.017445398138395, {1, 4, 7, 11, 14, 5, 18, 8, 6, 16, 10, 19, 9, 12, 
          13, 17, 2, 15, 20, 3}}, $CellContext`games$$ = 
        0, $CellContext`mDist$$ = 7.017445398138395, $CellContext`mWins$$ = 
        0, $CellContext`n$$ = 20, $CellContext`newgame$$ = 
        0, $CellContext`p$$ = 
        0, $CellContext`path$$ = {}, $CellContext`pDist$$ = 
        0, $CellContext`pWins$$ = 0, $CellContext`r$$ = 
        0.04, $CellContext`undo$$ = 
        0, $CellContext`v$$ = {{0.8901569608235516, 0.4569525339755862}, {
         0.8274403830627564, -0.9751966756195212}, {
         0.8897774493524908, -0.10498884720377122`}, {0.834754738889818, 
         0.5223994078460121}, {-0.04232027642313252, 
         0.521060329898325}, {-0.5517564946645819, 0.5112704717062488}, {
         0.8925063380993223, 0.5876874682470965}, {-0.6791278557711649, 
         0.8584204496780714}, {
         0.20310130727919518`, -0.29693868718385996`}, {-0.1412852211568496, 
         0.11044904969678404`}, {0.8145256776058325, 0.8228938216964128}, {
         0.36869963963289853`, -0.23205644400409975`}, {
         0.36938337576847413`, -0.27107199614768485`}, {0.10996882842593969`, 
         0.5948941437650599}, {
         0.9766595943861494, -0.881485920283291}, {-0.6893370385335067, \
-0.11330292330473801`}, {
         0.6566814145701318, -0.9822440666696166}, {-0.1362133150488436, 
         0.7110173951457721}, {0.013532011401820476`, 0.14130867866333086`}, {
         0.890456469383492, -0.3054736095440509}}, $CellContext`w$$ = 
        1, $CellContext`x$$ = 0}, "ControllerVariables" :> {
        Hold[$CellContext`n$$, $CellContext`n$3281$$, 0], 
        Hold[$CellContext`w$$, $CellContext`w$3282$$, False], 
        Hold[$CellContext`x$$, $CellContext`x$3283$$, False], 
        Hold[$CellContext`r$$, $CellContext`r$3284$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> (
       If[Length[$CellContext`v$$] != $CellContext`n$$, $CellContext`v$$ = 
          RandomReal[{-1, 
            1}, {$CellContext`n$$, 
             2}]; $CellContext`path$$ = {}; $CellContext`pDist$$ = 
          0; $CellContext`mDist$$ = 0; $CellContext`games$$ = 
          0; $CellContext`mWins$$ = 0; $CellContext`pWins$$ = 
          0]; $CellContext`fst$$ = FindShortestTour[$CellContext`v$$]; 
       Column[{
          EventHandler[
           Dynamic[
            Graphics[{
              If[Length[$CellContext`v$$] == Length[
                 Last[$CellContext`fst$$]], {
                EdgeForm[
                 Directive[Thick, Orange, 
                  Opacity[8 $CellContext`x$$]]], 
                Opacity[$CellContext`x$$], 
                RGBColor[0.1, 0.1, 0.1], 
                Polygon[
                 Part[$CellContext`v$$, 
                  Last[$CellContext`fst$$]]]}, {}], {
               PointSize[0.015], 
               Point[$CellContext`v$$]}, 
              If[Length[$CellContext`path$$] > 0, {Red, 
                Opacity[0.3], 
                Disk[$CellContext`p$$, $CellContext`r$$]}, {}], 
              If[Length[$CellContext`path$$] > 1, {
                Line[$CellContext`path$$]}, {}]}, PlotRange -> 1.1, 
             ImageSize -> {375, 375}, Frame -> True, FrameTicks -> None, 
             Background -> Lighter[Yellow, 0.95]]], "MouseDown" :> 
           AppendTo[$CellContext`path$$, $CellContext`p$$ = First[
               Nearest[$CellContext`v$$, 
                MousePosition["Graphics"]]]]], 
          Dynamic[
           Style[
            Grid[{{
               Text[
                Grid[{{"total distance = ", 
                   
                   ToString[$CellContext`pDist$$ = 
                    If[Length[$CellContext`path$$] > 0, 
                    Total[
                    Map[Norm, 
                    Apply[Subtract, 
                    Partition[$CellContext`path$$, 2, 1], 1]]], 0]]}, {
                  "distance to beat = ", 
                   ToString[$CellContext`mDist$$ = N[
                    Part[$CellContext`fst$$, 1]]]}}, 
                 Alignment -> {Right, Left}, ItemSize -> {{10, 5}}]], 
               Text[
                If[Length[$CellContext`v$$] == Length[
                   Last[$CellContext`fst$$]], 
                 StringExpression[
                  ToString[100 ($CellContext`pDist$$/$CellContext`mDist$$)], 
                  "%"], "0%"]]}}, ItemSize -> {{18, 8}}], 
            Opacity[$CellContext`w$$]]]}, Alignment -> Center]), 
      "Specifications" :> {{{$CellContext`n$$, 20, "number of cities"}, {5, 
         10, 15, 20, 25, 30}, ControlType -> SetterBar, ControlPlacement -> 
         Top}, {{$CellContext`w$$, 1, "distance tally"}, {
         0 -> "hide", 1 -> "show"}, ControlPlacement -> 
         Top}, {{$CellContext`x$$, 0, 
          Row[{
            Style["Mathematica", Italic], "'s best tour"}]}, {
         0 -> "hide", 0.1 -> "show"}, ControlPlacement -> 
         Top}, {{$CellContext`v$$, {{0.8901569608235516, 
          0.4569525339755862}, {0.8274403830627564, -0.9751966756195212}, {
          0.8897774493524908, -0.10498884720377122`}, {0.834754738889818, 
          0.5223994078460121}, {-0.04232027642313252, 
          0.521060329898325}, {-0.5517564946645819, 0.5112704717062488}, {
          0.8925063380993223, 0.5876874682470965}, {-0.6791278557711649, 
          0.8584204496780714}, {
          0.20310130727919518`, -0.29693868718385996`}, {-0.1412852211568496, 
          0.11044904969678404`}, {0.8145256776058325, 0.8228938216964128}, {
          0.36869963963289853`, -0.23205644400409975`}, {
          0.36938337576847413`, -0.27107199614768485`}, {0.10996882842593969`,
           0.5948941437650599}, {
          0.9766595943861494, -0.881485920283291}, {-0.6893370385335067, \
-0.11330292330473801`}, {
          0.6566814145701318, -0.9822440666696166}, {-0.1362133150488436, 
          0.7110173951457721}, {0.013532011401820476`, 
          0.14130867866333086`}, {0.890456469383492, -0.3054736095440509}}}, 
         ControlType -> 
         None}, {{$CellContext`fst$$, {
          7.017445398138395, {1, 4, 7, 11, 14, 5, 18, 8, 6, 16, 10, 19, 9, 12,
            13, 17, 2, 15, 20, 3}}}, ControlType -> 
         None}, {{$CellContext`path$$, {}}, ControlType -> 
         None}, {{$CellContext`p$$, 0}, ControlType -> 
         None}, {{$CellContext`games$$, 0, ""}, ControlType -> 
         None}, {{$CellContext`mWins$$, 0, ""}, ControlType -> 
         None}, {{$CellContext`pWins$$, 0, ""}, ControlType -> 
         None}, {{$CellContext`mDist$$, 7.017445398138395, ""}, ControlType -> 
         None}, {{$CellContext`pDist$$, 0, ""}, ControlType -> 
         None}, {{$CellContext`newgame$$, 0, ""}, 
         Dynamic[Button["new game", If[Length[$CellContext`path$$] > 0, 
             If[
              And[Length[
                 Union[$CellContext`path$$]] == $CellContext`n$$, 
               First[$CellContext`path$$] == Last[$CellContext`path$$]], 
              AddTo[$CellContext`games$$, 1]; 
              If[$CellContext`mDist$$ < $CellContext`pDist$$, 
                AddTo[$CellContext`mWins$$, 1]]; 
              If[$CellContext`mDist$$ > $CellContext`pDist$$ + 5. 10^(-6), 
                AddTo[$CellContext`pWins$$, 1]]]]; $CellContext`v$$ = 
            RandomReal[{-1, 
              1}, {$CellContext`n$$, 
               2}]; $CellContext`path$$ = {}; $CellContext`fst$$ = 
            FindShortestTour[$CellContext`v$$]; $CellContext`pDist$$ = 0]& ], 
         ControlPlacement -> Left}, {{$CellContext`clearpath$$, 0, ""}, 
         Dynamic[
         Button["clear path", $CellContext`path$$ = {}; $CellContext`pDist$$ = 
            0]& ], ControlPlacement -> Left}, {{$CellContext`undo$$, 0, ""}, 
         Dynamic[Button["undo edge", 
           If[
           Length[$CellContext`path$$] > 
            1, $CellContext`path$$ = 
             Drop[$CellContext`path$$, -1]; $CellContext`p$$ = 
             Last[$CellContext`path$$]]]& ], ControlPlacement -> Left}, 
        Delimiter, 
        Style[" ", 24], 
        Dynamic[
         Grid[{{
            Style["scoreboard", 10, Bold], SpanFromLeft}, {
            Style[
             StringExpression[
              ToString[$CellContext`n$$], " cities"], 10, Bold], 
            SpanFromLeft}, 
           Map[Text, {"games played", 
             ToString[$CellContext`games$$]}], 
           Map[Text, {
             Row[{
               Style["Mathematica", Italic], " won "}], 
             ToString[$CellContext`mWins$$]}], 
           Map[Text, {"tied", 
             
             ToString[$CellContext`games$$ - $CellContext`mWins$$ - \
$CellContext`pWins$$]}], 
           Map[Text, {"player won", 
             ToString[$CellContext`pWins$$]}]}, Alignment -> {Right, Right}, 
          Dividers -> Gray]], {{$CellContext`r$$, 0.04, "radius"}, 0.03, 2, 
         ControlPlacement -> Left, ImageSize -> Tiny}}, 
      "Options" :> {
       TrackedSymbols -> {$CellContext`n$$, $CellContext`v$$, \
$CellContext`path$$, $CellContext`r$$}, ControlPlacement -> Left, 
        AutorunSequencing -> {1, 2, 3}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{537., {270., 275.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->344358706],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Traveling Salesman Game",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/TravelingSalesmanGame/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/TravelingSalesmanGame/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/TravelingSalesmanGame/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/TravelingSalesmanGame/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/TravelingSalesmanGame/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Bruce Torrence",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Bruce+Torrence"]\
, None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Bruce+Torrence"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->360972276],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
TravelingSalesmanGame"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Traveling Salesman Game - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (March 13, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 215, 4, 70, "Section"],
Cell[808, 29, 20586, 489, 70, "Input"]
}, Open  ]],
Cell[21409, 521, 15918, 316, 70, "Output",
 CellID->344358706],
Cell[CellGroupData[{
Cell[37352, 841, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[37728, 852, 905, 24, 70, "Text"],
Cell[38636, 878, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[38976, 889, 456, 15, 70, "Text",
 CellID->360972276],
Cell[CellGroupData[{
Cell[39457, 908, 829, 24, 70, "Text"],
Cell[40289, 934, 1197, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature WQN#DNhkdO6wWDpMcS1Zy#Tn *)
