(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[    108145,       2128]
NotebookOptionsPosition[    107415,       2098]
NotebookOutlinePosition[    107863,       2116]
CellTagsIndexPosition[    107820,       2113]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["\<\
Genetic Distance: Number of loci where differences occur in mtDNA sequences\
\>", "Section"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"distDisplayBig", "[", 
  RowBox[{
   RowBox[{"Join", "[", 
    RowBox[{
    "group1", ",", "group2", ",", "group3", ",", "group4", ",", "group5", ",",
      "group6", ",", 
     RowBox[{"{", 
      RowBox[{"falls", ",", "torrence"}], "}"}]}], "]"}], ",", "names"}], 
  "]"}]], "Input"],

Cell[BoxData[
 InterpretationBox[Cell[BoxData[
   TagBox[GridBox[{
      {"\<\"\"\>", 
       GraphicsBox[
        GeometricTransformationBox[
         InsetBox["\<\"Bierlein\"\>", {0, 0}], {{{0, -1}, {1, 0}}, Center}],
        AspectRatio->4,
        ImageSize->15], 
       GraphicsBox[
        GeometricTransformationBox[
         InsetBox["\<\"Paulus\"\>", {0, 0}], {{{0, -1}, {1, 0}}, Center}],
        AspectRatio->4,
        ImageSize->15], 
       GraphicsBox[
        GeometricTransformationBox[
         InsetBox["\<\"Arnone\"\>", {0, 0}], {{{0, -1}, {1, 0}}, Center}],
        AspectRatio->4,
        ImageSize->15], 
       GraphicsBox[
        GeometricTransformationBox[
         InsetBox["\<\"McGarvey\"\>", {0, 0}], {{{0, -1}, {1, 0}}, Center}],
        AspectRatio->4,
        ImageSize->15], 
       GraphicsBox[
        GeometricTransformationBox[
         InsetBox["\<\"Luu\"\>", {0, 0}], {{{0, -1}, {1, 0}}, Center}],
        AspectRatio->4,
        ImageSize->15], 
       GraphicsBox[
        GeometricTransformationBox[
         InsetBox["\<\"Martin\"\>", {0, 0}], {{{0, -1}, {1, 0}}, Center}],
        AspectRatio->4,
        ImageSize->15], 
       GraphicsBox[
        GeometricTransformationBox[
         InsetBox["\<\"Jenkins\"\>", {0, 0}], {{{0, -1}, {1, 0}}, Center}],
        AspectRatio->4,
        ImageSize->15], 
       GraphicsBox[
        GeometricTransformationBox[
         InsetBox["\<\"Moukarzel\"\>", {0, 0}], {{{0, -1}, {1, 0}}, Center}],
        AspectRatio->4,
        ImageSize->15], 
       GraphicsBox[
        GeometricTransformationBox[
         InsetBox["\<\"Flammia\"\>", {0, 0}], {{{0, -1}, {1, 0}}, Center}],
        AspectRatio->4,
        ImageSize->15], 
       GraphicsBox[
        GeometricTransformationBox[
         InsetBox["\<\"Whittaker\"\>", {0, 0}], {{{0, -1}, {1, 0}}, Center}],
        AspectRatio->4,
        ImageSize->15], 
       GraphicsBox[
        GeometricTransformationBox[
         InsetBox["\<\"Robinson\"\>", {0, 0}], {{{0, -1}, {1, 0}}, Center}],
        AspectRatio->4,
        ImageSize->15], 
       GraphicsBox[
        GeometricTransformationBox[
         InsetBox["\<\"Thornton\"\>", {0, 0}], {{{0, -1}, {1, 0}}, Center}],
        AspectRatio->4,
        ImageSize->15], 
       GraphicsBox[
        GeometricTransformationBox[
         InsetBox["\<\"Allen\"\>", {0, 0}], {{{0, -1}, {1, 0}}, Center}],
        AspectRatio->4,
        ImageSize->15], 
       GraphicsBox[
        GeometricTransformationBox[
         InsetBox["\<\"Shevchuk\"\>", {0, 0}], {{{0, -1}, {1, 0}}, Center}],
        AspectRatio->4,
        ImageSize->15], 
       GraphicsBox[
        GeometricTransformationBox[
         InsetBox["\<\"Eppler\"\>", {0, 0}], {{{0, -1}, {1, 0}}, Center}],
        AspectRatio->4,
        ImageSize->15], 
       GraphicsBox[
        GeometricTransformationBox[
         InsetBox["\<\"Wimmer\"\>", {0, 0}], {{{0, -1}, {1, 0}}, Center}],
        AspectRatio->4,
        ImageSize->15], 
       GraphicsBox[
        GeometricTransformationBox[
         InsetBox["\<\"Turner\"\>", {0, 0}], {{{0, -1}, {1, 0}}, Center}],
        AspectRatio->4,
        ImageSize->15], 
       GraphicsBox[
        GeometricTransformationBox[
         InsetBox["\<\"Snellings\"\>", {0, 0}], {{{0, -1}, {1, 0}}, Center}],
        AspectRatio->4,
        ImageSize->15], 
       GraphicsBox[
        GeometricTransformationBox[
         InsetBox["\<\"Minnick\"\>", {0, 0}], {{{0, -1}, {1, 0}}, Center}],
        AspectRatio->4,
        ImageSize->15], 
       GraphicsBox[
        GeometricTransformationBox[
         InsetBox["\<\"Donskoy\"\>", {0, 0}], {{{0, -1}, {1, 0}}, Center}],
        AspectRatio->4,
        ImageSize->15], 
       GraphicsBox[
        GeometricTransformationBox[
         InsetBox["\<\"Pressley\"\>", {0, 0}], {{{0, -1}, {1, 0}}, Center}],
        AspectRatio->4,
        ImageSize->15], 
       GraphicsBox[
        GeometricTransformationBox[
         InsetBox["\<\"Street\"\>", {0, 0}], {{{0, -1}, {1, 0}}, Center}],
        AspectRatio->4,
        ImageSize->15], 
       GraphicsBox[
        GeometricTransformationBox[
         InsetBox["\<\"Johnson\"\>", {0, 0}], {{{0, -1}, {1, 0}}, Center}],
        AspectRatio->4,
        ImageSize->15], 
       GraphicsBox[
        GeometricTransformationBox[
         InsetBox["\<\"Green\"\>", {0, 0}], {{{0, -1}, {1, 0}}, Center}],
        AspectRatio->4,
        ImageSize->15], 
       GraphicsBox[
        GeometricTransformationBox[
         InsetBox["\<\"Tu\"\>", {0, 0}], {{{0, -1}, {1, 0}}, Center}],
        AspectRatio->4,
        ImageSize->15], 
       GraphicsBox[
        GeometricTransformationBox[
         InsetBox["\<\"Lloyd\"\>", {0, 0}], {{{0, -1}, {1, 0}}, Center}],
        AspectRatio->4,
        ImageSize->15], 
       GraphicsBox[
        GeometricTransformationBox[
         InsetBox["\<\"Falls\"\>", {0, 0}], {{{0, -1}, {1, 0}}, Center}],
        AspectRatio->4,
        ImageSize->15], 
       GraphicsBox[
        GeometricTransformationBox[
         InsetBox["\<\"Torrence\"\>", {0, 0}], {{{0, -1}, {1, 0}}, Center}],
        AspectRatio->4,
        ImageSize->15]},
      {"\<\"Bierlein\"\>", "0", "4", "6", "6", "5", "3", "6", "4", "4", "2", 
       "1", "4", "4", "5", "2", "3", "2", "3", "1", "6", "7", "4", "2", "4", 
       "5", "5", "2", "6"},
      {"\<\"Paulus\"\>", "4", "0", "6", "8", "7", "5", "6", "6", "6", "4", 
       "3", "6", "6", "7", "4", "5", "2", "5", "3", "8", "7", "6", "4", "6", 
       "7", "7", "2", "6"},
      {"\<\"Arnone\"\>", "6", "6", "0", "10", "7", "7", "8", "8", "6", "6", 
       "5", "8", "6", "9", "6", "7", "6", "7", "5", "8", "11", "8", "6", "8", 
       "7", "9", "4", "10"},
      {"\<\"McGarvey\"\>", "6", "8", "10", "0", "9", "7", "6", "6", "8", "6", 
       "5", "6", "6", "3", "6", "5", "6", "7", "5", "10", "9", "8", "6", "6", 
       "9", "9", "6", "4"},
      {"\<\"Luu\"\>", "5", "7", "7", "9", "0", "6", "9", "7", "5", "5", "4", 
       "5", "5", "8", "5", "6", "5", "4", "4", "7", "10", "5", "5", "7", "6", 
       "8", "5", "9"},
      {"\<\"Martin\"\>", "3", "5", "7", "7", "6", "0", "7", "5", "5", "3", 
       "2", "5", "5", "6", "3", "2", "3", "4", "2", "7", "6", "5", "3", "5", 
       "6", "6", "3", "7"},
      {"\<\"Jenkins\"\>", "6", "6", "8", "6", "9", "7", "0", "6", "8", "6", 
       "5", "6", "6", "5", "6", "5", "6", "7", "5", "10", "5", "8", "6", "6", 
       "9", "9", "6", "4"},
      {"\<\"Moukarzel\"\>", "4", "6", "8", "6", "7", "5", "6", "0", "6", "4", 
       "3", "4", "4", "5", "4", "3", "4", "5", "3", "8", "7", "6", "4", "4", 
       "7", "7", "4", "6"},
      {"\<\"Flammia\"\>", "4", "6", "6", "8", "5", "5", "8", "6", "0", "4", 
       "3", "6", "4", "7", "4", "5", "4", "5", "3", "2", "9", "4", "4", "6", 
       "5", "7", "4", "8"},
      {"\<\"Whittaker\"\>", "2", "4", "6", "6", "5", "3", "6", "4", "4", "0", 
       "1", "4", "4", "5", "2", "3", "2", "3", "1", "6", "7", "4", "2", "4", 
       "5", "5", "2", "6"},
      {"\<\"Robinson\"\>", "1", "3", "5", "5", "4", "2", "5", "3", "3", "1", 
       "0", "3", "3", "4", "1", "2", "1", "2", "0", "5", "6", "3", "1", "3", 
       "4", "4", "1", "5"},
      {"\<\"Thornton\"\>", "4", "6", "8", "6", "5", "5", "6", "4", "6", "4", 
       "3", "0", "4", "5", "4", "3", "4", "5", "3", "8", "7", "6", "4", "4", 
       "7", "7", "4", "6"},
      {"\<\"Allen\"\>", "4", "6", "6", "6", "5", "5", "6", "4", "4", "4", "3",
        "4", "0", "5", "4", "3", "4", "5", "3", "6", "7", "6", "4", "4", "5", 
       "7", "4", "6"},
      {"\<\"Shevchuk\"\>", "5", "7", "9", "3", "8", "6", "5", "5", "7", "5", 
       "4", "5", "5", "0", "5", "4", "5", "6", "4", "9", "8", "7", "5", "5", 
       "8", "8", "5", "1"},
      {"\<\"Eppler\"\>", "2", "4", "6", "6", "5", "3", "6", "4", "4", "2", 
       "1", "4", "4", "5", "0", "3", "2", "3", "1", "6", "7", "4", "2", "4", 
       "5", "5", "2", "6"},
      {"\<\"Wimmer\"\>", "3", "5", "7", "5", "6", "2", "5", "3", "5", "3", 
       "2", "3", "3", "4", "3", "0", "3", "4", "2", "7", "4", "5", "3", "3", 
       "6", "6", "3", "5"},
      {"\<\"Turner\"\>", "2", "2", "6", "6", "5", "3", "6", "4", "4", "2", 
       "1", "4", "4", "5", "2", "3", "0", "3", "1", "6", "7", "4", "2", "4", 
       "5", "5", "2", "6"},
      {"\<\"Snellings\"\>", "3", "5", "7", "7", "4", "4", "7", "5", "5", "3", 
       "2", "5", "5", "6", "3", "4", "3", "0", "2", "7", "8", "1", "3", "5", 
       "6", "6", "3", "7"},
      {"\<\"Minnick\"\>", "1", "3", "5", "5", "4", "2", "5", "3", "3", "1", 
       "0", "3", "3", "4", "1", "2", "1", "2", "0", "5", "6", "3", "1", "3", 
       "4", "4", "1", "5"},
      {"\<\"Donskoy\"\>", "6", "8", "8", "10", "7", "7", "10", "8", "2", "6", 
       "5", "8", "6", "9", "6", "7", "6", "7", "5", "0", "11", "6", "6", "8", 
       "7", "9", "6", "10"},
      {"\<\"Pressley\"\>", "7", "7", "11", "9", "10", "6", "5", "7", "9", "7",
        "6", "7", "7", "8", "7", "4", "7", "8", "6", "11", "0", "9", "7", "7",
        "10", "10", "7", "7"},
      {"\<\"Street\"\>", "4", "6", "8", "8", "5", "5", "8", "6", "4", "4", 
       "3", "6", "6", "7", "4", "5", "4", "1", "3", "6", "9", "0", "4", "6", 
       "7", "7", "4", "8"},
      {"\<\"Johnson\"\>", "2", "4", "6", "6", "5", "3", "6", "4", "4", "2", 
       "1", "4", "4", "5", "2", "3", "2", "3", "1", "6", "7", "4", "0", "4", 
       "5", "5", "2", "6"},
      {"\<\"Green\"\>", "4", "6", "8", "6", "7", "5", "6", "4", "6", "4", "3",
        "4", "4", "5", "4", "3", "4", "5", "3", "8", "7", "6", "4", "0", "7", 
       "7", "4", "6"},
      {"\<\"Tu\"\>", "5", "7", "7", "9", "6", "6", "9", "7", "5", "5", "4", 
       "7", "5", "8", "5", "6", "5", "6", "4", "7", "10", "7", "5", "7", "0", 
       "7", "5", "9"},
      {"\<\"Lloyd\"\>", "5", "7", "9", "9", "8", "6", "9", "7", "7", "5", "4",
        "7", "7", "8", "5", "6", "5", "6", "4", "9", "10", "7", "5", "7", "7",
        "0", "5", "9"},
      {"\<\"Falls\"\>", "2", "2", "4", "6", "5", "3", "6", "4", "4", "2", "1",
        "4", "4", "5", "2", "3", "2", "3", "1", "6", "7", "4", "2", "4", "5", 
       "5", "0", "6"},
      {"\<\"Torrence\"\>", "6", "6", "10", "4", "9", "7", "4", "6", "8", "6", 
       "5", "6", "6", "1", "6", "5", "6", "7", "5", "10", "7", "8", "6", "6", 
       "9", "9", "6", "0"}
     },
     ColumnsEqual->False,
     GridBoxDividers->{"Columns" -> {{
          GrayLevel[0.5]}}, "Rows" -> {{
          GrayLevel[0.5]}}},
     GridBoxItemSize->{"Columns" -> {8, {2}}, "Rows" -> {{Automatic}}},
     RowsEqual->False],
    "Grid"]], "Text", "TR"],
  Text[
   Grid[{{"", 
      Graphics[
       Rotate[
        Text["Bierlein"], Rational[1, 2] Pi], AspectRatio -> 4, ImageSize -> 
       15], 
      Graphics[
       Rotate[
        Text["Paulus"], Rational[1, 2] Pi], AspectRatio -> 4, ImageSize -> 
       15], 
      Graphics[
       Rotate[
        Text["Arnone"], Rational[1, 2] Pi], AspectRatio -> 4, ImageSize -> 
       15], 
      Graphics[
       Rotate[
        Text["McGarvey"], Rational[1, 2] Pi], AspectRatio -> 4, ImageSize -> 
       15], 
      Graphics[
       Rotate[
        Text["Luu"], Rational[1, 2] Pi], AspectRatio -> 4, ImageSize -> 15], 
      Graphics[
       Rotate[
        Text["Martin"], Rational[1, 2] Pi], AspectRatio -> 4, ImageSize -> 
       15], 
      Graphics[
       Rotate[
        Text["Jenkins"], Rational[1, 2] Pi], AspectRatio -> 4, ImageSize -> 
       15], 
      Graphics[
       Rotate[
        Text["Moukarzel"], Rational[1, 2] Pi], AspectRatio -> 4, ImageSize -> 
       15], 
      Graphics[
       Rotate[
        Text["Flammia"], Rational[1, 2] Pi], AspectRatio -> 4, ImageSize -> 
       15], 
      Graphics[
       Rotate[
        Text["Whittaker"], Rational[1, 2] Pi], AspectRatio -> 4, ImageSize -> 
       15], 
      Graphics[
       Rotate[
        Text["Robinson"], Rational[1, 2] Pi], AspectRatio -> 4, ImageSize -> 
       15], 
      Graphics[
       Rotate[
        Text["Thornton"], Rational[1, 2] Pi], AspectRatio -> 4, ImageSize -> 
       15], 
      Graphics[
       Rotate[
        Text["Allen"], Rational[1, 2] Pi], AspectRatio -> 4, ImageSize -> 15],
       
      Graphics[
       Rotate[
        Text["Shevchuk"], Rational[1, 2] Pi], AspectRatio -> 4, ImageSize -> 
       15], 
      Graphics[
       Rotate[
        Text["Eppler"], Rational[1, 2] Pi], AspectRatio -> 4, ImageSize -> 
       15], 
      Graphics[
       Rotate[
        Text["Wimmer"], Rational[1, 2] Pi], AspectRatio -> 4, ImageSize -> 
       15], 
      Graphics[
       Rotate[
        Text["Turner"], Rational[1, 2] Pi], AspectRatio -> 4, ImageSize -> 
       15], 
      Graphics[
       Rotate[
        Text["Snellings"], Rational[1, 2] Pi], AspectRatio -> 4, ImageSize -> 
       15], 
      Graphics[
       Rotate[
        Text["Minnick"], Rational[1, 2] Pi], AspectRatio -> 4, ImageSize -> 
       15], 
      Graphics[
       Rotate[
        Text["Donskoy"], Rational[1, 2] Pi], AspectRatio -> 4, ImageSize -> 
       15], 
      Graphics[
       Rotate[
        Text["Pressley"], Rational[1, 2] Pi], AspectRatio -> 4, ImageSize -> 
       15], 
      Graphics[
       Rotate[
        Text["Street"], Rational[1, 2] Pi], AspectRatio -> 4, ImageSize -> 
       15], 
      Graphics[
       Rotate[
        Text["Johnson"], Rational[1, 2] Pi], AspectRatio -> 4, ImageSize -> 
       15], 
      Graphics[
       Rotate[
        Text["Green"], Rational[1, 2] Pi], AspectRatio -> 4, ImageSize -> 15],
       
      Graphics[
       Rotate[
        Text["Tu"], Rational[1, 2] Pi], AspectRatio -> 4, ImageSize -> 15], 
      Graphics[
       Rotate[
        Text["Lloyd"], Rational[1, 2] Pi], AspectRatio -> 4, ImageSize -> 15],
       
      Graphics[
       Rotate[
        Text["Falls"], Rational[1, 2] Pi], AspectRatio -> 4, ImageSize -> 15],
       
      Graphics[
       Rotate[
        Text["Torrence"], Rational[1, 2] Pi], AspectRatio -> 4, ImageSize -> 
       15]}, {"Bierlein", 0, 4, 6, 6, 5, 3, 6, 4, 4, 2, 1, 4, 4, 5, 2, 3, 2, 
      3, 1, 6, 7, 4, 2, 4, 5, 5, 2, 6}, {
     "Paulus", 4, 0, 6, 8, 7, 5, 6, 6, 6, 4, 3, 6, 6, 7, 4, 5, 2, 5, 3, 8, 7, 
      6, 4, 6, 7, 7, 2, 6}, {
     "Arnone", 6, 6, 0, 10, 7, 7, 8, 8, 6, 6, 5, 8, 6, 9, 6, 7, 6, 7, 5, 8, 
      11, 8, 6, 8, 7, 9, 4, 10}, {
     "McGarvey", 6, 8, 10, 0, 9, 7, 6, 6, 8, 6, 5, 6, 6, 3, 6, 5, 6, 7, 5, 10,
       9, 8, 6, 6, 9, 9, 6, 4}, {
     "Luu", 5, 7, 7, 9, 0, 6, 9, 7, 5, 5, 4, 5, 5, 8, 5, 6, 5, 4, 4, 7, 10, 5,
       5, 7, 6, 8, 5, 9}, {
     "Martin", 3, 5, 7, 7, 6, 0, 7, 5, 5, 3, 2, 5, 5, 6, 3, 2, 3, 4, 2, 7, 6, 
      5, 3, 5, 6, 6, 3, 7}, {
     "Jenkins", 6, 6, 8, 6, 9, 7, 0, 6, 8, 6, 5, 6, 6, 5, 6, 5, 6, 7, 5, 10, 
      5, 8, 6, 6, 9, 9, 6, 4}, {
     "Moukarzel", 4, 6, 8, 6, 7, 5, 6, 0, 6, 4, 3, 4, 4, 5, 4, 3, 4, 5, 3, 8, 
      7, 6, 4, 4, 7, 7, 4, 6}, {
     "Flammia", 4, 6, 6, 8, 5, 5, 8, 6, 0, 4, 3, 6, 4, 7, 4, 5, 4, 5, 3, 2, 9,
       4, 4, 6, 5, 7, 4, 8}, {
     "Whittaker", 2, 4, 6, 6, 5, 3, 6, 4, 4, 0, 1, 4, 4, 5, 2, 3, 2, 3, 1, 6, 
      7, 4, 2, 4, 5, 5, 2, 6}, {
     "Robinson", 1, 3, 5, 5, 4, 2, 5, 3, 3, 1, 0, 3, 3, 4, 1, 2, 1, 2, 0, 5, 
      6, 3, 1, 3, 4, 4, 1, 5}, {
     "Thornton", 4, 6, 8, 6, 5, 5, 6, 4, 6, 4, 3, 0, 4, 5, 4, 3, 4, 5, 3, 8, 
      7, 6, 4, 4, 7, 7, 4, 6}, {
     "Allen", 4, 6, 6, 6, 5, 5, 6, 4, 4, 4, 3, 4, 0, 5, 4, 3, 4, 5, 3, 6, 7, 
      6, 4, 4, 5, 7, 4, 6}, {
     "Shevchuk", 5, 7, 9, 3, 8, 6, 5, 5, 7, 5, 4, 5, 5, 0, 5, 4, 5, 6, 4, 9, 
      8, 7, 5, 5, 8, 8, 5, 1}, {
     "Eppler", 2, 4, 6, 6, 5, 3, 6, 4, 4, 2, 1, 4, 4, 5, 0, 3, 2, 3, 1, 6, 7, 
      4, 2, 4, 5, 5, 2, 6}, {
     "Wimmer", 3, 5, 7, 5, 6, 2, 5, 3, 5, 3, 2, 3, 3, 4, 3, 0, 3, 4, 2, 7, 4, 
      5, 3, 3, 6, 6, 3, 5}, {
     "Turner", 2, 2, 6, 6, 5, 3, 6, 4, 4, 2, 1, 4, 4, 5, 2, 3, 0, 3, 1, 6, 7, 
      4, 2, 4, 5, 5, 2, 6}, {
     "Snellings", 3, 5, 7, 7, 4, 4, 7, 5, 5, 3, 2, 5, 5, 6, 3, 4, 3, 0, 2, 7, 
      8, 1, 3, 5, 6, 6, 3, 7}, {
     "Minnick", 1, 3, 5, 5, 4, 2, 5, 3, 3, 1, 0, 3, 3, 4, 1, 2, 1, 2, 0, 5, 6,
       3, 1, 3, 4, 4, 1, 5}, {
     "Donskoy", 6, 8, 8, 10, 7, 7, 10, 8, 2, 6, 5, 8, 6, 9, 6, 7, 6, 7, 5, 0, 
      11, 6, 6, 8, 7, 9, 6, 10}, {
     "Pressley", 7, 7, 11, 9, 10, 6, 5, 7, 9, 7, 6, 7, 7, 8, 7, 4, 7, 8, 6, 
      11, 0, 9, 7, 7, 10, 10, 7, 7}, {
     "Street", 4, 6, 8, 8, 5, 5, 8, 6, 4, 4, 3, 6, 6, 7, 4, 5, 4, 1, 3, 6, 9, 
      0, 4, 6, 7, 7, 4, 8}, {
     "Johnson", 2, 4, 6, 6, 5, 3, 6, 4, 4, 2, 1, 4, 4, 5, 2, 3, 2, 3, 1, 6, 7,
       4, 0, 4, 5, 5, 2, 6}, {
     "Green", 4, 6, 8, 6, 7, 5, 6, 4, 6, 4, 3, 4, 4, 5, 4, 3, 4, 5, 3, 8, 7, 
      6, 4, 0, 7, 7, 4, 6}, {
     "Tu", 5, 7, 7, 9, 6, 6, 9, 7, 5, 5, 4, 7, 5, 8, 5, 6, 5, 6, 4, 7, 10, 7, 
      5, 7, 0, 7, 5, 9}, {
     "Lloyd", 5, 7, 9, 9, 8, 6, 9, 7, 7, 5, 4, 7, 7, 8, 5, 6, 5, 6, 4, 9, 10, 
      7, 5, 7, 7, 0, 5, 9}, {
     "Falls", 2, 2, 4, 6, 5, 3, 6, 4, 4, 2, 1, 4, 4, 5, 2, 3, 2, 3, 1, 6, 7, 
      4, 2, 4, 5, 5, 0, 6}, {
     "Torrence", 6, 6, 10, 4, 9, 7, 4, 6, 8, 6, 5, 6, 6, 1, 6, 5, 6, 7, 5, 10,
       7, 8, 6, 6, 9, 9, 6, 0}}, Dividers -> GrayLevel[0.5], 
    ItemSize -> {{8, {2}}, Automatic}]]]], "Output"]
}, {2}]]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Neighbor Joining Agorithm applied to these distances produces the following \
evolutionary tree:\
\>", "Section"],

Cell[CellGroupData[{

Cell[BoxData["a"], "Input"],

Cell[BoxData[
 GraphicsBox[
  TagBox[GraphicsGroupBox[{
     GraphicsComplexBox[{{1.4834632557339948`, 7.114517568515419}, {
      1.4235645792244314`, 8.053096111408312}, {0.5817455459667045, 
      7.381767834218893}, {3.981756689421995, 0.7761954417215349}, {
      3.5331204571221626`, 1.208539934793862*^-10}, {4.430392921512734, 0.}, {
      1.7150825939290546`, 6.248430786103894}, {0.588973838862211, 
      6.1135834491886385`}, {0.8565655548810862, 4.695061172927506}, {
      0.19966190694298147`, 5.305168892776612}, {8.056888489704761*^-11, 
      4.4303929224267184`}, {2.4827806290443366`, 2.1021001629581804`}, {
      1.71508259352199, 1.7150825940509642`}, {2.2762952822800986`, 
      1.2675304091572328`}, {1.946086979258828, 5.260852745462742}, {
      5.861413216702172, 2.48278062898009}, {6.248430785574922, 
      1.7150825934403686`}, {6.69598297049385, 2.276295282178384}, {
      6.325650041035217, 3.4467783273732238`}, {7.007432516087304, 
      2.923026927280036}, {7.167162041640074, 3.6228477035456126`}, {
      3.1290259860669276`, 2.624643549515564}, {3.1877093680102426`, 
      1.7124998201630834`}, {4.250938428849144, 1.5927026759495586`}, {
      5.040486451496713, 0.9560808633076121}, {3.625104448537415, 
      5.544352257408268}, {3.712574950643842, 6.3708107037740636`}, {
      3.1877093684177704`, 6.25101355972731}, {4.338408931029782, 
      2.4191611223075005`}, {5.260852744985624, 1.946086978991834}, {
      0.8565655547529869, 3.2684522073815283`}, {0., 3.5331204580361435`}, {
      0.19966190670531558`, 2.658344487650392}, {1.7124998199646906`, 
      3.187709368539795}, {1.2675304087542418`, 2.2762952829095413`}, {
      2.41916112236742, 4.338408931400702}, {3.259728967695591, 
      4.329466915009141}, {3.8920294433074356`, 3.185405351923288}, {
      5.425812134107636, 3.2863362394737403`}, {3.981756689853754, 
      3.9817566898738965`}, {4.738175646507209, 4.246439130250676}, {
      5.115093738121402, 5.115093737683597}, {6.370810703790177, 
      4.250938428762026}, {7.11451756883177, 6.480050123571704}, {
      8.053096111732732, 6.539948799954852}, {7.381767834656698, 
      7.381767833302998}, {6.068018041248719, 8.313923022541879}, {
      6.966314153534151, 8.731652680860071}, {5.834533774630729, 
      9.276689385699427}, {5.48073275083195, 5.861413216655016}, {
      7.007432516467571, 5.040486451381017}, {5.687218097671124, 
      6.6959829704374245`}, {4.5201201695607045`, 8.759864717529204}, {
      5.305168893265879, 7.763851472606419}}, 
      {RGBColor[0.5, 0., 0.], 
       {Arrowheads[{{0.5, 0.5, 
           GraphicsBox[{
             GrayLevel[0], 
             InsetBox[
              BoxData[
               FormBox[
                StyleBox["0.8846153846153846`", StripOnInput -> False], 
                TraditionalForm]], {0, 0}, 
              ImageScaled[{0.5, 0.5}], Automatic, None, Background -> 
              GrayLevel[1]]}]}, {0, 0}}], ArrowBox[{1, 2}]}, 
       {Arrowheads[{{0.5, 0.5, 
           GraphicsBox[{
             GrayLevel[0], 
             InsetBox[
              BoxData[
               FormBox[
                StyleBox["0.11538461538461539`", StripOnInput -> False], 
                TraditionalForm]], {0, 0}, 
              ImageScaled[{0.5, 0.5}], Automatic, None, Background -> 
              GrayLevel[1]]}]}, {0, 0}}], ArrowBox[{1, 3}]}, 
       {Arrowheads[{{0.5, 0.5, 
           GraphicsBox[{
             GrayLevel[0], 
             InsetBox[
              BoxData[
               FormBox[
                StyleBox["2.`", StripOnInput -> False], TraditionalForm]], {0,
               0}, 
              ImageScaled[{0.5, 0.5}], Automatic, None, Background -> 
              GrayLevel[1]]}]}, {0, 0}}], ArrowBox[{4, 5}]}, 
       {Arrowheads[{{0.5, 0.5, 
           GraphicsBox[{
             GrayLevel[0], 
             InsetBox[
              BoxData[
               FormBox[
                StyleBox["0", StripOnInput -> False], TraditionalForm]], {0, 
              0}, 
              ImageScaled[{0.5, 0.5}], Automatic, None, Background -> 
              GrayLevel[1]]}]}, {0, 0}}], ArrowBox[{4, 6}]}, 
       {Arrowheads[{{0.5, 0.5, 
           GraphicsBox[{
             GrayLevel[0], 
             InsetBox[
              BoxData[
               FormBox[
                StyleBox["0.9375`", StripOnInput -> False], 
                TraditionalForm]], {0, 0}, 
              ImageScaled[{0.5, 0.5}], Automatic, None, Background -> 
              GrayLevel[1]]}]}, {0, 0}}], ArrowBox[{7, 1}]}, 
       {Arrowheads[{{0.5, 0.5, 
           GraphicsBox[{
             GrayLevel[0], 
             InsetBox[
              BoxData[
               FormBox[
                StyleBox["2.0625`", StripOnInput -> False], 
                TraditionalForm]], {0, 0}, 
              ImageScaled[{0.5, 0.5}], Automatic, None, Background -> 
              GrayLevel[1]]}]}, {0, 0}}], ArrowBox[{7, 8}]}, 
       {Arrowheads[{{0.5, 0.5, 
           GraphicsBox[{
             GrayLevel[0], 
             InsetBox[
              BoxData[
               FormBox[
                StyleBox["3.`", StripOnInput -> False], TraditionalForm]], {0,
               0}, 
              ImageScaled[{0.5, 0.5}], Automatic, None, Background -> 
              GrayLevel[1]]}]}, {0, 0}}], ArrowBox[{9, 10}]}, 
       {Arrowheads[{{0.5, 0.5, 
           GraphicsBox[{
             GrayLevel[0], 
             InsetBox[
              BoxData[
               FormBox[
                StyleBox["2.`", StripOnInput -> False], TraditionalForm]], {0,
               0}, 
              ImageScaled[{0.5, 0.5}], Automatic, None, Background -> 
              GrayLevel[1]]}]}, {0, 0}}], ArrowBox[{9, 11}]}, 
       {Arrowheads[{{0.5, 0.5, 
           GraphicsBox[{
             GrayLevel[0], 
             InsetBox[
              BoxData[
               FormBox[
                StyleBox["0.9545454545454546`", StripOnInput -> False], 
                TraditionalForm]], {0, 0}, 
              ImageScaled[{0.5, 0.5}], Automatic, None, Background -> 
              GrayLevel[1]]}]}, {0, 0}}], ArrowBox[{12, 13}]}, 
       {Arrowheads[{{0.5, 0.5, 
           GraphicsBox[{
             GrayLevel[0], 
             InsetBox[
              BoxData[
               FormBox[
                StyleBox["0.045454545454545456`", StripOnInput -> False], 
                TraditionalForm]], {0, 0}, 
              ImageScaled[{0.5, 0.5}], Automatic, None, Background -> 
              GrayLevel[1]]}]}, {0, 0}}], ArrowBox[{12, 14}]}, 
       {Arrowheads[{{0.5, 0.5, 
           GraphicsBox[{
             GrayLevel[0], 
             InsetBox[
              BoxData[
               FormBox[
                StyleBox["1.1428571428571428`", StripOnInput -> False], 
                TraditionalForm]], {0, 0}, 
              ImageScaled[{0.5, 0.5}], Automatic, None, Background -> 
              GrayLevel[1]]}]}, {0, 0}}], ArrowBox[{15, 9}]}, 
       {Arrowheads[{{0.5, 0.5, 
           GraphicsBox[{
             GrayLevel[0], 
             InsetBox[
              BoxData[
               FormBox[
                StyleBox["1.3571428571428572`", StripOnInput -> False], 
                TraditionalForm]], {0, 0}, 
              ImageScaled[{0.5, 0.5}], Automatic, None, Background -> 
              GrayLevel[1]]}]}, {0, 0}}], ArrowBox[{15, 7}]}, 
       {Arrowheads[{{0.5, 0.5, 
           GraphicsBox[{
             GrayLevel[0], 
             InsetBox[
              BoxData[
               FormBox[
                StyleBox["0.13125`", StripOnInput -> False], 
                TraditionalForm]], {0, 0}, 
              ImageScaled[{0.5, 0.5}], Automatic, None, Background -> 
              GrayLevel[1]]}]}, {0, 0}}], ArrowBox[{16, 17}]}, 
       {Arrowheads[{{0.5, 0.5, 
           GraphicsBox[{
             GrayLevel[0], 
             InsetBox[
              BoxData[
               FormBox[
                StyleBox["1.86875`", StripOnInput -> False], 
                TraditionalForm]], {0, 0}, 
              ImageScaled[{0.5, 0.5}], Automatic, None, Background -> 
              GrayLevel[1]]}]}, {0, 0}}], ArrowBox[{16, 18}]}, 
       {Arrowheads[{{0.5, 0.5, 
           GraphicsBox[{
             GrayLevel[0], 
             InsetBox[
              BoxData[
               FormBox[
                StyleBox["0.2236842105263158`", StripOnInput -> False], 
                TraditionalForm]], {0, 0}, 
              ImageScaled[{0.5, 0.5}], Automatic, None, Background -> 
              GrayLevel[1]]}]}, {0, 0}}], ArrowBox[{19, 20}]}, 
       {Arrowheads[{{0.5, 0.5, 
           GraphicsBox[{
             GrayLevel[0], 
             InsetBox[
              BoxData[
               FormBox[
                StyleBox["3.776315789473684`", StripOnInput -> False], 
                TraditionalForm]], {0, 0}, 
              ImageScaled[{0.5, 0.5}], Automatic, None, Background -> 
              GrayLevel[1]]}]}, {0, 0}}], ArrowBox[{19, 21}]}, 
       {Arrowheads[{{0.5, 0.5, 
           GraphicsBox[{
             GrayLevel[0], 
             InsetBox[
              BoxData[
               FormBox[
                StyleBox["1.2222222222222223`", StripOnInput -> False], 
                TraditionalForm]], {0, 0}, 
              ImageScaled[{0.5, 0.5}], Automatic, None, Background -> 
              GrayLevel[1]]}]}, {0, 0}}], ArrowBox[{22, 12}]}, 
       {Arrowheads[{{0.5, 0.5, 
           GraphicsBox[{
             GrayLevel[0], 
             InsetBox[
              BoxData[
               FormBox[
                StyleBox["2.7777777777777777`", StripOnInput -> False], 
                TraditionalForm]], {0, 0}, 
              ImageScaled[{0.5, 0.5}], Automatic, None, Background -> 
              GrayLevel[1]]}]}, {0, 0}}], ArrowBox[{22, 23}]}, 
       {Arrowheads[{{0.5, 0.5, 
           GraphicsBox[{
             GrayLevel[0], 
             InsetBox[
              BoxData[
               FormBox[
                StyleBox["2.014705882352941`", StripOnInput -> False], 
                TraditionalForm]], {0, 0}, 
              ImageScaled[{0.5, 0.5}], Automatic, None, Background -> 
              GrayLevel[1]]}]}, {0, 0}}], ArrowBox[{24, 4}]}, 
       {Arrowheads[{{0.5, 0.5, 
           GraphicsBox[{
             GrayLevel[0], 
             InsetBox[
              BoxData[
               FormBox[
                StyleBox["2.985294117647059`", StripOnInput -> False], 
                TraditionalForm]], {0, 0}, 
              ImageScaled[{0.5, 0.5}], Automatic, None, Background -> 
              GrayLevel[1]]}]}, {0, 0}}], ArrowBox[{24, 25}]}, 
       {Arrowheads[{{0.5, 0.5, 
           GraphicsBox[{
             GrayLevel[0], 
             InsetBox[
              BoxData[
               FormBox[
                StyleBox["0.6875`", StripOnInput -> False], 
                TraditionalForm]], {0, 0}, 
              ImageScaled[{0.5, 0.5}], Automatic, None, Background -> 
              GrayLevel[1]]}]}, {0, 0}}], ArrowBox[{26, 27}]}, 
       {Arrowheads[{{0.5, 0.5, 
           GraphicsBox[{
             GrayLevel[0], 
             InsetBox[
              BoxData[
               FormBox[
                StyleBox["1.3125`", StripOnInput -> False], 
                TraditionalForm]], {0, 0}, 
              ImageScaled[{0.5, 0.5}], Automatic, None, Background -> 
              GrayLevel[1]]}]}, {0, 0}}], ArrowBox[{26, 28}]}, 
       {Arrowheads[{{0.5, 0.5, 
           GraphicsBox[{
             GrayLevel[0], 
             InsetBox[
              BoxData[
               FormBox[
                StyleBox["0.275`", StripOnInput -> False], 
                TraditionalForm]], {0, 0}, 
              ImageScaled[{0.5, 0.5}], Automatic, None, Background -> 
              GrayLevel[1]]}]}, {0, 0}}], ArrowBox[{29, 24}]}, 
       {Arrowheads[{{0.5, 0.5, 
           GraphicsBox[{
             GrayLevel[0], 
             InsetBox[
              BoxData[
               FormBox[
                StyleBox["1.725`", StripOnInput -> False], 
                TraditionalForm]], {0, 0}, 
              ImageScaled[{0.5, 0.5}], Automatic, None, Background -> 
              GrayLevel[1]]}]}, {0, 0}}], ArrowBox[{29, 30}]}, 
       {Arrowheads[{{0.5, 0.5, 
           GraphicsBox[{
             GrayLevel[0], 
             InsetBox[
              BoxData[
               FormBox[
                StyleBox["2.`", StripOnInput -> False], TraditionalForm]], {0,
               0}, 
              ImageScaled[{0.5, 0.5}], Automatic, None, Background -> 
              GrayLevel[1]]}]}, {0, 0}}], ArrowBox[{31, 32}]}, 
       {Arrowheads[{{0.5, 0.5, 
           GraphicsBox[{
             GrayLevel[0], 
             InsetBox[
              BoxData[
               FormBox[
                StyleBox["2.`", StripOnInput -> False], TraditionalForm]], {0,
               0}, 
              ImageScaled[{0.5, 0.5}], Automatic, None, Background -> 
              GrayLevel[1]]}]}, {0, 0}}], ArrowBox[{31, 33}]}, 
       {Arrowheads[{{0.5, 0.5, 
           GraphicsBox[{
             GrayLevel[0], 
             InsetBox[
              BoxData[
               FormBox[
                StyleBox["0.038461538461538464`", StripOnInput -> False], 
                TraditionalForm]], {0, 0}, 
              ImageScaled[{0.5, 0.5}], Automatic, None, Background -> 
              GrayLevel[1]]}]}, {0, 0}}], ArrowBox[{34, 31}]}, 
       {Arrowheads[{{0.5, 0.5, 
           GraphicsBox[{
             GrayLevel[0], 
             InsetBox[
              BoxData[
               FormBox[
                StyleBox["1.9615384615384615`", StripOnInput -> False], 
                TraditionalForm]], {0, 0}, 
              ImageScaled[{0.5, 0.5}], Automatic, None, Background -> 
              GrayLevel[1]]}]}, {0, 0}}], ArrowBox[{34, 35}]}, 
       {Arrowheads[{{0.5, 0.5, 
           GraphicsBox[{
             GrayLevel[0], 
             InsetBox[
              BoxData[
               FormBox[
                StyleBox["0.036458333333333336`", StripOnInput -> False], 
                TraditionalForm]], {0, 0}, 
              ImageScaled[{0.5, 0.5}], Automatic, None, Background -> 
              GrayLevel[1]]}]}, {0, 0}}], ArrowBox[{36, 34}]}, 
       {Arrowheads[{{0.5, 0.5, 
           GraphicsBox[{
             GrayLevel[0], 
             InsetBox[
              BoxData[
               FormBox[
                StyleBox["0.7135416666666666`", StripOnInput -> False], 
                TraditionalForm]], {0, 0}, 
              ImageScaled[{0.5, 0.5}], Automatic, None, Background -> 
              GrayLevel[1]]}]}, {0, 0}}], ArrowBox[{36, 15}]}, 
       {Arrowheads[{{0.5, 0.5, 
           GraphicsBox[{
             GrayLevel[0], 
             InsetBox[
              BoxData[
               FormBox[
                StyleBox["0.3210227272727273`", StripOnInput -> False], 
                TraditionalForm]], {0, 0}, 
              ImageScaled[{0.5, 0.5}], Automatic, None, Background -> 
              GrayLevel[1]]}]}, {0, 0}}], ArrowBox[{37, 36}]}, 
       {Arrowheads[{{0.5, 0.5, 
           GraphicsBox[{
             GrayLevel[0], 
             InsetBox[
              BoxData[
               FormBox[
                StyleBox["0.4289772727272727`", StripOnInput -> False], 
                TraditionalForm]], {0, 0}, 
              ImageScaled[{0.5, 0.5}], Automatic, None, Background -> 
              GrayLevel[1]]}]}, {0, 0}}], ArrowBox[{37, 26}]}, 
       {Arrowheads[{{0.5, 0.5, 
           GraphicsBox[{
             GrayLevel[0], 
             InsetBox[
              BoxData[
               FormBox[
                StyleBox["0.36875`", StripOnInput -> False], 
                TraditionalForm]], {0, 0}, 
              ImageScaled[{0.5, 0.5}], Automatic, None, Background -> 
              GrayLevel[1]]}]}, {0, 0}}], ArrowBox[{38, 29}]}, 
       {Arrowheads[{{0.5, 0.5, 
           GraphicsBox[{
             GrayLevel[0], 
             InsetBox[
              BoxData[
               FormBox[
                StyleBox["0.50625`", StripOnInput -> False], 
                TraditionalForm]], {0, 0}, 
              ImageScaled[{0.5, 0.5}], Automatic, None, Background -> 
              GrayLevel[1]]}]}, {0, 0}}], ArrowBox[{38, 22}]}, 
       {Arrowheads[{{0.5, 0.5, 
           GraphicsBox[{
             GrayLevel[0], 
             InsetBox[
              BoxData[
               FormBox[
                StyleBox["0.4635416666666667`", StripOnInput -> False], 
                TraditionalForm]], {0, 0}, 
              ImageScaled[{0.5, 0.5}], Automatic, None, Background -> 
              GrayLevel[1]]}]}, {0, 0}}], ArrowBox[{39, 19}]}, 
       {Arrowheads[{{0.5, 0.5, 
           GraphicsBox[{
             GrayLevel[0], 
             InsetBox[
              BoxData[
               FormBox[
                StyleBox["0.5364583333333334`", StripOnInput -> False], 
                TraditionalForm]], {0, 0}, 
              ImageScaled[{0.5, 0.5}], Automatic, None, Background -> 
              GrayLevel[1]]}]}, {0, 0}}], ArrowBox[{39, 16}]}, 
       {Arrowheads[{{0.5, 0.5, 
           GraphicsBox[{
             GrayLevel[0], 
             InsetBox[
              BoxData[
               FormBox[
                StyleBox["0.3193359375`", StripOnInput -> False], 
                TraditionalForm]], {0, 0}, 
              ImageScaled[{0.5, 0.5}], Automatic, None, Background -> 
              GrayLevel[1]]}]}, {0, 0}}], ArrowBox[{40, 38}]}, 
       {Arrowheads[{{0.5, 0.5, 
           GraphicsBox[{
             GrayLevel[0], 
             InsetBox[
              BoxData[
               FormBox[
                StyleBox["0.4306640625`", StripOnInput -> False], 
                TraditionalForm]], {0, 0}, 
              ImageScaled[{0.5, 0.5}], Automatic, None, Background -> 
              GrayLevel[1]]}]}, {0, 0}}], ArrowBox[{40, 37}]}, 
       {Arrowheads[{{0.5, 0.5, 
           GraphicsBox[{
             GrayLevel[0], 
             InsetBox[
              BoxData[
               FormBox[
                StyleBox["0.09319196428571429`", StripOnInput -> False], 
                TraditionalForm]], {0, 0}, 
              ImageScaled[{0.5, 0.5}], Automatic, None, Background -> 
              GrayLevel[1]]}]}, {0, 0}}], ArrowBox[{41, 40}]}, 
       {Arrowheads[{{0.5, 0.5, 
           GraphicsBox[{
             GrayLevel[0], 
             InsetBox[
              BoxData[
               FormBox[
                StyleBox["0.3833705357142857`", StripOnInput -> False], 
                TraditionalForm]], {0, 0}, 
              ImageScaled[{0.5, 0.5}], Automatic, None, Background -> 
              GrayLevel[1]]}]}, {0, 0}}], ArrowBox[{41, 39}]}, 
       {Arrowheads[{{0.5, 0.5, 
           GraphicsBox[{
             GrayLevel[0], 
             InsetBox[
              BoxData[
               FormBox[
                StyleBox["0.10546875`", StripOnInput -> False], 
                TraditionalForm]], {0, 0}, 
              ImageScaled[{0.5, 0.5}], Automatic, None, Background -> 
              GrayLevel[1]]}]}, {0, 0}}], ArrowBox[{42, 41}]}, 
       {Arrowheads[{{0.5, 0.5, 
           GraphicsBox[{
             GrayLevel[0], 
             InsetBox[
              BoxData[
               FormBox[
                StyleBox["3.984375`", StripOnInput -> False], 
                TraditionalForm]], {0, 0}, 
              ImageScaled[{0.5, 0.5}], Automatic, None, Background -> 
              GrayLevel[1]]}]}, {0, 0}}], ArrowBox[{42, 43}]}, 
       {Arrowheads[{{0.5, 0.5, 
           GraphicsBox[{
             GrayLevel[0], 
             InsetBox[
              BoxData[
               FormBox[
                StyleBox["1.`", StripOnInput -> False], TraditionalForm]], {0,
               0}, 
              ImageScaled[{0.5, 0.5}], Automatic, None, Background -> 
              GrayLevel[1]]}]}, {0, 0}}], ArrowBox[{44, 45}]}, 
       {Arrowheads[{{0.5, 0.5, 
           GraphicsBox[{
             GrayLevel[0], 
             InsetBox[
              BoxData[
               FormBox[
                StyleBox["1.`", StripOnInput -> False], TraditionalForm]], {0,
               0}, 
              ImageScaled[{0.5, 0.5}], Automatic, None, Background -> 
              GrayLevel[1]]}]}, {0, 0}}], ArrowBox[{44, 46}]}, 
       {Arrowheads[{{0.5, 0.5, 
           GraphicsBox[{
             GrayLevel[0], 
             InsetBox[
              BoxData[
               FormBox[
                StyleBox["0", StripOnInput -> False], TraditionalForm]], {0, 
              0}, 
              ImageScaled[{0.5, 0.5}], Automatic, None, Background -> 
              GrayLevel[1]]}]}, {0, 0}}], ArrowBox[{47, 48}]}, 
       {Arrowheads[{{0.5, 0.5, 
           GraphicsBox[{
             GrayLevel[0], 
             InsetBox[
              BoxData[
               FormBox[
                StyleBox["0", StripOnInput -> False], TraditionalForm]], {0, 
              0}, 
              ImageScaled[{0.5, 0.5}], Automatic, None, Background -> 
              GrayLevel[1]]}]}, {0, 0}}], ArrowBox[{47, 49}]}, 
       {Arrowheads[{{0.5, 0.5, 
           GraphicsBox[{
             GrayLevel[0], 
             InsetBox[
              BoxData[
               FormBox[
                StyleBox["0", StripOnInput -> False], TraditionalForm]], {0, 
              0}, 
              ImageScaled[{0.5, 0.5}], Automatic, None, Background -> 
              GrayLevel[1]]}]}, {0, 0}}], ArrowBox[{47, 54}]}, 
       {Arrowheads[{{0.5, 0.5, 
           GraphicsBox[{
             GrayLevel[0], 
             InsetBox[
              BoxData[
               FormBox[
                StyleBox["0.015625`", StripOnInput -> False], 
                TraditionalForm]], {0, 0}, 
              ImageScaled[{0.5, 0.5}], Automatic, None, Background -> 
              GrayLevel[1]]}]}, {0, 0}}], ArrowBox[{50, 42}]}, 
       {Arrowheads[{{0.5, 0.5, 
           GraphicsBox[{
             GrayLevel[0], 
             InsetBox[
              BoxData[
               FormBox[
                StyleBox["1.`", StripOnInput -> False], TraditionalForm]], {0,
               0}, 
              ImageScaled[{0.5, 0.5}], Automatic, None, Background -> 
              GrayLevel[1]]}]}, {0, 0}}], ArrowBox[{50, 51}]}, 
       {Arrowheads[{{0.5, 0.5, 
           GraphicsBox[{
             GrayLevel[0], 
             InsetBox[
              BoxData[
               FormBox[
                StyleBox["0", StripOnInput -> False], TraditionalForm]], {0, 
              0}, 
              ImageScaled[{0.5, 0.5}], Automatic, None, Background -> 
              GrayLevel[1]]}]}, {0, 0}}], ArrowBox[{52, 50}]}, 
       {Arrowheads[{{0.5, 0.5, 
           GraphicsBox[{
             GrayLevel[0], 
             InsetBox[
              BoxData[
               FormBox[
                StyleBox["0", StripOnInput -> False], TraditionalForm]], {0, 
              0}, 
              ImageScaled[{0.5, 0.5}], Automatic, None, Background -> 
              GrayLevel[1]]}]}, {0, 0}}], ArrowBox[{52, 44}]}, 
       {Arrowheads[{{0.5, 0.5, 
           GraphicsBox[{
             GrayLevel[0], 
             InsetBox[
              BoxData[
               FormBox[
                StyleBox["0", StripOnInput -> False], TraditionalForm]], {0, 
              0}, 
              ImageScaled[{0.5, 0.5}], Automatic, None, Background -> 
              GrayLevel[1]]}]}, {0, 0}}], ArrowBox[{52, 54}]}, 
       {Arrowheads[{{0.5, 0.5, 
           GraphicsBox[{
             GrayLevel[0], 
             InsetBox[
              BoxData[
               FormBox[
                StyleBox["1.`", StripOnInput -> False], TraditionalForm]], {0,
               0}, 
              ImageScaled[{0.5, 0.5}], Automatic, None, Background -> 
              GrayLevel[1]]}]}, {0, 0}}], ArrowBox[{53, 54}]}}], {
      InsetBox["\<\"\"\>", {1.4834632557339948`, 7.114517568515419}], 
      InsetBox["\<\"Torrence\"\>", {1.4235645792244314`, 8.053096111408312}], 
      InsetBox["\<\"Shevchuk\"\>", {0.5817455459667045, 7.381767834218893}], 
      InsetBox["\<\"\"\>", {3.981756689421995, 0.7761954417215349}], 
      InsetBox["\<\"Donskoy\"\>", \
{3.5331204571221626`, 1.208539934793862*^-10}], 
      InsetBox["\<\"Flammia\"\>", {4.430392921512734, 0.}], 
      InsetBox["\<\"\"\>", {1.7150825939290546`, 6.248430786103894}], 
      InsetBox["\<\"McGarvey\"\>", {0.588973838862211, 6.1135834491886385`}], 
      InsetBox["\<\"\"\>", {0.8565655548810862, 4.695061172927506}], 
      InsetBox["\<\"Pressley\"\>", {0.19966190694298147`, 5.305168892776612}],
       InsetBox["\<\"Jenkins\"\>", \
{8.056888489704761*^-11, 4.4303929224267184`}], 
      InsetBox["\<\"\"\>", {2.4827806290443366`, 2.1021001629581804`}], 
      InsetBox["\<\"Street\"\>", {1.71508259352199, 1.7150825940509642`}], 
      InsetBox["\<\"Snellings\"\>", \
{2.2762952822800986`, 1.2675304091572328`}], 
      InsetBox["\<\"\"\>", {1.946086979258828, 5.260852745462742}], 
      InsetBox["\<\"\"\>", {5.861413216702172, 2.48278062898009}], 
      InsetBox["\<\"Turner\"\>", {6.248430785574922, 1.7150825934403686`}], 
      InsetBox["\<\"Paulus\"\>", {6.69598297049385, 2.276295282178384}], 
      InsetBox["\<\"\"\>", {6.325650041035217, 3.4467783273732238`}], 
      InsetBox["\<\"Falls\"\>", {7.007432516087304, 2.923026927280036}], 
      InsetBox["\<\"Arnone\"\>", {7.167162041640074, 3.6228477035456126`}], 
      InsetBox["\<\"\"\>", {3.1290259860669276`, 2.624643549515564}], 
      InsetBox["\<\"Luu\"\>", {3.1877093680102426`, 1.7124998201630834`}], 
      InsetBox["\<\"\"\>", {4.250938428849144, 1.5927026759495586`}], 
      InsetBox["\<\"Tu\"\>", {5.040486451496713, 0.9560808633076121}], 
      InsetBox["\<\"\"\>", {3.625104448537415, 5.544352257408268}], 
      InsetBox["\<\"Wimmer\"\>", {3.712574950643842, 6.3708107037740636`}], 
      InsetBox["\<\"Martin\"\>", {3.1877093684177704`, 6.25101355972731}], 
      InsetBox["\<\"\"\>", {4.338408931029782, 2.4191611223075005`}], 
      InsetBox["\<\"Allen\"\>", {5.260852744985624, 1.946086978991834}], 
      InsetBox["\<\"\"\>", {0.8565655547529869, 3.2684522073815283`}], 
      InsetBox["\<\"Green\"\>", {0., 3.5331204580361435`}], 
      InsetBox["\<\"Moukarzel\"\>", \
{0.19966190670531558`, 2.658344487650392}], 
      InsetBox["\<\"\"\>", {1.7124998199646906`, 3.187709368539795}], 
      InsetBox["\<\"Thornton\"\>", \
{1.2675304087542418`, 2.2762952829095413`}], 
      InsetBox["\<\"\"\>", {2.41916112236742, 4.338408931400702}], 
      InsetBox["\<\"\"\>", {3.259728967695591, 4.329466915009141}], 
      InsetBox["\<\"\"\>", {3.8920294433074356`, 3.185405351923288}], 
      InsetBox["\<\"\"\>", {5.425812134107636, 3.2863362394737403`}], 
      InsetBox["\<\"\"\>", {3.981756689853754, 3.9817566898738965`}], 
      InsetBox["\<\"\"\>", {4.738175646507209, 4.246439130250676}], 
      InsetBox["\<\"\"\>", {5.115093738121402, 5.115093737683597}], 
      InsetBox["\<\"Lloyd\"\>", {6.370810703790177, 4.250938428762026}], 
      InsetBox["\<\"\"\>", {7.11451756883177, 6.480050123571704}], 
      InsetBox["\<\"Johnson\"\>", {8.053096111732732, 6.539948799954852}], 
      InsetBox["\<\"Whittaker\"\>", {7.381767834656698, 7.381767833302998}], 
      InsetBox["\<\"\"\>", {6.068018041248719, 8.313923022541879}], 
      InsetBox["\<\"Minnick\"\>", {6.966314153534151, 8.731652680860071}], 
      InsetBox["\<\"Robinson\"\>", {5.834533774630729, 9.276689385699427}], 
      InsetBox["\<\"\"\>", {5.48073275083195, 5.861413216655016}], 
      InsetBox["\<\"Eppler\"\>", {7.007432516467571, 5.040486451381017}], 
      InsetBox["\<\"\"\>", {5.687218097671124, 6.6959829704374245`}], 
      InsetBox["\<\"Bierlein\"\>", {4.5201201695607045`, 8.759864717529204}], 
      InsetBox["\<\"\"\>", {5.305168893265879, 7.763851472606419}]}},
    ContentSelectable->True],
   Annotation[#, 
    VertexCoordinateRules -> {{1.4834632557339948`, 7.114517568515419}, {
     1.4235645792244314`, 8.053096111408312}, {0.5817455459667045, 
     7.381767834218893}, {3.981756689421995, 0.7761954417215349}, {
     3.5331204571221626`, 1.208539934793862*^-10}, {4.430392921512734, 0.}, {
     1.7150825939290546`, 6.248430786103894}, {0.588973838862211, 
     6.1135834491886385`}, {0.8565655548810862, 4.695061172927506}, {
     0.19966190694298147`, 5.305168892776612}, {8.056888489704761*^-11, 
     4.4303929224267184`}, {2.4827806290443366`, 2.1021001629581804`}, {
     1.71508259352199, 1.7150825940509642`}, {2.2762952822800986`, 
     1.2675304091572328`}, {1.946086979258828, 5.260852745462742}, {
     5.861413216702172, 2.48278062898009}, {6.248430785574922, 
     1.7150825934403686`}, {6.69598297049385, 2.276295282178384}, {
     6.325650041035217, 3.4467783273732238`}, {7.007432516087304, 
     2.923026927280036}, {7.167162041640074, 3.6228477035456126`}, {
     3.1290259860669276`, 2.624643549515564}, {3.1877093680102426`, 
     1.7124998201630834`}, {4.250938428849144, 1.5927026759495586`}, {
     5.040486451496713, 0.9560808633076121}, {3.625104448537415, 
     5.544352257408268}, {3.712574950643842, 6.3708107037740636`}, {
     3.1877093684177704`, 6.25101355972731}, {4.338408931029782, 
     2.4191611223075005`}, {5.260852744985624, 1.946086978991834}, {
     0.8565655547529869, 3.2684522073815283`}, {0., 3.5331204580361435`}, {
     0.19966190670531558`, 2.658344487650392}, {1.7124998199646906`, 
     3.187709368539795}, {1.2675304087542418`, 2.2762952829095413`}, {
     2.41916112236742, 4.338408931400702}, {3.259728967695591, 
     4.329466915009141}, {3.8920294433074356`, 3.185405351923288}, {
     5.425812134107636, 3.2863362394737403`}, {3.981756689853754, 
     3.9817566898738965`}, {4.738175646507209, 4.246439130250676}, {
     5.115093738121402, 5.115093737683597}, {6.370810703790177, 
     4.250938428762026}, {7.11451756883177, 6.480050123571704}, {
     8.053096111732732, 6.539948799954852}, {7.381767834656698, 
     7.381767833302998}, {6.068018041248719, 8.313923022541879}, {
     6.966314153534151, 8.731652680860071}, {5.834533774630729, 
     9.276689385699427}, {5.48073275083195, 5.861413216655016}, {
     7.007432516467571, 5.040486451381017}, {5.687218097671124, 
     6.6959829704374245`}, {4.5201201695607045`, 8.759864717529204}, {
     5.305168893265879, 7.763851472606419}}]& ],
  AspectRatio->1,
  FrameTicks->None,
  ImageSize->{927.5442619078199, Automatic},
  PlotRange->All,
  PlotRangePadding->Scaled[0.1]]], "Output",
 ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"]]
}, {2}]]
}, Open  ]]
},
WindowSize->{1264, 784},
WindowMargins->{{20, Automatic}, {Automatic, 44}},
PrintingCopies->1,
PrintingPageRange->{1, Automatic},
PrintingOptions->{"PaperOrientation"->"Landscape"},
FrontEndVersion->"6.0 for Mac OS X PowerPC (32-bit) (March 13, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 102, 2, 67, "Section"],
Cell[CellGroupData[{
Cell[717, 29, 309, 9, 27, "Input"],
Cell[1029, 40, 17089, 403, 587, "Output"]
}, {2}]]
}, Open  ]],
Cell[CellGroupData[{
Cell[18164, 449, 123, 3, 67, "Section"],
Cell[CellGroupData[{
Cell[18312, 456, 27, 0, 27, "Input"],
Cell[18342, 458, 89048, 1636, 943, 30279, 671, "CachedBoxData", "BoxData", \
"Output"]
}, {2}]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
